2002-03-21 17:04  lyle

	* FXRuby.iss, examples/scintilla_wrapper.rb: Added missing file
	(scintilla_wrapper.rb) needed for the Scintilla example.

2002-03-21 17:02  lyle

	* FXRuby.iss, examples/iRAA.rb: Added missing file needed for RAA
	browser (iRAA.rb) from the SOAP4R distribution.

2002-03-21 17:00  lyle

	* ext/fox/: extconf.rb, extconf.rb.tmpl: [no log message]

2002-03-21 16:04  lyle

	* FXRuby.iss: [no log message]

2002-03-21 15:53  lyle

	* update_website.sh: [no log message]

2002-03-21 15:50  lyle

	* doc/: scintilla.html, scintilla.xml: Updated the URL for
	FXScintilla 1.45.

2002-03-21 15:44  lyle

	* index.html: Modified the comment about the precompiled binaries
	for Windows; they are no longer built against a Cygwin-based Ruby
	but rather the MSWin32-based Ruby.

2002-03-21 15:32  lyle

	* ChangeLog: [no log message]

2002-03-21 15:16  lyle

	* make-drop.sh: [no log message]

2002-03-21 13:11  lyle

	* README: Adds an explanatory comment about the (purpose of the)
	rdoc-sources directory to the README file.

2002-03-21 13:10  lyle

	* FXRuby.iss: Adds a number of new files to the InnoSetup installer
	script for the Windows installer.

2002-03-21 13:09  lyle

	* make-drop.sh: Changed the version number for the make-drop.sh
	script, and added the ICO icons for the examples/icons directory.

2002-03-21 13:09  lyle

	* doc/: build.html, build.xml, changes.html, changes.xml,
	differences.html, events.html, examples.html, examples.xml,
	library.html, opengl.html, scintilla.html, images/shutter.png:
	Updated comments in the "examples" section on the "shutter.rb"
	example, and updated its screenshot as well.

2002-03-21 12:47  lyle

	* examples/: shutter.rb, icons/AngryGuyInBunnySuit.ico,
	icons/FatBot.ico, icons/FlippedySwitch.ico, icons/LeGoon.ico,
	icons/Net.ico, icons/RedMacOS.ico, icons/SawBlade.ico: Massive
	overhaul of the previously somewhat boring shutter example.  Now
	replaced with an example that looks startingly like a popular PIM
	application.

2002-03-20 17:07  lyle

	* doc/: changes.html, changes.xml: [no log message]

2002-03-20 16:00  lyle

	* tests/: TC_FXButton.rb, TC_FXLight.rb, TC_FXMaterial.rb,
	TC_FXViewport.rb: Added test cases for FXButton, FXLight,
	FXMaterial and FXViewport classes.

2002-03-20 11:49  lyle

	* ext/fox/FXRuby.cpp: Type-checking wasn't done properly; replaced
	calls to SWIG_CheckConvert() with calls to FXRbIsKindOf().

2002-03-19 17:18  lyle

	* ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp,
	ext/fox/layout_wrap.cpp, ext/fox/mdi_wrap.cpp,
	ext/fox/opengl_wrap.cpp, ext/fox/scintilla_wrap.cpp,
	ext/fox/ui_wrap.cpp, swig-interfaces/FX4Splitter.i,
	swig-interfaces/FXAccelTable.i, swig-interfaces/FXApp.i,
	swig-interfaces/FXArrowButton.i, swig-interfaces/FXBMPIcon.i,
	swig-interfaces/FXBMPImage.i, swig-interfaces/FXBitmap.i,
	swig-interfaces/FXButton.i, swig-interfaces/FXCURCursor.i,
	swig-interfaces/FXCanvas.i, swig-interfaces/FXCheckButton.i,
	swig-interfaces/FXColorBar.i, swig-interfaces/FXColorDialog.i,
	swig-interfaces/FXColorSelector.i, swig-interfaces/FXColorWell.i,
	swig-interfaces/FXColorWheel.i, swig-interfaces/FXComboBox.i,
	swig-interfaces/FXComposite.i, swig-interfaces/FXCursor.i,
	swig-interfaces/FXDC.i, swig-interfaces/FXDCPrint.i,
	swig-interfaces/FXDCWindow.i, swig-interfaces/FXDataTarget.i,
	swig-interfaces/FXDebugTarget.i, swig-interfaces/FXDelegator.i,
	swig-interfaces/FXDial.i, swig-interfaces/FXDialogBox.i,
	swig-interfaces/FXDict.i, swig-interfaces/FXDirBox.i,
	swig-interfaces/FXDirDialog.i, swig-interfaces/FXDirList.i,
	swig-interfaces/FXDirSelector.i, swig-interfaces/FXDocument.i,
	swig-interfaces/FXDragCorner.i, swig-interfaces/FXDrawable.i,
	swig-interfaces/FXDriveBox.i, swig-interfaces/FXFileDialog.i,
	swig-interfaces/FXFileDict.i, swig-interfaces/FXFileList.i,
	swig-interfaces/FXFileSelector.i, swig-interfaces/FXFont.i,
	swig-interfaces/FXFontDialog.i, swig-interfaces/FXFontSelector.i,
	swig-interfaces/FXFrame.i, swig-interfaces/FXGIFCursor.i,
	swig-interfaces/FXGIFIcon.i, swig-interfaces/FXGIFImage.i,
	swig-interfaces/FXGLCanvas.i, swig-interfaces/FXGLContext.i,
	swig-interfaces/FXGLObject.i, swig-interfaces/FXGLShape.i,
	swig-interfaces/FXGLViewer.i, swig-interfaces/FXGLVisual.i,
	swig-interfaces/FXGroupBox.i, swig-interfaces/FXHMat.i,
	swig-interfaces/FXHVec.i, swig-interfaces/FXHeader.i,
	swig-interfaces/FXHorizontalFrame.i, swig-interfaces/FXICOIcon.i,
	swig-interfaces/FXICOImage.i, swig-interfaces/FXIcon.i,
	swig-interfaces/FXIconList.i, swig-interfaces/FXId.i,
	swig-interfaces/FXImage.i, swig-interfaces/FXImageView.i,
	swig-interfaces/FXInputDialog.i, swig-interfaces/FXJPGIcon.i,
	swig-interfaces/FXJPGImage.i, swig-interfaces/FXLabel.i,
	swig-interfaces/FXList.i, swig-interfaces/FXListBox.i,
	swig-interfaces/FXMDIButton.i, swig-interfaces/FXMDIChild.i,
	swig-interfaces/FXMDIClient.i, swig-interfaces/FXMainWindow.i,
	swig-interfaces/FXMatrix.i, swig-interfaces/FXMenuButton.i,
	swig-interfaces/FXMenuCaption.i, swig-interfaces/FXMenuCascade.i,
	swig-interfaces/FXMenuCommand.i, swig-interfaces/FXMenuPane.i,
	swig-interfaces/FXMenuSeparator.i, swig-interfaces/FXMenuTitle.i,
	swig-interfaces/FXMenubar.i, swig-interfaces/FXMessageBox.i,
	swig-interfaces/FXObject.i, swig-interfaces/FXOptionMenu.i,
	swig-interfaces/FXPCXIcon.i, swig-interfaces/FXPCXImage.i,
	swig-interfaces/FXPNGIcon.i, swig-interfaces/FXPNGImage.i,
	swig-interfaces/FXPacker.i, swig-interfaces/FXPicker.i,
	swig-interfaces/FXPoint.i, swig-interfaces/FXPopup.i,
	swig-interfaces/FXPrintDialog.i, swig-interfaces/FXProgressBar.i,
	swig-interfaces/FXProgressDialog.i, swig-interfaces/FXQuat.i,
	swig-interfaces/FXRGBIcon.i, swig-interfaces/FXRGBImage.i,
	swig-interfaces/FXRadioButton.i, swig-interfaces/FXRange.i,
	swig-interfaces/FXRecentFiles.i, swig-interfaces/FXRectangle.i,
	swig-interfaces/FXRegion.i, swig-interfaces/FXRegistry.i,
	swig-interfaces/FXReplaceDialog.i, swig-interfaces/FXRootWindow.i,
	swig-interfaces/FXScintilla.i, swig-interfaces/FXScrollArea.i,
	swig-interfaces/FXScrollWindow.i, swig-interfaces/FXScrollbar.i,
	swig-interfaces/FXSearchDialog.i, swig-interfaces/FXSeparator.i,
	swig-interfaces/FXSettings.i, swig-interfaces/FXShell.i,
	swig-interfaces/FXShutter.i, swig-interfaces/FXSize.i,
	swig-interfaces/FXSlider.i, swig-interfaces/FXSpinner.i,
	swig-interfaces/FXSplitter.i, swig-interfaces/FXStatusbar.i,
	swig-interfaces/FXStatusline.i, swig-interfaces/FXStream.i,
	swig-interfaces/FXStringDict.i, swig-interfaces/FXSwitcher.i,
	swig-interfaces/FXTGAIcon.i, swig-interfaces/FXTGAImage.i,
	swig-interfaces/FXTIFIcon.i, swig-interfaces/FXTIFImage.i,
	swig-interfaces/FXTab.i, swig-interfaces/FXTabBar.i,
	swig-interfaces/FXTabBook.i, swig-interfaces/FXTabItem.i,
	swig-interfaces/FXTable.i, swig-interfaces/FXText.i,
	swig-interfaces/FXTextField.i, swig-interfaces/FXToggleButton.i,
	swig-interfaces/FXToolbar.i, swig-interfaces/FXToolbarGrip.i,
	swig-interfaces/FXToolbarShell.i, swig-interfaces/FXToolbarTab.i,
	swig-interfaces/FXTooltip.i, swig-interfaces/FXTopWindow.i,
	swig-interfaces/FXTreeList.i, swig-interfaces/FXTreeListBox.i,
	swig-interfaces/FXVec.i, swig-interfaces/FXVerticalFrame.i,
	swig-interfaces/FXVisual.i, swig-interfaces/FXWindow.i,
	swig-interfaces/FXXPMIcon.i, swig-interfaces/FXXPMImage.i: Replaced
	hard-coded call to FXRbRegisterRubyObj() in a modified version of
	SWIG with %exception typemaps in the SWIG interface files. Now the
	wrapper sources can be generated from the SWIG interface files,
	using the standard version of SWIG (no custom versions needed).

2002-03-19 14:04  lyle

	* ext/fox/ui_wrap.cpp, ext/fox/include/FXRbTable.h,
	swig-interfaces/FXTable.i: Added guards to ensure that pointers
	held by Ruby objects are zeroed-out after calls to destructive
	methods like FXTable#setTableSize, FXTable#removeRows,
	FXTable#removeColumns, and FXTable#removeItem.

2002-03-19 11:22  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp,
	scintilla_wrap.cpp, ui_wrap.cpp: [no log message]

2002-03-19 11:16  lyle

	* ext/fox/librb.c: Updated SWIG runtime support (adds
	SWIG_TypeDynamicCast).

2002-03-19 10:52  lyle

	* ext/fox/FXRuby.cpp, ext/fox/include/FXRbTreeList.h,
	swig-interfaces/FXTreeList.i: Fixes for FXTreeList#removeItem and
	FXTreeList#removeItems.

2002-03-19 10:51  lyle

	* ext/fox/include/FXRbCommon.h: Be sure to include "version.h" so
	that RUBY_CODE_VERSION is defined.

2002-03-19 10:50  lyle

	* swig-interfaces/FXScintilla.i: Removed the
	FXScintilla.setDefaultFont() singleton method (now obsolete).

2002-03-14 12:47  ljohnson

	* ext/fox/FXRuby.cpp, ext/fox/core_wrap.cpp,
	ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp,
	ext/fox/include/FXRuby.h,
	ext/fox/patches/wrap_FX4Splitter_initialize.cpp,
	ext/fox/patches/wrap_FXDialogBox_initialize.cpp,
	ext/fox/patches/wrap_FXMessageBox_initialize.cpp,
	ext/fox/patches/wrap_FXSplitter_initialize.cpp,
	ext/fox/patches/wrap_FX_4Splitter_initialize.cpp,
	ext/fox/patches/wrap_FX_DialogBox_initialize.cpp,
	ext/fox/patches/wrap_FX_MessageBox_initialize.cpp,
	ext/fox/patches/wrap_FX_Splitter_initialize.cpp,
	swig-interfaces/Makefile, swig-interfaces/core.i,
	swig-interfaces/dialogs.i, swig-interfaces/image.i,
	swig-interfaces/layout.i, swig-interfaces/mdi.i,
	swig-interfaces/opengl.i, swig-interfaces/scintilla.i,
	swig-interfaces/swig.sed, swig-interfaces/typemaps.i,
	swig-interfaces/ui.i: Reorganizing things a little bit to try to
	break up the out-of-control "core" module file. New splinter
	modules are ui and layout, with more breakup of ui to follow at
	some point.

2002-03-14 11:09  ljohnson

	* rdoc-sources/Makefile: [no log message]

2002-03-14 11:04  ljohnson

	* examples/groupbox.rb: Comment-out the bit that starts the thread
	until we get this working on Windows.

2002-03-14 11:03  ljohnson

	* index.html, doc/book.html, doc/book.xml, doc/build.html,
	doc/changes.html, doc/changes.xml, doc/differences.html,
	doc/events.html, doc/examples.html, doc/examples.xml,
	doc/goals.html, doc/library.html, doc/opengl.html,
	doc/scintilla.html, doc/scintilla.xml, doc/screenshots.html,
	doc/screenshots.xml, doc/todo.html, doc/tutorial1.html,
	doc/images/babelfish.png, doc/images/browser.png,
	doc/images/datatarget.png, doc/images/dialog.png,
	doc/images/dilbert.png, doc/images/dirlist.png,
	doc/images/foursplit.png, doc/images/gltest.png,
	doc/images/groupbox.png, doc/images/header.png,
	doc/images/hello.png, doc/images/hello2.png, doc/images/image.png,
	doc/images/mditest.png, doc/images/raabrowser.png,
	doc/images/scribble.png, doc/images/shutter.png,
	doc/images/splitter.png, doc/images/tabbook.png,
	doc/images/table.png: A number of documentation updates, mainly to
	add the new examples section and supporting screenshots.

2002-03-13 16:53  ljohnson

	* ext/fox/FXRuby.cpp: Added proper casts for rb_rescue2() arguments
	when compiling against Ruby 1.6 headers.

2002-03-13 16:46  ljohnson

	* doc/: build.html, build.xml: [no log message]

2002-03-13 16:42  ljohnson

	* doc/: build.html, build.xml, changes.html, differences.html,
	events.html, examples.html, library.html, opengl.html,
	scintilla.html: [no log message]

2002-03-13 16:06  ljohnson

	* README.win32.txt: Modified this message to bump up the Ruby
	version from 1.6.6 to 1.6.7.

2002-03-13 16:04  ljohnson

	* examples/table.rb, tests/TC_FXHMat.rb: [no log message]

2002-03-13 16:03  ljohnson

	* doc/: book.html, book.xml, build.html, button.png, changes.html,
	differences.html, events.html, examples.html, examples.xml,
	glviewer.gif, imageviewer.png, library.html, opengl.html,
	scintilla.html, screenshots.html, screenshots.xml, todo.html,
	tutorial1.html, images/button.png, images/glviewer.gif,
	images/imageviewer.png: Various documentation updates. Added a new
	section describing the examples.

2002-03-13 15:59  ljohnson

	* examples/: scribble-orig.rb, scribble.rb: Added a "dc.end" to the
	end of all routines that create an FXDCWindow instance for drawing,
	so that even if the DC isn't garbage-collected right away we'll
	free up the GDI (or X Window) resources immediately.

2002-03-13 15:56  ljohnson

	* examples/babelfish.rb: Added the new babelfish.rb example
	program.

2002-03-13 15:53  ljohnson

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	image_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp, scintilla_wrap.cpp:
	[no log message]

2002-03-13 15:52  ljohnson

	* swig-interfaces/: FXHeader.i, FXList.i: Added guards around
	FXHeader#removeItem, FXHeader#replaceItem, FXHeader#clearItems,
	FXList#removeItem, FXList#replaceItem, and FXList#clearItems so
	that any Ruby objects holding pointers to the soon-to-be-destroyed
	C++ objects are zeroed out.

2002-03-13 15:39  ljohnson

	* swig-interfaces/Makefile: Always regenerate the local copy of
	librb.c from the SWIG library sources, just in case it changes.

2002-03-13 13:05  ljohnson

	* ext/fox/librb.c: [no log message]

2002-03-13 12:37  ljohnson

	* swig-interfaces/FXIconList.i: Corrected argument list for call to
	self->clearItems() [be sure to pass the notify argument].

2002-03-13 12:18  ljohnson

	* ANNOUNCE, ANNOUNCE.tmpl, ext/fox/extconf.rb,
	ext/fox/extconf.rb.tmpl: Updated these to reflect the post-1.0 era
	of FOX.

2002-03-13 12:08  ljohnson

	* fox-includes/: fxdefs.h, fxver.h: Latest versions of these files
	from the fox-1.0.3 source distribution (no API changes).

2002-03-11 17:26  ljohnson

	* swig-interfaces/FXHMat.i: Fixed the %rename directives for class
	FXHMat.

2002-03-11 17:25  ljohnson

	* swig-interfaces/FXIconList.i: Modified the code for
	FXIconList#replaceItem, FXIconList#removeItem and
	FXIconList#clearItems so that after destroying the C++ object(s)
	they call FXRbNotifyDestroyed() to zero-out any dangling references
	in Ruby objects to those pointers.

2002-03-11 17:24  ljohnson

	* ext/fox/: FXRuby.cpp, include/FXRuby.h: Adds
	FXRbNotifyDestroyed() function, to zero out pointers to C++ objects
	which are destroyed.

2002-03-05 14:46  ljohnson

	* make-drop.sh: [no log message]

2002-03-05 14:41  ljohnson

	* ext/fox/opengl_wrap.cpp, lib/fox/overloads.rb,
	swig-interfaces/FXHMat.i, swig-interfaces/FXHVec.i,
	swig-interfaces/FXQuat.i, tests/TC_FXHVec.rb: [no log message]

2002-03-05 12:11  ljohnson

	* ext/fox/opengl_wrap.cpp: [no log message]

2002-03-05 12:06  ljohnson

	* examples/: scribble-orig.rb, scribble.rb: Added code at the end
	of all drawing blocks to release the DC (by calling dc.end) and
	immediately invoke the garbage collector (GC.start). This may be
	the fix for avoiding depletion of GDI resources on Windows.

2002-03-05 11:58  ljohnson

	* swig-interfaces/FXHMat.i: [no log message]

2002-03-05 11:57  ljohnson

	* swig-interfaces/FXHVec.i: Make FXHVec#normalize, FXHVec#lo and
	FXHVec#hi regular instance methods instead of class (singleton)
	methods.

2002-03-04 19:07  ljohnson

	* tests/TC_FXHVec.rb, swig-interfaces/FXGLViewer.i: [no log
	message]

2002-03-04 18:21  ljohnson

	* swig-interfaces/FXGLViewer.i: Add equals (==), clone and
	constructor methods for FXViewport, FXLight, and FXMaterial
	classes.

2002-03-04 18:01  ljohnson

	* tests/TC_FXHVec.rb: [no log message]

2002-03-01 19:49  ljohnson

	* doc/changes.html, doc/changes.xml, ChangeLog: [no log message]

2002-03-01 19:41  ljohnson

	* examples/glviewer.rb: A little sprucing up of this example
	(replaced some FXMAPFUNC-style message handlers with the newer,
	"connect"-based message handlers).

2002-03-01 19:39  ljohnson

	* ext/fox/core_wrap.cpp, swig-interfaces/FXGLObject.i,
	swig-interfaces/FXGLShape.i, swig-interfaces/typemaps.i,
	ext/fox/impl.cpp, ext/fox/markfuncs.cpp, ext/fox/opengl_wrap.cpp,
	ext/fox/include/FXRbGLObject.h, ext/fox/include/FXRbGLShape.h:
	Added ownership checks for FXRbGLGroup and FXRbGLShape objects,
	just like those we already had for FXRbGLObjects. This prevents
	objects from getting destroyed multiple times and leading to
	crashes like the one we used to get when the glviewer.rb example
	shut down. Also removed the obsolete class declarations for
	FXRbGLPoint and FXRbGLLine.

2002-03-01 19:37  ljohnson

	* swig-interfaces/fxdefs.i: Removed definitions for things like
	FXASSERT and FXTRACE, plus some other functions SWIG doesn't really
	need to see.

2002-03-01 18:52  ljohnson

	* ext/fox/: extconf.rb, extconf.rb.tmpl: Added /GR to the Visual
	C++ compiler flags, to enable RTTI support.

2002-03-01 14:15  ljohnson

	* examples/raabrowser.rb: [no log message]

2002-03-01 13:55  ljohnson

	* examples/raabrowser.rb: [no log message]

2002-02-28 19:08  ljohnson

	* lib/fox/responder2.rb: Added connect() functionality for
	FXDataTarget class, since it now supports a message target for
	SEL_CHANGED and SEL_COMMAND messages.

2002-02-28 18:36  ljohnson

	* doc/: changes.xml, Makefile, build.html, changes.html,
	differences.html, events.html, library.html, opengl.html,
	scintilla.html: [no log message]

2002-02-28 18:36  ljohnson

	* doc/scintilla.xml: Updated download URL for FXScintilla.

2002-02-28 18:35  ljohnson

	* doc/build.xml: Added instructions about how to modify the
	ld.so.conf file to permanently modify the ld.so search path.

2002-02-28 18:12  ljohnson

	* ext/fox/include/: FXRbObject.h, FXRuby.h: [no log message]

2002-02-28 16:21  ljohnson

	* ext/fox/: core_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp: [no log
	message]

2002-02-28 16:20  ljohnson

	* ext/fox/: FXRuby.cpp, include/FXRuby.h: Added an overloaded
	version of FXRbGetRubyObj() that can be used to generate new Ruby
	instances for non-registered objects.

2002-02-28 16:19  ljohnson

	* swig-interfaces/typemaps.i: Added the output typemaps for
	different return types.

2002-02-28 16:18  ljohnson

	* swig-interfaces/FXWindow.i: Modified the getChildren() method to
	use FXRbGetRubyObj() instead of SWIG_NewPointerObj() so that it
	will correctly use existing (registered) Ruby instances when
	available.

2002-02-28 16:17  ljohnson

	* swig-interfaces/FXDataTarget.i: Don't try to wrap the
	FXDataTarget::getData() member function.

2002-02-28 16:17  ljohnson

	* swig-interfaces/FXApp.i: Make the FXEvent struct members
	read-only.

2002-02-28 10:51  ljohnson

	* examples/dilbert.rb: Still trying to get the window size right
	(removed scrollbars).

2002-02-28 10:51  ljohnson

	* lib/fox/aliases.rb: Added aliases:
	
	    alias FXScrollArea#viewportWidth  FXScrollArea#getViewportWidth
	    alias FXScrollArea#viewportHeight
	FXScrollArea#getViewportHeight
	    alias FXScrollArea#contentWidth   FXScrollArea#getContentWidth
	    alias FXScrollArea#contentHeight  FXScrollArea#getContentHeight

2002-02-28 10:36  ljohnson

	* examples/browser.rb: Fix for changed FXFont.getTextWidth() API.

2002-02-28 10:20  ljohnson

	* swig-interfaces/typemaps.i: [no log message]

2002-02-27 19:01  ljohnson

	* ext/fox/FXRbApp.cpp: Added extern "C" brackets around include of
	rubysig.h so that these symbols are resolved correctly.

2002-02-27 13:19  ljohnson

	* ANNOUNCE, ext/fox/core_wrap.cpp, fox-includes/FXComboBox.h,
	fox-includes/FXFileSelector.h, fox-includes/FXIcon.h,
	fox-includes/FXListBox.h, fox-includes/FXSettings.h,
	fox-includes/FXString.h, fox-includes/fxdefs.h,
	fox-includes/fxver.h, lib/fox/aliases.rb,
	swig-interfaces/FXComboBox.i, swig-interfaces/FXFileSelector.i,
	swig-interfaces/FXIcon.i, swig-interfaces/FXSettings.i,
	swig-interfaces/fxdefs.i, ext/fox/extconf.rb,
	ext/fox/icons_wrap.cpp: Updates for fox-1.0.0.

2002-02-25 16:49  ljohnson

	* ext/fox/FXRbApp.cpp, ext/fox/core_wrap.cpp,
	swig-interfaces/FXCURCursor.i, swig-interfaces/FXRGBIcon.i,
	swig-interfaces/FXRGBImage.i, swig-interfaces/core.i,
	swig-interfaces/icons.i, swig-interfaces/image.i,
	swig-interfaces/markfuncs.i, swig-interfaces/renames.i,
	ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	ext/fox/image_wrap.cpp, ext/fox/impl.cpp, ext/fox/make_impl.rb,
	ext/fox/markfuncs.cpp, ext/fox/mdi_wrap.cpp,
	ext/fox/opengl_wrap.cpp, ext/fox/scintilla_wrap.cpp,
	ext/fox/include/FXRbCURCursor.h, ext/fox/include/FXRbCommon.h,
	ext/fox/include/FXRbRGBIcon.h, ext/fox/include/FXRbRGBImage.h,
	ext/fox/include/FXRuby.h, ext/fox/include/impl.h: Added support for
	FXCURCursor, FXRGBIcon and FXRGBImage classes.

2002-02-25 12:04  ljohnson

	* ext/fox/FXRuby.cpp: Add explicit casts for the functions passed
	into rb_rescue2() so that we don't get a compiler error for these. 
	Changed the order in which the Image and Icons modules are loaded
	to ensure that class FX_Image has been defined before we define its
	subclass, FX_Icon.

2002-02-25 12:02  ljohnson

	* swig-interfaces/FXFont.i: Add constructor and destructor
	declarations for FXFontDesc struct.

2002-02-25 11:29  ljohnson

	* tests/TC_FXFont.rb: [no log message]

2002-02-25 09:57  ljohnson

	* fox-includes/: FXComboBox.h, FXDict.h, FXDriveBox.h,
	FXFileDict.h, FXICOIcon.h, FXICOImage.h, FXJPGIcon.h, FXJPGImage.h,
	FXListBox.h, FXPCXIcon.h, FXPCXImage.h, FXRGBIcon.h, FXRGBImage.h,
	FXRegistry.h, FXSettings.h, FXStringDict.h, FXSwitcher.h,
	FXTGAIcon.h, FXTGAImage.h, FXTIFIcon.h, FXText.h, FXTreeListBox.h,
	fxver.h, xincs.h: Updates for fox-0.99.193.

2002-02-25 09:46  ljohnson

	* tests/: README, TC_FXFont.rb, TC_FXPoint.rb, TC_FXRange.rb,
	TC_FXRectangle.rb, TC_FXSize.rb, TS_All.rb: Updated test cases to
	use TestSuite-0.1.2.

2002-02-20 18:34  ljohnson

	* ANNOUNCE, swig-interfaces/FX4Splitter.i,
	swig-interfaces/FXComboBox.i, swig-interfaces/FXDCWindow.i,
	swig-interfaces/FXDialogBox.i, swig-interfaces/FXDict.i,
	swig-interfaces/FXDriveBox.i, ext/fox/FXRuby.cpp,
	ext/fox/core_wrap.cpp, lib/fox/aliases.rb,
	swig-interfaces/FXFileDict.i, swig-interfaces/FXFont.i,
	swig-interfaces/FXList.i, swig-interfaces/FXListBox.i,
	swig-interfaces/FXMenubar.i, swig-interfaces/FXMessageBox.i,
	swig-interfaces/FXScintilla.i, swig-interfaces/FXSplitter.i,
	swig-interfaces/FXStringDict.i, swig-interfaces/FXSwitcher.i,
	swig-interfaces/FXText.i, swig-interfaces/FXToolbar.i,
	swig-interfaces/FXTreeListBox.i, ext/fox/extconf.rb,
	ext/fox/scintilla_wrap.cpp, ext/fox/include/FXRbComboBox.h,
	ext/fox/include/FXRbFileDict.h, ext/fox/include/FXRbListBox.h:
	Updates for fox-0.99.193 compatibility.

2002-02-20 11:42  ljohnson

	* ext/fox/FXRuby.cpp, ext/fox/core_wrap.cpp, lib/fox/core.rb,
	swig-interfaces/core.i, examples/hello2.rb,
	ext/fox/include/FXRuby.h: [no log message]

2002-02-19 19:15  ljohnson

	* lib/fox/responder2.rb: Ensure that FXScintilla knows about
	Responder2 module (#connect method).

2002-02-19 19:11  ljohnson

	* ext/fox/FXRuby.cpp, ext/fox/core_wrap.cpp,
	ext/fox/dialogs_wrap.cpp, ext/fox/extconf.rb,
	ext/fox/extconf.rb.tmpl, ext/fox/icons_wrap.cpp,
	ext/fox/image_wrap.cpp, ext/fox/librb.c, ext/fox/mdi_wrap.cpp,
	ext/fox/opengl_wrap.cpp, ext/fox/scintilla_wrap.cpp,
	ext/fox/include/FXRuby.h,
	ext/fox/patches/wrap_FX4Splitter_initialize.cpp,
	ext/fox/patches/wrap_FXColorDialog_show.cpp,
	ext/fox/patches/wrap_FXDCWindow_initialize.cpp,
	ext/fox/patches/wrap_FXDialogBox_initialize.cpp,
	ext/fox/patches/wrap_FXDialogBox_show.cpp,
	ext/fox/patches/wrap_FXDirDialog_show.cpp,
	ext/fox/patches/wrap_FXFileDialog_show.cpp,
	ext/fox/patches/wrap_FXFontDialog_show.cpp,
	ext/fox/patches/wrap_FXFont_initialize.cpp,
	ext/fox/patches/wrap_FXInputDialog_show.cpp,
	ext/fox/patches/wrap_FXMainWindow_show.cpp,
	ext/fox/patches/wrap_FXMenubar_initialize.cpp,
	ext/fox/patches/wrap_FXMessageBox_initialize.cpp,
	ext/fox/patches/wrap_FXMessageBox_show.cpp,
	ext/fox/patches/wrap_FXMessageDialog_show.cpp,
	ext/fox/patches/wrap_FXPrintDialog_show.cpp,
	ext/fox/patches/wrap_FXReplaceDialog_show.cpp,
	ext/fox/patches/wrap_FXSearchDialog_show.cpp,
	ext/fox/patches/wrap_FXSplitter_initialize.cpp,
	ext/fox/patches/wrap_FXToolbarShell_show.cpp,
	ext/fox/patches/wrap_FXToolbar_initialize.cpp,
	ext/fox/patches/wrap_FXTopWindow_show.cpp,
	ext/fox/patches/wrap_FX_4Splitter_initialize.cpp,
	ext/fox/patches/wrap_FX_DCWindow_initialize.cpp,
	ext/fox/patches/wrap_FX_DialogBox_initialize.cpp,
	ext/fox/patches/wrap_FX_Font_initialize.cpp,
	ext/fox/patches/wrap_FX_Menubar_initialize.cpp,
	ext/fox/patches/wrap_FX_MessageBox_initialize.cpp,
	ext/fox/patches/wrap_FX_Splitter_initialize.cpp,
	ext/fox/patches/wrap_FX_Toolbar_initialize.cpp,
	ext/fox/patches/wrap_FX_TopWindow_show.cpp,
	ext/fox/patches/wrap_new_FXDCWindow.cpp,
	ext/fox/patches/wrap_new_FX_DCWindow.cpp,
	swig-interfaces/FX4Splitter.i, swig-interfaces/FXAccelTable.i,
	swig-interfaces/FXApp.i, swig-interfaces/FXArrowButton.i,
	swig-interfaces/FXBMPIcon.i, swig-interfaces/FXBMPImage.i,
	swig-interfaces/FXBitmap.i, swig-interfaces/FXButton.i,
	swig-interfaces/FXCanvas.i, swig-interfaces/FXCheckButton.i,
	swig-interfaces/FXColorBar.i, swig-interfaces/FXColorDialog.i,
	swig-interfaces/FXColorSelector.i, swig-interfaces/FXColorWell.i,
	swig-interfaces/FXColorWheel.i, swig-interfaces/FXComboBox.i,
	swig-interfaces/FXComposite.i, swig-interfaces/FXCursor.i,
	swig-interfaces/FXDC.i, swig-interfaces/FXDCPrint.i,
	swig-interfaces/FXDCWindow.i, swig-interfaces/FXDataTarget.i,
	swig-interfaces/FXDebugTarget.i, swig-interfaces/FXDelegator.i,
	swig-interfaces/FXDial.i, swig-interfaces/FXDialogBox.i,
	swig-interfaces/FXDict.i, swig-interfaces/FXDirBox.i,
	swig-interfaces/FXDirDialog.i, swig-interfaces/FXDirList.i,
	swig-interfaces/FXDirSelector.i, swig-interfaces/FXDocument.i,
	swig-interfaces/FXDragCorner.i, swig-interfaces/FXDrawable.i,
	swig-interfaces/FXDriveBox.i, swig-interfaces/FXFileDialog.i,
	swig-interfaces/FXFileDict.i, swig-interfaces/FXFileList.i,
	swig-interfaces/FXFileSelector.i, swig-interfaces/FXFont.i,
	swig-interfaces/FXFontDialog.i, swig-interfaces/FXFontSelector.i,
	swig-interfaces/FXFrame.i, swig-interfaces/FXGIFCursor.i,
	swig-interfaces/FXGIFIcon.i, swig-interfaces/FXGIFImage.i,
	swig-interfaces/FXGLCanvas.i, swig-interfaces/FXGLContext.i,
	swig-interfaces/FXGLObject.i, swig-interfaces/FXGLShape.i,
	swig-interfaces/FXGLViewer.i, swig-interfaces/FXGLVisual.i,
	swig-interfaces/FXGroupBox.i, swig-interfaces/FXHeader.i,
	swig-interfaces/FXHorizontalFrame.i, swig-interfaces/FXICOIcon.i,
	swig-interfaces/FXICOImage.i, swig-interfaces/FXIcon.i,
	swig-interfaces/FXIconList.i, swig-interfaces/FXId.i,
	swig-interfaces/FXImage.i, swig-interfaces/FXImageView.i,
	swig-interfaces/FXInputDialog.i, swig-interfaces/FXJPGIcon.i,
	swig-interfaces/FXJPGImage.i, swig-interfaces/FXLabel.i,
	swig-interfaces/FXList.i, swig-interfaces/FXListBox.i,
	swig-interfaces/FXMDIButton.i, swig-interfaces/FXMDIChild.i,
	swig-interfaces/FXMDIClient.i, swig-interfaces/FXMainWindow.i,
	swig-interfaces/FXMatrix.i, swig-interfaces/FXMenuButton.i,
	swig-interfaces/FXMenuCaption.i, swig-interfaces/FXMenuCascade.i,
	swig-interfaces/FXMenuCommand.i, swig-interfaces/FXMenuPane.i,
	swig-interfaces/FXMenuSeparator.i, swig-interfaces/FXMenuTitle.i,
	swig-interfaces/FXMenubar.i, swig-interfaces/FXMessageBox.i,
	swig-interfaces/FXObject.i, swig-interfaces/FXOptionMenu.i,
	swig-interfaces/FXPCXIcon.i, swig-interfaces/FXPCXImage.i,
	swig-interfaces/FXPNGIcon.i, swig-interfaces/FXPNGImage.i,
	swig-interfaces/FXPacker.i, swig-interfaces/FXPicker.i,
	swig-interfaces/FXPopup.i, swig-interfaces/FXPrintDialog.i,
	swig-interfaces/FXProgressBar.i,
	swig-interfaces/FXProgressDialog.i,
	swig-interfaces/FXRadioButton.i, swig-interfaces/FXRecentFiles.i,
	swig-interfaces/FXReplaceDialog.i, swig-interfaces/FXRootWindow.i,
	swig-interfaces/FXScrollArea.i, swig-interfaces/FXScrollWindow.i,
	swig-interfaces/FXScrollbar.i, swig-interfaces/FXSearchDialog.i,
	swig-interfaces/FXSeparator.i, swig-interfaces/FXShell.i,
	swig-interfaces/FXShutter.i, swig-interfaces/FXSlider.i,
	swig-interfaces/FXSpinner.i, swig-interfaces/FXSplitter.i,
	swig-interfaces/FXStatusbar.i, swig-interfaces/FXStatusline.i,
	swig-interfaces/FXStream.i, swig-interfaces/FXStringDict.i,
	swig-interfaces/FXSwitcher.i, swig-interfaces/FXTGAIcon.i,
	swig-interfaces/FXTGAImage.i, swig-interfaces/FXTIFIcon.i,
	swig-interfaces/FXTIFImage.i, swig-interfaces/FXTab.i,
	swig-interfaces/FXTabBar.i, swig-interfaces/FXTabBook.i,
	swig-interfaces/FXTabItem.i, swig-interfaces/FXTable.i,
	swig-interfaces/FXText.i, swig-interfaces/FXTextField.i,
	swig-interfaces/FXToggleButton.i, swig-interfaces/FXToolbar.i,
	swig-interfaces/FXToolbarGrip.i, swig-interfaces/FXToolbarShell.i,
	swig-interfaces/FXToolbarTab.i, swig-interfaces/FXTooltip.i,
	swig-interfaces/FXTopWindow.i, swig-interfaces/FXTreeList.i,
	swig-interfaces/FXTreeListBox.i, swig-interfaces/FXVerticalFrame.i,
	swig-interfaces/FXVisual.i, swig-interfaces/FXWindow.i,
	swig-interfaces/FXXPMIcon.i, swig-interfaces/FXXPMImage.i,
	swig-interfaces/core.i, swig-interfaces/dialogs.i,
	swig-interfaces/icons.i, swig-interfaces/image.i,
	swig-interfaces/mdi.i, swig-interfaces/opengl.i,
	swig-interfaces/scintilla.i, swig-interfaces/swig.sed,
	swig-interfaces/typemaps.i: Lots and lots of updates for
	compatibility with SWIG-1.3.12.

2002-02-19 12:49  ljohnson

	* tests/: README, TC_FXFont.rb, TC_FXPoint.rb, TC_FXRange.rb,
	TC_FXRectangle.rb, TC_FXSize.rb, TS_All.rb, TestFXPoint.rb,
	TestFXRange.rb, TestFXRectangle.rb, TestFXSize.rb, testall.rb: [no
	log message]

2002-02-19 12:27  ljohnson

	* tests/: README, TestFXPoint.rb, TestFXRange.rb, runtest.rb,
	testall.rb: [no log message]

2002-02-18 18:11  ljohnson

	* examples/scintilla-test.rb, ext/fox/FXRuby.cpp,
	ext/fox/scintilla_wrap.cpp, ext/fox/include/FXRuby.h,
	swig-interfaces/FXScintilla.i: Additional modifications for
	FXScintilla support. Added the case where an FXScintilla widget is
	sending a SEL_COMMAND message to its message target; in this case,
	the message data contains a pointer to an SCNotification struct.

2002-02-18 16:14  ljohnson

	* ext/fox/: FXRuby.cpp, include/FXRuby.h: Added a perhaps-temporary
	fix to the FXRbWrapClassInstance() functions so that the only time
	we return an "old" reference to an object is when it is an instance
	of FXRbSomething. If the object is an instance of any other class
	we just create a new Ruby instance to shadow it and return that.

2002-02-18 12:37  ljohnson

	* swig-interfaces/: markfuncs.i, markfuncs.i: [no log message]

2002-02-12 13:33  ljohnson

	* ext/fox/FXRuby.cpp, ext/fox/core_wrap.cpp,
	ext/fox/include/FXRbDirList.h, ext/fox/include/FXRbFileList.h,
	ext/fox/include/FXRbHeader.h, ext/fox/include/FXRbIconList.h,
	ext/fox/include/FXRbList.h, ext/fox/include/FXRbTable.h,
	ext/fox/include/FXRbTreeList.h, ext/fox/include/FXRuby.h,
	lib/fox/core.rb, swig-interfaces/core.i: Implements a (hopefully)
	temporary workaround for the issue of our erroneously using old
	pointer-to-VALUE mappings when looking up what are actually new C++
	objects. This was causing to use Ruby instances that had actually
	been trashed already, which had unpredictable results.

2002-02-12 11:51  ljohnson

	* swig-interfaces/stubs.i: Removed obsolete stubs for
	FXComboBox::setBackColor().

2002-02-07 19:23  ljohnson

	* ext/fox/include/: FXRbDirList.h, FXRbFileList.h, FXRbHeader.h,
	FXRbIconList.h, FXRbList.h, FXRbTable.h, FXRbTreeList.h: Override
	the virtual createItem() member function for FXRbDirList,
	FXRbFileList, FXRbHeader, FXRbIconList, FXRbList, FXRbTable and
	FXRbTreeList so that they return an FXRbxxxItem instance (e.g. 
	FXRbDirItem) instead of the stock FXxxxItem instances, so that
	we're sure to handle custom item types correctly when they override
	the list item's virtual functions.

2002-02-07 10:54  ljohnson

	* rdoc-sources/: FX4Splitter.rb, FXApp.rb, FXButton.rb,
	FXComposite.rb, FXFrame.rb, FXLabel.rb, FXMainWindow.rb,
	FXShell.rb, FXTopWindow.rb, FXWindow.rb, Makefile: More RDoc'd
	source files...

2002-02-07 10:53  ljohnson

	* ext/fox/include/FXRbApp.h: Corrected implementation of init()
	(did have a potential memory overwrite).

2002-02-07 10:52  ljohnson

	* swig-interfaces/stubs.i: Filled in and corrected some of the
	missing declarations from stubs.i.

2002-02-07 10:52  ljohnson

	* swig-interfaces/: FXHeader.i, FXIconList.i, FXList.i,
	FXTreeList.i, FXTreeListBox.i: Remove placeholder function names
	for things like FXList#appendItem, which we formerly needed to
	handle the function overloading.

2002-02-05 11:12  ljohnson

	* ChangeLog, make-drop.sh: [no log message]

2002-02-05 11:04  ljohnson

	* ext/fox/core_wrap.cpp, swig-interfaces/FXScintilla.i,
	examples/scintilla-test.rb, ext/fox/scintilla_wrap.cpp: Updated
	implementation of FXScintilla#sendMessage per Rich's information. 
	It now takes two VALUEs as the 2nd and 3rd arguments; these are
	assumed for now to be either Fixnums or Strings.

2002-02-05 11:02  ljohnson

	* doc/: changes.html, changes.xml: [no log message]

2002-02-05 10:49  ljohnson

	* doc/: book.html, build.html, ch01.html, ch02.html, ch03.html,
	ch04.html, ch05.html, ch06.html, ch07.html, ch08.html, ch09.html,
	ch10.html, changes.html, differences.html, events.html, goals.html,
	index.html, library.html, opengl.html, pr01.html, scintilla.html,
	screenshots.html, todo.html, tutorial1.html: Fixed chunking problem
	so that output HTML files have the correct names.

2002-02-05 10:32  ljohnson

	* doc/: book.sgml, bookinfo.sgml, build.sgml, changes.sgml,
	differences.sgml, events.sgml, goals.sgml, library.sgml,
	maintainer.sgml, opengl.sgml, preface.sgml, scintilla.sgml,
	screenshots.sgml, template.sgml, todo.sgml, tutorial1.sgml,
	windows.sgml: Removed the old DocBook/SGML sources.

2002-02-04 19:37  ljohnson

	* doc/: Makefile, book.html, book.xml, build.html, ch01.html,
	ch02.html, ch03.html, ch04.html, ch05.html, ch06.html, ch07.html,
	ch08.html, ch09.html, ch10.html, changes.html, differences.html,
	events.html, goals.html, index.html, library.html, opengl.html,
	pr01.html, scintilla.html, screenshots.html, todo.html,
	tutorial1.html: Switched from DocBook/SGML to DocBook/XML.

2002-02-04 18:43  ljohnson

	* ext/fox/FXRuby.cpp, ext/fox/include/FXRbIconList.h,
	ext/fox/include/FXRbList.h, ext/fox/include/FXRbTreeList.h,
	ext/fox/include/FXRbTreeListBox.h, lib/fox/aliases.rb,
	lib/fox/core.rb, swig-interfaces/FXIconList.i,
	swig-interfaces/FXList.i, swig-interfaces/FXTreeList.i,
	swig-interfaces/FXTreeListBox.i: Added support for the sorting of
	list items for FXIconList, FXList, FXTreeList and FXTreeListBox.
	The comparison function used for sorting is delegated to the list
	items themselves (where the default comparison is just a lexical
	comparison of the items' text). To change how the list items are
	sorted just override their <=> methods.

2002-02-01 18:38  ljohnson

	* doc/: Makefile, book.html, book.xml, bookinfo.xml, build.xml,
	changes.xml, differences.xml, events.xml, goals.xml, library.xml,
	maintainer.xml, opengl.xml, preface.xml, scintilla.xml,
	screenshots.xml, template.xml, todo.xml, tutorial1.xml,
	windows.sgml, windows.xml: Converting the DocBook/SGML sources to
	DocBook/XML sources for DocBook 4.1.2.

2002-01-29 16:55  ljohnson

	* rdoc-sources/: FXApp.rb, FXWindow.rb: [no log message]

2002-01-29 16:26  ljohnson

	* doc/book.html, doc/book.sgml, doc/build.html, doc/build.sgml,
	doc/changes.html, doc/changes.sgml, doc/differences.html,
	doc/events.html, doc/library.html, doc/opengl.html,
	doc/opengl.sgml, doc/scintilla.html, doc/scintilla.sgml,
	doc/todo.html, FXRuby.iss, ext/fox/core_wrap.cpp, install.rb: [no
	log message]

2002-01-29 16:25  ljohnson

	* ext/fox/FXRuby.cpp: Corrected the argument list for
	handle_rescue() to include the 2nd argument as required by
	rb_rescue2().

2002-01-29 16:23  ljohnson

	* lib/fox/overloads.rb, swig-interfaces/FXApp.i,
	swig-interfaces/FXWindow.i: Replaced FXApp#stopModal and
	FXApp#stopModal2 with a single, overloaded version of
	FXApp#stopModal that accepts either argument list.  Replaced
	FXWindow#updateArea and FXWindow#updateWindow with a single,
	overloaded version of FXWindow#update that accepts either argument
	list.  Replaced FXWindow#repaintArea and FXWindow#repaintWindow
	with a single, overloaded version of FXWindow#repaint that accepts
	either argument list.

2002-01-29 10:26  ljohnson

	* FXRuby.iss: Modified the install directory for the FXRuby shared
	library so that it's the right place for the MSWin32 build.

2002-01-29 10:25  ljohnson

	* README.win32.txt: Updated the README for the Win32 installer.

2002-01-29 10:25  ljohnson

	* examples/textedit/textedit.rb: Corrected constant name
	urilistType -> FXWindow.urilistType.

2002-01-25 17:14  ljohnson

	* rdoc-sources/: FX4Splitter.rb, FXApp.rb, FXObject.rb, Makefile:
	[no log message]

2002-01-24 13:28  ljohnson

	* ext/fox/: extconf.rb, extconf.rb.tmpl: Fixed a bug in the
	Scintilla-detecting function.

2002-01-24 12:15  ljohnson

	* ChangeLog: [no log message]

2002-01-24 11:07  ljohnson

	* FXRuby.iss: Updated the installer version number to 0.99.189;
	added the scintilla-test example to the examples directory.

2002-01-24 11:06  ljohnson

	* README: Updated the README accordingly.

2002-01-24 11:05  ljohnson

	* ext/fox/FXRuby.cpp, ext/fox/core_wrap.cpp,
	swig-interfaces/FXApp.i, ext/fox/dialogs_wrap.cpp,
	ext/fox/extconf.rb, ext/fox/extconf.rb.tmpl,
	ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp,
	ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp, doc/book.html,
	doc/changes.html, doc/changes.sgml, ext/fox/scintilla_wrap.cpp:
	Better error checking, etc. for FXApp#addSignal and
	FXApp#removeSignal.  These now throw exceptions if the "signal"
	argument is neither a signal name (string) or a signal number. Also
	throws if it's an unrecognized signal name.

2002-01-22 13:47  ljohnson

	* ChangeLog: [no log message]

2002-01-22 13:46  ljohnson

	* examples/scintilla-test.rb, ext/fox/scintilla_wrap.cpp,
	swig-interfaces/FXScintilla.i: More stuff related to FXScintilla
	support, including a scintilla-test.rb example program that we can
	use as a test harness.

2002-01-22 11:38  ljohnson

	* examples/scintilla-test.rb: This example doesn't do anything yet,
	other than "host" an FXScintilla widget.

2002-01-21 14:27  ljohnson

	* ext/fox/: core_wrap.cpp, mdi_wrap.cpp: [no log message]

2002-01-21 14:16  ljohnson

	* ext/fox/scintilla_wrap.cpp: [no log message]

2002-01-21 14:16  ljohnson

	* ext/fox/: extconf.rb, extconf.rb.tmpl: Added stuff to locate
	Scintilla.

2002-01-21 14:15  ljohnson

	* ext/fox/FXRuby.cpp: Added code to conditionally load the
	Scintilla module.

2002-01-21 14:14  ljohnson

	* swig-interfaces/: Makefile, core.i, renames.i, scintilla.i,
	swig.sed: Broke the Scintilla-related code out into a separate SWIG
	module.

2002-01-21 14:13  ljohnson

	* swig-interfaces/: FXMDIClient.i, FXScrollWindow.i, FXText.i: The
	interfaces for these classes had some redundant declarations of
	methods already declared in their base classes.

2002-01-18 15:50  ljohnson

	* ChangeLog: [no log message]

2002-01-18 15:48  ljohnson

	* doc/: book.html, changes.html, changes.sgml: Updated the changes
	file for the 0.99.189 release.

2002-01-17 20:16  ljohnson

	* ext/fox/FXRuby.cpp: Added the coding for SIGINFO and also added
	include of <signal.h> for Win32 so that we get this right on that
	platform.

2002-01-17 20:15  ljohnson

	* examples/imageviewer.rb: Add support for loading TARGA, ICO and
	TIFF images.

2002-01-17 19:59  ljohnson

	* ext/fox/core_wrap.cpp: [no log message]

2002-01-17 19:58  ljohnson

	* ext/fox/: extconf.rb, extconf.rb.tmpl: Add config support for
	libtiff on Windows.

2002-01-17 19:58  ljohnson

	* scripts/build-fox.rb: Modified it to also build-in support for
	TIFF images.

2002-01-17 18:18  ljohnson

	* ext/fox/patch.rb, swig-interfaces/Makefile: Fixed the patch
	script to write its output files as binary, so that the Unix-style
	line endings are preserved. Fixed the Makefile back to use the
	Win32 build of Ruby.

2002-01-17 18:03  ljohnson

	* FXRuby.iss: Adds output directory and filename for the Windows
	installer.

2002-01-17 18:02  ljohnson

	* ANNOUNCE, ext/fox/extconf.rb: [no log message]

2002-01-17 18:01  ljohnson

	* setversions.rb: Open output files in binary mode (not text mode)
	so that the Unix-style line endings are preserved (i.e. don't add
	CRLF to the ends).

2002-01-17 17:57  ljohnson

	* setversions.rb: Second argument to setversions script now
	optional (and assumed to be equal to first argument's value).

2002-01-17 17:56  ljohnson

	* ext/fox/extconf.rb.tmpl: Removed the usage comments at the top of
	the script, which are no longer accurate. Also fixed the CFLAGS for
	the MSWin32 section to use regular forward-slashes instead of
	hyphens for the compiler flags.

2002-01-17 17:52  ljohnson

	* fox-includes/FXArrowButton.h, fox-includes/FXButton.h,
	fox-includes/FXColorBar.h, fox-includes/FXColorWell.h,
	fox-includes/FXDict.h, fox-includes/FXSettings.h,
	fox-includes/FXStringDict.h, fox-includes/FXText.h,
	fox-includes/fxver.h, lib/fox/aliases.rb,
	swig-interfaces/FXArrowButton.i, swig-interfaces/FXDict.i,
	swig-interfaces/FXSettings.i, swig-interfaces/FXStringDict.i,
	swig-interfaces/FXText.i, swig-interfaces/typemaps.i: Updates to
	interfaces for fox-0.99.189.

2002-01-17 16:51  ljohnson

	* scripts/opengl-cygwin.iss: Added a version of this installer
	script for the Cygwin build.

2002-01-17 16:42  ljohnson

	* scripts/: build-fox.rb, opengl.iss: Added two useful scripts for
	Lyle's FXRuby development.

2002-01-09 18:30  ljohnson

	* setversions.rb: Removed the reference to the recently departed
	ext/fox/README file.

2002-01-09 18:29  ljohnson

	* ext/fox/: README, README.tmpl: Removed this README which had some
	now obsolete build instructions.

2002-01-09 18:28  ljohnson

	* README.win32.txt: Corrected the README message for the Windows
	installer to indicate that it's built against Ruby 1.6.5 and not
	Ruby 1.6.4.

2002-01-09 11:48  ljohnson

	* ChangeLog, make-drop.sh: [no log message]

2002-01-09 11:46  ljohnson

	* doc/: book.html, build.html, build.sgml, changes.html,
	differences.html, events.html, library.html, opengl.html: Updated
	documentation for Win32 build instructions.

2002-01-09 11:18  ljohnson

	* FXRuby.iss: Updated AppVerName property to 0.99.188 for this
	release.

2002-01-09 11:17  ljohnson

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	image_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp: Yet another fix for
	the Ruby 1.6 vs. 1.7 headers issue when compiling with Visual C++.
	I think this takes care of it.

2002-01-07 17:13  ljohnson

	* ChangeLog: [no log message]

2002-01-07 17:12  ljohnson

	* FXRuby.iss: Added dilbert.rb for the Windows installer.

2002-01-07 13:32  ljohnson

	* swig-interfaces/Makefile: [no log message]

2002-01-07 13:30  ljohnson

	* doc/book.html, doc/changes.html, doc/changes.sgml,
	examples/dilbert.rb: Added the new dilbert.rb example program and a
	comment about it in the Changes file.

2002-01-04 18:01  ljohnson

	* ext/fox/: extconf.rb, extconf.rb.tmpl: Modified Win32 build to
	link FOX library statically instead of the DLL.

2002-01-04 17:51  ljohnson

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	image_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp: Fix for compiling
	against Ruby 1.7 headers.

2002-01-04 13:08  ljohnson

	* doc/: book.html, build.html, build.sgml, changes.html,
	changes.sgml, differences.html, events.html, goals.html,
	goals.sgml, library.html, opengl.html, scintilla.sgml,
	screenshots.html: Updated the "History and Goals" section to
	reflect the last year's progress in FXRuby development and its
	growth in popularity, etc.

2002-01-04 12:03  ljohnson

	* ext/fox/FXRbApp.cpp: Added a patch suggested by Martin Stannard
	to fix the problem of unresolved symbols rb_thread_tick,
	rb_thread_critical, rb_trap_pending, and rb_prohibit_interrupt. We
	now have a repeatable ;) build process for FXRuby against the
	Visual C++ build of Ruby.

2002-01-04 11:15  ljohnson

	* ext/fox/core_wrap.cpp, swig-interfaces/Makefile,
	ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	ext/fox/image_wrap.cpp, ext/fox/impl.cpp, ext/fox/mdi_wrap.cpp,
	ext/fox/opengl_wrap.cpp: Switched back to the non-Scintilla sources
	for now.

2002-01-03 17:29  ljohnson

	* ext/fox/core_wrap.cpp, swig-interfaces/FXScintilla.i: Added the
	necessary typedefs and interface definition for
	FXScintilla::sendMessage().

2002-01-02 20:08  ljohnson

	* ext/fox/core_wrap.cpp, swig-interfaces/FXScintilla.i: Corrected
	message handler signatures for FXScintilla widget.

2002-01-02 20:04  ljohnson

	* lib/fox/undolist.rb: Converted the documentation in this file
	over to Dave's new RDoc format.

2002-01-02 19:12  ljohnson

	* ext/fox/FXRbDataTarget.cpp, ext/fox/FXRuby.cpp,
	ext/fox/core_wrap.cpp, swig-interfaces/core.i,
	swig-interfaces/dialogs.i, swig-interfaces/icons.i,
	swig-interfaces/image.i, swig-interfaces/mdi.i,
	swig-interfaces/opengl.i, ext/fox/dialogs_wrap.cpp,
	ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp, ext/fox/impl.cpp,
	ext/fox/make_impl.rb, ext/fox/markfuncs.cpp, ext/fox/mdi_wrap.cpp,
	ext/fox/opengl_wrap.cpp, ext/fox/include/FXRbCommon.h: Collapsed
	some common prologue-type information into a new header file,
	ext/fox/include/FXRbCommon.h.

2002-01-02 18:52  ljohnson

	* doc/scintilla.sgml, ext/fox/FXRbApp.cpp,
	ext/fox/FXRbDataTarget.cpp, ext/fox/FXRuby.cpp,
	ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	ext/fox/extconf.rb, ext/fox/extconf.rb.tmpl,
	ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp, ext/fox/impl.cpp,
	ext/fox/make_impl.rb, ext/fox/markfuncs.cpp, ext/fox/mdi_wrap.cpp,
	ext/fox/opengl_wrap.cpp, ext/fox/include/FXRbScintilla.h,
	ext/fox/include/FXRuby.h, ext/fox/include/impl.h,
	swig-interfaces/FXScintilla.i, swig-interfaces/Makefile,
	swig-interfaces/core.i, swig-interfaces/dialogs.i,
	swig-interfaces/icons.i, swig-interfaces/image.i,
	swig-interfaces/mdi.i, swig-interfaces/opengl.i,
	swig-interfaces/renames.i: Adding initial support for the
	(optional) FXScintilla widget.

2002-01-02 16:23  ljohnson

	* ANNOUNCE, ext/fox/FXRuby.cpp, ext/fox/README,
	ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	ext/fox/extconf.rb, ext/fox/image_wrap.cpp,
	ext/fox/include/FXRbApp.h, ext/fox/include/FXRbAppVirtuals.h,
	ext/fox/include/FXRbDC.h, ext/fox/include/FXRbDCVirtuals.h,
	fox-includes/FXApp.h, fox-includes/FXBMPIcon.h,
	fox-includes/FXBMPImage.h, fox-includes/FXBitmap.h,
	fox-includes/FXCURCursor.h, fox-includes/FXDC.h,
	fox-includes/FXDCWindow.h, fox-includes/FXFileSelector.h,
	fox-includes/FXFont.h, fox-includes/FXFrame.h,
	fox-includes/FXICOIcon.h, fox-includes/FXICOImage.h,
	fox-includes/FXIconList.h, fox-includes/FXInputDialog.h,
	fox-includes/FXList.h, fox-includes/FXProfiler.h,
	fox-includes/FXRex.h, fox-includes/FXScrollArea.h,
	fox-includes/FXTable.h, fox-includes/FXText.h,
	fox-includes/FXTextField.h, fox-includes/FXTreeList.h,
	fox-includes/FXTreeListBox.h, fox-includes/FXWindow.h,
	fox-includes/fxdefs.h, fox-includes/fxregex.h,
	fox-includes/fxver.h, lib/fox/aliases.rb, swig-interfaces/FXApp.i,
	swig-interfaces/FXBMPIcon.i, swig-interfaces/FXBMPImage.i,
	swig-interfaces/FXBitmap.i, swig-interfaces/FXDC.i,
	swig-interfaces/FXFileSelector.i, swig-interfaces/FXFrame.i,
	swig-interfaces/FXICOIcon.i, swig-interfaces/FXICOImage.i,
	swig-interfaces/FXIconList.i, swig-interfaces/FXInputDialog.i,
	swig-interfaces/FXList.i, swig-interfaces/FXScrollArea.i,
	swig-interfaces/FXTable.i, swig-interfaces/FXText.i,
	swig-interfaces/FXTextField.i, swig-interfaces/FXTreeList.i,
	swig-interfaces/FXWindow.i, swig-interfaces/stubs.i: Updates for
	fox-0.99.188.

2002-01-02 10:35  ljohnson

	* examples/browser.rb: Fixed bug for sorting methods and constants
	lists (per Robert Gustavsson).

2001-12-11 12:05  ljohnson

	* FXRuby.iss, ext/fox/patches/wrap_FXPoint_initialize.cpp,
	ext/fox/patches/wrap_FXRectangle_initialize.cpp,
	ext/fox/patches/wrap_FXSize_initialize.cpp, lib/fox/core.rb,
	lib/fox/overloads.rb, swig-interfaces/FXPoint.i,
	swig-interfaces/FXRectangle.i, swig-interfaces/FXSize.i: Moved a
	lot of the the code for the FXPoint, FXSize and FXRectangle classes
	out into the new core.rb library file.

2001-12-11 12:04  ljohnson

	* lib/fox/aliases.rb: Added FXImage#channels as an alias for
	FXImage#getChannels.

2001-12-11 12:03  ljohnson

	* tests/: TestFXPoint.rb, TestFXRange.rb, TestFXRectangle.rb,
	TestFXSize.rb: Updated test battery to use Lapidary instead of
	RubyUnit.

2001-12-11 10:30  ljohnson

	* ext/fox/FXRuby.cpp, ext/fox/README, ext/fox/core_wrap.cpp,
	swig-interfaces/FXFileSelector.i, swig-interfaces/FXImage.i,
	swig-interfaces/FXScrollArea.i, swig-interfaces/fxdefs.i,
	ext/fox/extconf.rb, ANNOUNCE, ext/fox/image_wrap.cpp,
	fox-includes/FXColorWell.h, fox-includes/FXFileSelector.h,
	fox-includes/FXImage.h, fox-includes/FXScrollArea.h,
	fox-includes/FXTGAIcon.h, fox-includes/fxdefs.h,
	fox-includes/fxver.h: Updates for fox-0.99.182.

2001-12-03 17:53  ljohnson

	* doc/: book.html, changes.html, changes.sgml: [no log message]

2001-12-03 17:10  ljohnson

	* ext/fox/: extconf.rb, extconf.rb.tmpl: Also removed the
	-fpermissive flag from CFLAGS, as it is no longer supported by gcc.

2001-12-03 17:09  ljohnson

	* ext/fox/: extconf.rb, extconf.rb.tmpl: Removed the
	-fno-strict-prototype flag from the CFLAGS for Linux builds, since
	the versions of gcc shipped with most recent Linux distros no
	longer support this flag anyways.

2001-12-03 17:03  ljohnson

	* doc/: book.html, build.html, build.sgml, changes.html,
	differences.html, events.html, library.html, opengl.html: Added hot
	links to the "Things That Can Wrong" section of the documentation
	from elsewhere on that page.

2001-12-03 17:01  ljohnson

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	image_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp: Regenerated these
	source files so that they don't include CRLF line ends which cause
	compile errors on Linux.

2001-11-29 11:37  ljohnson

	* make-drop.sh, ChangeLog: [no log message]

2001-11-29 11:34  ljohnson

	* ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp,
	ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp, doc/book.html,
	doc/build.html, doc/build.sgml, doc/changes.html, doc/changes.sgml,
	doc/differences.html, doc/events.html, doc/library.html,
	doc/opengl.html: [no log message]

2001-11-29 10:36  ljohnson

	* lib/fox/glshapes.rb: Changed all of the attribute accessor
	functions (for things like width, height, radius, etc.) from
	read-only to read-write.  Changed the number of slices, stacks and
	loops used to render cones and cylinders from hard-coded values to
	changeable attributes (as was already done for FXGLSphere in the
	previous release).

2001-11-29 09:34  ljohnson

	* swig-interfaces/FXICOIcon.i: Corrected the declaration of
	fxsaveICO.

2001-11-27 14:37  ljohnson

	* FXRuby.iss: Updated application version number to 0.99.181.

2001-11-27 14:36  ljohnson

	* ANNOUNCE, doc/book.html, doc/changes.html, doc/changes.sgml,
	ext/fox/README, ext/fox/core_wrap.cpp, ext/fox/extconf.rb,
	ext/fox/image_wrap.cpp, fox-includes/FXGLCanvas.h,
	fox-includes/FXGLCone.h, fox-includes/FXGLContext.h,
	fox-includes/FXGLCube.h, fox-includes/FXGLCylinder.h,
	fox-includes/FXGLSphere.h, fox-includes/FXIconList.h,
	fox-includes/FXImage.h, fox-includes/FXList.h,
	fox-includes/FXSettings.h, fox-includes/FXTable.h,
	fox-includes/FXText.h, fox-includes/FXTextField.h,
	fox-includes/FXTreeList.h, fox-includes/fxver.h,
	swig-interfaces/FXGLCanvas.i, swig-interfaces/FXGLContext.i,
	swig-interfaces/FXImage.i, swig-interfaces/FXSettings.i,
	swig-interfaces/FXText.i, swig-interfaces/FXTextField.i: Latest API
	updates for compatibility with fox-0.99.181.

2001-11-27 11:15  ljohnson

	* ANNOUNCE, ANNOUNCE.tmpl, setversions.rb: The URL for the Windows
	installer was wrong (so was the text describing it).

2001-11-27 11:11  ljohnson

	* ANNOUNCE.tmpl: Reformtted the announcement text a bit and removed
	the part about it being an alpha-quality release.

2001-11-27 11:10  ljohnson

	* FXRuby.iss: Add scribble-orig.rb to the install.

2001-11-27 10:22  ljohnson

	* ChangeLog: [no log message]

2001-11-27 10:19  ljohnson

	* make-drop.sh: [no log message]

2001-11-27 09:46  ljohnson

	* examples/: imageviewer.rb, inputs.rb: [no log message]

2001-11-27 09:45  ljohnson

	* FXRuby.iss: Added events.html doc page and responder2.rb module
	to the install.

2001-11-26 15:20  ljohnson

	* doc/: book.html, changes.html, events.html, events.sgml,
	library.html: [no log message]

2001-11-26 15:08  ljohnson

	* examples/textedit/textedit.rb: Removed reference to FXFile class;
	using Ruby's File::Stat module instead.

2001-11-26 14:55  ljohnson

	* swig-interfaces/fxdefs.i: Corrected the implementation of
	fxversion() -- was returning an array of booleans instead of
	numbers.

2001-11-26 14:54  ljohnson

	* lib/fox/responder2.rb: Fixed some bugs for the overloaded version
	of addSignal.

2001-11-26 14:53  ljohnson

	* examples/textedit/textedit.rb, ext/fox/core_wrap.cpp: [no log
	message]

2001-11-26 14:36  ljohnson

	* ext/fox/core_wrap.cpp, swig-interfaces/FXLabel.i: Added missing
	arguments for FXLabel#initialize.

2001-11-26 13:28  ljohnson

	* examples/textedit/: commands.rb, helpwindow.rb, prefdialog.rb,
	textedit.rb: [no log message]

2001-11-26 12:37  ljohnson

	* examples/splitter.rb: [no log message]

2001-11-26 12:37  ljohnson

	* examples/imageviewer.rb: Renamed FXJPEGImage to FXJPGImage.

2001-11-26 12:36  ljohnson

	* examples/: dirlist.rb, glviewer.rb, header.rb: Removed references
	to the obsolete MENU_DEFAULT option.

2001-11-26 12:35  ljohnson

	* lib/fox/responder2.rb: Added sections for new FXTGAIcon and
	FXTGAImage classes.  Renamed FXJPEGIcon and FXJPEGImage to
	FXJPGIcon and FXJPGImage.  Added support for FXApp#addInput and
	FXApp#addSignal methods.

2001-11-26 12:34  ljohnson

	* lib/fox/aliases.rb: Removed alias for FXRegistry's getSections
	method.

2001-11-26 11:50  ljohnson

	* ANNOUNCE, FXRuby.iss, doc/changes.html, doc/changes.sgml: [no log
	message]

2001-11-26 11:49  ljohnson

	* lib/fox/aliases.rb: Renamed FXJPEGIcon and FXJPEGImage to
	FXJPGIcon and FXJPGImage.  Added tickDelta accessor aliases for
	FXSlider.

2001-11-26 11:47  ljohnson

	* ext/fox/: FXRbApp.cpp, FXRbDataTarget.cpp, FXRuby.cpp, README,
	core_wrap.cpp, dialogs_wrap.cpp, extconf.rb, icons_wrap.cpp,
	image_wrap.cpp, impl.cpp, make_impl.rb, markfuncs.cpp,
	mdi_wrap.cpp, opengl_wrap.cpp, include/FXRbDict.h,
	include/FXRbJPEGIcon.h, include/FXRbJPEGImage.h,
	include/FXRbJPGIcon.h, include/FXRbJPGImage.h,
	include/FXRbSpinner.h, include/FXRbSpinnerVirtuals.h,
	include/FXRbStringDict.h, include/FXRbTGAIcon.h,
	include/FXRbTGAImage.h, include/FXRbTab.h, include/FXRbTabBar.h,
	include/FXRbTabBook.h, include/FXRbTabItem.h, include/FXRbWindow.h,
	include/FXRbWindowVirtuals.h, include/FXRuby.h, include/impl.h:
	Latest changes for 0.99.180 release.

2001-11-26 11:32  ljohnson

	* swig-interfaces/: FXAccelTable.i, FXApp.i, FXBitmap.i,
	FXButton.i, FXDict.i, FXGLObject.i, FXImage.i, FXJPEGIcon.i,
	FXJPEGImage.i, FXJPGIcon.i, FXJPGImage.i, FXMenuCaption.i,
	FXMenuCascade.i, FXMenuCommand.i, FXRegistry.i, FXSettings.i,
	FXShell.i, FXSlider.i, FXSpinner.i, FXStringDict.i, FXTGAIcon.i,
	FXTGAImage.i, FXTabBar.i, FXTabBook.i, FXTabItem.i, FXTable.i,
	FXText.i, FXToolbarGrip.i, FXTopWindow.i, FXWindow.i, core.i,
	dialogs.i, fxdefs.i, icons.i, image.i, mdi.i, opengl.i, renames.i,
	stubs.i, typemaps.i: Updated SWIG interface files for release
	0.99.180.

2001-11-26 10:13  ljohnson

	* fox-includes/: FX4Splitter.h, FXAccelTable.h, FXApp.h,
	FXArrowButton.h, FXBMPIcon.h, FXBMPImage.h, FXBitmap.h, FXButton.h,
	FXCanvas.h, FXCheckButton.h, FXColorBar.h, FXColorDialog.h,
	FXColorSelector.h, FXColorWell.h, FXColorWheel.h, FXComboBox.h,
	FXComposite.h, FXCursor.h, FXDCPrint.h, FXDCWindow.h,
	FXDataTarget.h, FXDebugTarget.h, FXDelegator.h, FXDial.h,
	FXDialogBox.h, FXDict.h, FXDirBox.h, FXDirDialog.h, FXDirList.h,
	FXDirSelector.h, FXDocument.h, FXDragCorner.h, FXDrawable.h,
	FXDriveBox.h, FXFileDialog.h, FXFileDict.h, FXFileList.h,
	FXFileSelector.h, FXFont.h, FXFontDialog.h, FXFontSelector.h,
	FXFrame.h, FXGIFCursor.h, FXGIFIcon.h, FXGIFImage.h, FXGLCanvas.h,
	FXGLCone.h, FXGLCube.h, FXGLCylinder.h, FXGLObject.h, FXGLShape.h,
	FXGLSphere.h, FXGLTriangleMesh.h, FXGLViewer.h, FXGLVisual.h,
	FXGroupBox.h, FXHeader.h, FXHorizontalFrame.h, FXICOIcon.h,
	FXICOImage.h, FXIcon.h, FXIconList.h, FXId.h, FXImage.h,
	FXImageView.h, FXInputDialog.h, FXJPEGIcon.h, FXJPEGImage.h,
	FXJPGIcon.h, FXJPGImage.h, FXLabel.h, FXList.h, FXListBox.h,
	FXMDIButton.h, FXMDIChild.h, FXMDIClient.h, FXMainWindow.h,
	FXMatrix.h, FXMenuButton.h, FXMenuCaption.h, FXMenuCascade.h,
	FXMenuCommand.h, FXMenuPane.h, FXMenuSeparator.h, FXMenuTitle.h,
	FXMenubar.h, FXMessageBox.h, FXOptionMenu.h, FXPCXIcon.h,
	FXPCXImage.h, FXPNGIcon.h, FXPNGImage.h, FXPacker.h, FXPicker.h,
	FXPopup.h, FXPrintDialog.h, FXProgressBar.h, FXProgressDialog.h,
	FXRadioButton.h, FXRecentFiles.h, FXRegistry.h, FXReplaceDialog.h,
	FXRootWindow.h, FXScrollArea.h, FXScrollWindow.h, FXScrollbar.h,
	FXSearchDialog.h, FXSeparator.h, FXSettings.h, FXShell.h,
	FXShutter.h, FXSlider.h, FXSpinner.h, FXSplitter.h, FXStatusbar.h,
	FXStatusline.h, FXStringDict.h, FXSwitcher.h, FXTGAIcon.h,
	FXTGAImage.h, FXTIFIcon.h, FXTIFImage.h, FXTab.h, FXTabBar.h,
	FXTabBook.h, FXTabItem.h, FXTable.h, FXText.h, FXTextField.h,
	FXToggleButton.h, FXToolbar.h, FXToolbarGrip.h, FXToolbarShell.h,
	FXToolbarTab.h, FXTooltip.h, FXTopWindow.h, FXTreeList.h,
	FXTreeListBox.h, FXUndoList.h, FXVerticalFrame.h, FXVisual.h,
	FXWindow.h, FXXPMIcon.h, FXXPMImage.h, fx.h, fxdefs.h, fxver.h,
	xincs.h: Updated header files to those for fox-0.99.180.

2001-11-26 10:08  ljohnson

	* lib/fox/glshapes.rb: Added accessors for the number of slices and
	stacks used to render FXGLSphere objects.

2001-11-25 16:31  ljohnson

	* lib/fox/aliases.rb: [no log message]

2001-11-25 16:31  ljohnson

	* ANNOUNCE, index.html, setversions.rb: Updated FXRuby release
	number and FOX home page URL.

2001-11-15 13:38  ljohnson

	* ext/fox/: core_wrap.cpp, icons_wrap.cpp, image_wrap.cpp: [no log
	message]

2001-11-15 13:36  ljohnson

	* swig-interfaces/FXICOIcon.i: Corrected the implementation of
	fxsaveICO().

2001-11-15 13:36  ljohnson

	* swig-interfaces/typemaps.i: Corrected the typemap for unsigned
	char arrays of BYTES.

2001-11-15 10:34  ljohnson

	* doc/: book.html, changes.html: [no log message]

2001-11-14 17:19  ljohnson

	* examples/glviewer.rb, doc/changes.sgml: [no log message]

2001-11-14 17:14  ljohnson

	* examples/imageviewer.rb: [no log message]

2001-11-14 16:45  ljohnson

	* examples/: datatarget.rb, foursplit.rb, gltest.rb, inputs.rb: [no
	log message]

2001-11-14 16:39  ljohnson

	* lib/fox/: aliases.rb, responder2.rb: [no log message]

2001-11-14 16:38  ljohnson

	* ext/fox/core_wrap.cpp, swig-interfaces/FXApp.i,
	swig-interfaces/FXBMPIcon.i, swig-interfaces/FXGIFCursor.i,
	swig-interfaces/FXICOIcon.i, swig-interfaces/FXICOImage.i,
	swig-interfaces/FXObject.i, swig-interfaces/FXPCXIcon.i,
	swig-interfaces/FXPNGIcon.i, swig-interfaces/FXRange.i,
	swig-interfaces/FXTIFIcon.i, swig-interfaces/FXTIFImage.i,
	swig-interfaces/FXTable.i, swig-interfaces/FXTreeListBox.i,
	swig-interfaces/FXWindow.i, swig-interfaces/FXXPMIcon.i,
	swig-interfaces/fxdefs.i, swig-interfaces/typemaps.i,
	ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp,
	ext/fox/opengl_wrap.cpp: Corrected a lot of minor interface bugs
	that have been ignored until now.

2001-11-14 14:48  ljohnson

	* doc/: book.html, book.sgml, build.html, build.sgml, changes.html,
	changes.sgml, differences.html, events.html, events.sgml,
	goals.html, library.html, maintainer.sgml, opengl.html,
	screenshots.html, todo.html, todo.sgml, tutorial1.html,
	tutorial1.sgml: [no log message]

2001-11-13 11:21  ljohnson

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	image_wrap.cpp, mdi_wrap.cpp: [no log message]

2001-11-13 11:08  ljohnson

	* ext/fox/opengl_wrap.cpp: [no log message]

2001-11-13 10:26  ljohnson

	* examples/table.rb: Updated the table example to take advantage of
	new FXTable APIs, the new event model, etc.

2001-11-13 10:20  ljohnson

	* lib/fox/iterators.rb: Revives the iterators (each, each_row and
	each_column) for the FXTable class since the new FXTable API allows
	us to get at the individual table items now.

2001-11-07 17:33  ljohnson

	* ext/fox/core_wrap.cpp, ext/fox/mdi_wrap.cpp,
	ext/fox/opengl_wrap.cpp, make-drop.sh, lib/fox/responder2.rb: [no
	log message]

2001-11-07 17:32  ljohnson

	* swig-interfaces/: FXApp.i, FXDict.i, FXGLObject.i, FXGLViewer.i,
	typemaps.i: Commented out some troublesome lines in these interface
	files (for now).

2001-11-07 12:20  ljohnson

	* examples/tabbook.rb: [no log message]

2001-11-07 12:11  ljohnson

	* examples/: mditest.rb, splitter.rb: [no log message]

2001-11-05 17:12  ljohnson

	* examples/image.rb: [no log message]

2001-11-05 16:47  ljohnson

	* examples/groupbox.rb: [no log message]

2001-11-05 14:38  ljohnson

	* examples/: browser.rb, button.rb, dialog.rb, dirlist.rb,
	header.rb, scribble.rb: Removed line to require 'fox/responder2';
	it's now automatically included.

2001-11-05 14:36  ljohnson

	* lib/fox/responder2.rb: [no log message]

2001-11-05 14:29  ljohnson

	* lib/fox/responder2.rb: [no log message]

2001-11-05 14:20  ljohnson

	* examples/header.rb: [no log message]

2001-11-02 16:35  ljohnson

	* examples/hello2.rb: [no log message]

2001-11-02 16:34  ljohnson

	* examples/: scribble-orig.rb, scribble.rb: Standard version of
	scribble now uses 'connect' for message handling while
	scribble-orig.rb is kept to show the more complicated method.

2001-11-02 16:06  ljohnson

	* examples/foursplit.rb: Changed calls to setBackColor() and
	setTextColor() to use attribute-based accessors, i.e. backColor=
	and textColor=.

2001-10-30 13:41  ljohnson

	* examples/: browser.rb, button.rb, dialog.rb, dirlist.rb: Updated
	these examples to use the new connect() method for handling events
	with Procs.

2001-10-30 13:31  ljohnson

	* lib/fox/responder2.rb: Per Rich Kilmer's suggestion, optional
	second argument for connect takes a Method instance (which gets
	converted to a Proc instance).

2001-10-26 16:29  ljohnson

	* lib/fox/responder2.rb, ext/fox/FXRuby.cpp: [no log message]

2001-10-26 11:44  ljohnson

	* examples/image.rb, examples/imageviewer.rb,
	ext/fox/core_wrap.cpp, lib/fox/overloads.rb,
	swig-interfaces/FXStream.i: New transaction-based protocol for
	FXFileStream.open (like File.open).

2001-10-25 17:46  ljohnson

	* ext/fox/FXRuby.cpp, ext/fox/core_wrap.cpp,
	ext/fox/patches/wrap_FXRange_include.cpp,
	ext/fox/patches/wrap_FXRectangle_contains.cpp,
	ext/fox/patches/wrap_FXRectangle_grow.cpp,
	ext/fox/patches/wrap_FXRectangle_shrink.cpp,
	ext/fox/patches/wrap_FX_Header_appendItem.cpp,
	ext/fox/patches/wrap_FX_Header_insertItem.cpp,
	ext/fox/patches/wrap_FX_Header_prependItem.cpp,
	ext/fox/patches/wrap_FX_Header_replaceItem.cpp,
	ext/fox/patches/wrap_FX_IconList_appendItem.cpp,
	ext/fox/patches/wrap_FX_IconList_insertItem.cpp,
	ext/fox/patches/wrap_FX_IconList_prependItem.cpp,
	ext/fox/patches/wrap_FX_IconList_replaceItem.cpp,
	ext/fox/patches/wrap_FX_List_appendItem.cpp,
	ext/fox/patches/wrap_FX_List_insertItem.cpp,
	ext/fox/patches/wrap_FX_List_prependItem.cpp,
	ext/fox/patches/wrap_FX_List_replaceItem.cpp,
	ext/fox/patches/wrap_FX_TreeListBox_addItemAfter.cpp,
	ext/fox/patches/wrap_FX_TreeListBox_addItemBefore.cpp,
	ext/fox/patches/wrap_FX_TreeListBox_addItemFirst.cpp,
	ext/fox/patches/wrap_FX_TreeListBox_addItemLast.cpp,
	ext/fox/patches/wrap_FX_TreeList_addItemAfter.cpp,
	ext/fox/patches/wrap_FX_TreeList_addItemBefore.cpp,
	ext/fox/patches/wrap_FX_TreeList_addItemFirst.cpp,
	ext/fox/patches/wrap_FX_TreeList_addItemLast.cpp,
	lib/fox/overloads.rb, swig-interfaces/FXRectangle.i: Moved a lot of
	C++ "patch" code out into the new "overloads.rb" library file, to
	handle overloaded method calls.

2001-10-25 16:27  ljohnson

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	image_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp: [no log message]

2001-10-24 17:47  ljohnson

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	image_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp, include/FXRuby.h,
	patches/wrap_FXRange_include.cpp,
	patches/wrap_FXRectangle_contains.cpp,
	patches/wrap_FXRectangle_grow.cpp,
	patches/wrap_FXRectangle_shrink.cpp,
	patches/wrap_new_FXDCWindow.cpp, patches/wrap_new_FX_DCWindow.cpp:
	Corrected these overloaded wrappers to new call style.

2001-10-24 17:46  ljohnson

	* swig-interfaces/typemaps.i: Added a pass-through typemap for
	VALUE return types.

2001-10-24 13:44  ljohnson

	* ext/fox/core_wrap.cpp: [no log message]

2001-10-24 12:12  ljohnson

	* swig-interfaces/renames.i: Removed the renaming of FXRegion; this
	was a bug.

2001-10-24 11:58  ljohnson

	* lib/fox/colors.rb: [no log message]

2001-10-24 11:58  ljohnson

	* examples/: datatarget.rb, image.rb, mditest.rb, scribble.rb:
	Replaced some color definitions with the new color constant names
	from 'fox/colors.rb'.

2001-10-24 11:48  ljohnson

	* ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp,
	ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp, lib/fox/aliases.rb:
	[no log message]

2001-10-24 11:09  ljohnson

	* ANNOUNCE: [no log message]

2001-10-24 11:06  ljohnson

	* ext/fox/: include/FXRuby.h, include/impl.h, FXRbApp.cpp,
	FXRbDataTarget.cpp, FXRuby.cpp, README, extconf.rb, impl.cpp,
	make_impl.rb, markfuncs.cpp: [no log message]

2001-10-24 11:05  ljohnson

	* ext/fox/include/: FXRbTable.h, FXRbTableItemVirtuals.h: Updated
	virtual function declarations and definitions for FXRbTableItem.

2001-10-24 11:04  ljohnson

	* ext/fox/include/: FXRbColorBar.h, FXRbColorWheel.h,
	FXRbICOIcon.h, FXRbICOImage.h, FXRbPicker.h: Added new header files
	for FXRbColorBar, FXRbColorWheel, FXRbICOIcon, FXRbICOImage and
	FXRbPicker.

2001-10-24 11:04  ljohnson

	* ext/fox/include/FXRbMessageBox.h: Added overloaded constructor
	for FXRbMessageBox.

2001-10-24 10:58  ljohnson

	* lib/fox/colors.rb: [no log message]

2001-10-24 10:58  ljohnson

	* lib/fox/aliases.rb: Added aliases for FXColorBar and FXColorWheel
	methods; updated aliases for other classes.

2001-10-24 10:27  ljohnson

	* swig-interfaces/core.i: Whoops, forgot about adding
	FXColorWheel.i to this one!

2001-10-24 10:23  ljohnson

	* swig-interfaces/FXQuat.i: Made getRollPitchYaw a non-const
	method.

2001-10-23 19:28  ljohnson

	* swig-interfaces/: FXApp.i, FXColorBar.i, FXColorSelector.i,
	FXColorWheel.i, FXComboBox.i, FXGIFIcon.i, FXGIFImage.i,
	FXGLCanvas.i, FXICOIcon.i, FXICOImage.i, FXListBox.i,
	FXMessageBox.i, FXPicker.i, FXSlider.i, FXStatusline.i, FXTable.i,
	FXTreeListBox.i, FXWindow.i, core.i, dialogs.i, fxdefs.i, icons.i,
	image.i, mdi.i, opengl.i, renames.i, stubs.i, typemaps.i: Updates
	for fox-0.99.177.

2001-10-23 19:27  ljohnson

	* swig-interfaces/: FXPoint.i, FXSize.i: Made the __neg__ methods
	(for unary negation) non-const methods instead of const methods.

2001-10-23 18:51  ljohnson

	* fox-includes/: FXApp.h, FXColorBar.h, FXColorSelector.h,
	FXColorWell.h, FXColorWheel.h, FXComboBox.h, FXDCPrint.h, FXFile.h,
	FXGLCanvas.h, FXICOIcon.h, FXICOImage.h, FXListBox.h,
	FXMessageBox.h, FXPicker.h, FXSlider.h, FXStatusline.h, FXTable.h,
	FXTreeListBox.h, FXWindow.h, fx.h, fxdefs.h, fxver.h, xincs.h:
	Latest header files from fox-0.99.177.

2001-10-23 17:58  ljohnson

	* ext/fox/patches/: wrap_FXMessageBox_initialize.cpp,
	wrap_FX_MessageBox_initialize.cpp: [no log message]

2001-10-23 13:52  ljohnson

	* lib/fox/colors.rb: [no log message]

2001-10-22 17:08  ljohnson

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	image_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp: [no log message]

2001-10-22 17:04  ljohnson

	* examples/button.rb: [no log message]

2001-10-09 16:08  ljohnson

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	image_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp: [no log message]

2001-10-09 16:08  ljohnson

	* swig-interfaces/FXDataTarget.i: Removed renames for setValue()
	and getValue() methods; these are now handled by aliases.

2001-10-04 17:23  ljohnson

	* lib/fox/responder.rb: Added Sean O'Halpin's utility function for
	generating FOX message IDs from Ruby id's.

2001-10-04 17:22  ljohnson

	* lib/fox/aliases.rb: Removed obsolete aliases for
	FXTableItem.setMarked and FXTableItem.isMarked.  Added aliases for
	FXDataTarget.getValue and FXDataTarget.setValue accessors.

2001-10-04 17:22  ljohnson

	* examples/: browser.rb, button.rb, datatarget.rb, dialog.rb,
	dirlist.rb, gltest.rb, glviewer.rb, groupbox.rb, header.rb,
	image.rb, imageviewer.rb, inputs.rb, mditest.rb, scribble.rb,
	splitter.rb, tabbook.rb, table.rb: Modified example programs to use
	new identifier method (from the Responder module) to register class
	message identifiers (instead of calling enum as before).

2001-10-02 18:25  ljohnson

	* .cvsignore, FXRuby.iss, doc/build.sgml, doc/changes.sgml,
	ext/fox/.cvsignore: FXRuby.iss

2001-10-02 18:23  ljohnson

	* install.rb, setup.rb, make-drop.sh, ext/PATHCONV,
	ext/fox/MANIFEST, lib/PATHCONV: Changes for upgrading to latest
	version of setup (v3.0.2).

2001-10-02 17:20  ljohnson

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, extconf.rb,
	icons_wrap.cpp, image_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp: [no
	log message]

2001-10-02 17:19  ljohnson

	* swig-interfaces/: Makefile, swig.sed: Moved some FXRuby-specific
	stuff out of SWIG and into this sed script.

2001-10-02 17:18  ljohnson

	* swig-interfaces/stubs.i: Removed setMarked method for
	FXTableItem.  Corrected names of FXTable methods (deleteRows ->
	removeRows, etc.)

2001-10-02 17:17  ljohnson

	* swig-interfaces/FXWindow.i: Fixed the implementation of added
	method FXWindow::getChildren().

2001-10-02 17:17  ljohnson

	* ext/fox/include/FXRuby.h: Added three-argument template for
	FXRbCallVoidMethod().

2001-10-02 17:16  ljohnson

	* ext/fox/include/FXRbGLContext.h: Added default constructor
	implementation for FXRbGLContext.

2001-10-01 14:24  ljohnson

	* ANNOUNCE: [no log message]

2001-10-01 14:22  ljohnson

	* lib/fox/aliases.rb: Added some new aliases for methods in
	FXArrowButton and FXTable classes.

2001-10-01 14:21  ljohnson

	* ext/fox/include/: FXRbFileDict.h, FXRbGLContext.h,
	FXRbGLContextVirtuals.h, FXRbTable.h, FXRbTableItemVirtuals.h,
	FXRbTableVirtuals.h: Updates for version 0.99.175.

2001-10-01 14:20  ljohnson

	* fox-includes/: FXApp.h, FXArrowButton.h, FXBitmap.h,
	FXComposite.h, FXDCPrint.h, FXDCWindow.h, FXDirBox.h, FXDirList.h,
	FXDriveBox.h, FXFile.h, FXFileDict.h, FXFileList.h,
	FXFileSelector.h, FXGLContext.h, FXGLVisual.h, FXIcon.h,
	FXIconList.h, FXImage.h, FXImageView.h, FXList.h, FXListBox.h,
	FXMenuCascade.h, FXMenuCommand.h, FXMessageBox.h, FXPopup.h,
	FXRecentFiles.h, FXReplaceDialog.h, FXSearchDialog.h, FXSettings.h,
	FXShutter.h, FXSplitter.h, FXTIFIcon.h, FXTIFImage.h, FXTable.h,
	FXToolbar.h, FXTopWindow.h, FXTreeList.h, FXURL.h, FXUndoList.h,
	FXVisual.h, FXWindow.h, fx.h, fxdefs.h, fxver.h: Latest header
	files, from fox-0.99.175.

2001-10-01 14:17  ljohnson

	* ext/fox/: README, extconf.rb, impl.cpp: Updates for fox-0.99.175
	release.

2001-10-01 14:14  ljohnson

	* swig-interfaces/: FXApp.i, FXArrowButton.i, FXButton.i,
	FXCheckButton.i, FXComposite.i, FXDirBox.i, FXFileDict.i,
	FXGLContext.i, FXIconList.i, FXList.i, FXListBox.i, FXPopup.i,
	FXReplaceDialog.i, FXSearchDialog.i, FXSettings.i, FXSplitter.i,
	FXTable.i, FXToolbar.i, FXWindow.i, dialogs.i, fxdefs.i, stubs.i:
	Updated SWIG interface files for fox-0.99.175.

2001-08-31 12:17  ljohnson

	* swig-interfaces/FXWindow.i: Added getChildren() method for
	FXWindow, returns an array of the children.

2001-08-31 12:16  ljohnson

	* ext/fox/include/FXRbWindow.h,
	ext/fox/include/FXRbWindowVirtuals.h, lib/fox/aliases.rb,
	swig-interfaces/stubs.i: Added support for overriding virtual
	layout() method for FXWindow.

2001-08-21 16:15  ljohnson

	* FXRuby.iss, README.win32.txt, fxruby.wse: Switched over to using
	the Inno Installer instead of WISE; also updated the
	README.win32.txt file to reflect where the sample files get
	installed.

2001-08-16 13:21  ljohnson

	* ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp,
	ext/fox/markfuncs.cpp, ext/fox/mdi_wrap.cpp,
	ext/fox/opengl_wrap.cpp, ext/fox/include/FXRbGLObject.h,
	swig-interfaces/FXGLObject.i: Fixed a bug related to transfer of
	ownership when you add FXGLObjects to an FXGLGroup.

2001-08-08 16:21  ljohnson

	* examples/mditest.rb: Corrected the line heights for the vertical
	scrollbars to match the text font height.

2001-08-08 16:20  ljohnson

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	image_wrap.cpp, librb.c, mdi_wrap.cpp, opengl_wrap.cpp: [no log
	message]

2001-08-08 15:14  ljohnson

	* ext/fox/opengl_wrap.cpp: [no log message]

2001-08-08 15:13  ljohnson

	* swig-interfaces/: FXDHMat.i, FXDHVec.i, FXDQuat.i, FXDVec.i,
	FXHMat.i, FXHVec.i, FXQuat.i, FXRange.i, FXVec.i, opengl.i: Beefed
	up the interfaces for FXVec, FXHVec, FXHMat and FXQuat; removed
	wrappers for the double-precision versions of the same.

2001-08-08 12:13  ljohnson

	* doc/book.html, doc/changes.html, doc/changes.sgml,
	examples/glviewer.rb, ext/fox/FXRuby.cpp, ext/fox/core_wrap.cpp,
	ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	ext/fox/image_wrap.cpp, ext/fox/impl.cpp, ext/fox/markfuncs.cpp,
	ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	ext/fox/include/FXRbGLCone.h, ext/fox/include/FXRbGLCube.h,
	ext/fox/include/FXRbGLCylinder.h, ext/fox/include/FXRbGLObject.h,
	ext/fox/include/FXRbGLObjectVirtuals.h,
	ext/fox/include/FXRbGLShape.h,
	ext/fox/include/FXRbGLShapeVirtuals.h,
	ext/fox/include/FXRbGLSphere.h,
	ext/fox/include/FXRbGLTriangleMesh.h, ext/fox/include/FXRuby.h,
	ext/fox/include/impl.h, lib/fox/aliases.rb, lib/fox/glshapes.rb,
	swig-interfaces/FXGLCone.i, swig-interfaces/FXGLCube.i,
	swig-interfaces/FXGLCylinder.i, swig-interfaces/FXGLObject.i,
	swig-interfaces/FXGLShape.i, swig-interfaces/FXGLSphere.i,
	swig-interfaces/FXGLTriangleMesh.i, swig-interfaces/opengl.i,
	swig-interfaces/renames.i, swig-interfaces/stubs.i: Moved the
	FXGLPoint, FXGLLine, FXGLCube, FXGLCone, FXGLCylinder and
	FXGLSphere classes out to the new glshapes.rb library module.

2001-08-08 12:12  ljohnson

	* ext/fox/patches/wrap_FXRange_include.cpp,
	swig-interfaces/FXRange.i, tests/TestFXRange.rb, tests/testall.rb:
	Fixed some problems in the FXRange class and added a new test case
	for this class.

2001-08-07 16:26  ljohnson

	* swig-interfaces/: FXUndoList.i, stubs.i: Removed SWIG stuff
	related to FXUndoList and FXCommand classes (no longer required
	here).

2001-08-07 14:34  ljohnson

	* swig-interfaces/: FX4Splitter.i, FXArrowButton.i, FXButton.i,
	FXCheckButton.i, FXColorDialog.i, FXColorSelector.i, FXColorWell.i,
	FXComboBox.i, FXDC.i, FXDCPrint.i, FXDCWindow.i, FXDial.i,
	FXDialogBox.i, FXDirBox.i, FXDirDialog.i, FXDirList.i,
	FXDirSelector.i, FXDragCorner.i, FXDriveBox.i, FXFileDialog.i,
	FXFileList.i, FXFileSelector.i, FXFontDialog.i, FXFontSelector.i,
	FXGLCanvas.i, FXGLCone.i, FXGLContext.i, FXGLCube.i,
	FXGLCylinder.i, FXGLObject.i, FXGLShape.i, FXGLSphere.i,
	FXGLTriangleMesh.i, FXGLViewer.i, FXGLVisual.i, FXGroupBox.i,
	FXHeader.i, FXHorizontalFrame.i, FXInputDialog.i, FXLabel.i,
	FXList.i, FXListBox.i, FXMatrix.i, FXMessageBox.i, FXOptionMenu.i,
	FXPacker.i, FXPrintDialog.i, FXProgressBar.i, FXRadioButton.i,
	FXReplaceDialog.i, FXScrollArea.i, FXScrollWindow.i, FXScrollbar.i,
	FXSearchDialog.i, FXSeparator.i, FXShutter.i, FXSlider.i,
	FXSpinner.i, FXSplitter.i, FXStatusbar.i, FXStatusline.i,
	FXSwitcher.i, FXTab.i, FXTextField.i, FXToggleButton.i,
	FXToolbar.i, FXToolbarGrip.i, FXToolbarShell.i, FXToolbarTab.i,
	FXTooltip.i, FXVerticalFrame.i, Makefile: Added a lot of Python
	stuff to the SWIG interface files.

2001-08-06 17:06  ljohnson

	* tests/: TestFXPoint.rb, TestFXRectangle.rb, TestFXSize.rb: Fixed
	these tests; the default constructors for each of these classes
	don't initialize their data members as previously believed, so,
	e.g.  FXPoint.new == FXPoint.new isn't necessarily true.

2001-08-02 13:49  ljohnson

	* make-drop.sh: [no log message]

2001-07-26 15:09  ljohnson

	* ext/fox/FXRuby.cpp: [no log message]

2001-07-26 14:41  ljohnson

	* README.win32.txt, fxruby.wse: [no log message]

2001-07-26 14:32  ljohnson

	* README.win32, README.win32.tmpl, README.win32.txt, fxruby.wse,
	make-drop.sh, setversions.rb: [no log message]

2001-07-26 14:21  ljohnson

	* fxruby.wse: [no log message]

2001-07-26 14:10  ljohnson

	* fxruby.wse, fxruby.wse: [no log message]

2001-07-26 13:39  ljohnson

	* ext/fox/FXRuby.cpp: [no log message]

2001-07-26 13:31  ljohnson

	* ext/fox/FXRuby.cpp, ChangeLog: [no log message]

2001-07-26 13:28  ljohnson

	* doc/: book.html, book.sgml, changes.html, changes.sgml,
	differences.html, library.html, library.sgml, todo.html, todo.sgml:
	[no log message]

2001-07-26 13:27  ljohnson

	* lib/fox/undolist.rb: Added to the module documentation.

2001-07-26 10:55  ljohnson

	* make-drop.sh, examples/inputs.rb: Added this example for
	addInput() and removeInput().

2001-07-26 10:54  ljohnson

	* ext/fox/core_wrap.cpp: [no log message]

2001-07-26 10:45  ljohnson

	* setup.rb: [no log message]

2001-07-26 10:36  ljohnson

	* swig-interfaces/FXText.i: Modified APIs for FXText#appendText and
	FXText#insertText so that the "number of characters" argument is
	optional; if it's not specified, all of the text is
	appended/inserted.

2001-07-26 10:35  ljohnson

	* ext/fox/FXRuby.cpp, swig-interfaces/typemaps.i: Fixes for
	addInput() and removeInput().

2001-07-24 15:47  ljohnson

	* swig-interfaces/FXBMPIcon.i, swig-interfaces/FXBMPImage.i,
	swig-interfaces/FXGIFCursor.i, swig-interfaces/FXGIFIcon.i,
	swig-interfaces/FXGIFImage.i, swig-interfaces/FXGLVisual.i,
	swig-interfaces/FXJPEGImage.i, swig-interfaces/FXPCXIcon.i,
	swig-interfaces/FXPCXImage.i, swig-interfaces/FXPNGIcon.i,
	swig-interfaces/FXPNGImage.i, swig-interfaces/FXTIFIcon.i,
	swig-interfaces/FXTIFImage.i, swig-interfaces/FXXPMIcon.i,
	swig-interfaces/FXXPMImage.i, swig-interfaces/fxdefs.i,
	ext/fox/Makefile.vc, ext/fox/core_wrap.cpp, ext/fox/icons_wrap.cpp,
	ext/fox/image_wrap.cpp, ext/fox/opengl_wrap.cpp: Updates for
	configuring and building for the mswin32 version of Ruby.

2001-07-24 11:19  ljohnson

	* ext/fox/FXRbApp.cpp, ext/fox/FXRbDataTarget.cpp,
	ext/fox/Makefile.vc, ext/fox/core_wrap.cpp,
	swig-interfaces/FXBMPIcon.i, swig-interfaces/FXBMPImage.i,
	swig-interfaces/FXGIFCursor.i, swig-interfaces/FXJPEGImage.i,
	swig-interfaces/FXPNGImage.i, swig-interfaces/FXTIFIcon.i,
	swig-interfaces/FXTIFImage.i, swig-interfaces/core.i,
	swig-interfaces/dialogs.i, swig-interfaces/fxdefs.i,
	swig-interfaces/icons.i, swig-interfaces/image.i,
	swig-interfaces/mdi.i, swig-interfaces/opengl.i,
	ext/fox/dialogs_wrap.cpp, ext/fox/extconf.rb,
	ext/fox/extconf.rb.tmpl, ext/fox/icons_wrap.cpp,
	ext/fox/image_wrap.cpp, ext/fox/impl.cpp, ext/fox/make_impl.rb,
	ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp: Some patches to get
	it compileable under Microsoft Visual C++ for the "mswin32" build
	of Ruby.

2001-07-20 14:15  ljohnson

	* swig-interfaces/: FXFile.i, core.i: Removed wrappers for FXFile
	(redundant for most scripting languages).

2001-07-20 14:14  ljohnson

	* examples/imageviewer.rb: Added support for loading PCX and TIF
	images.

2001-07-20 11:02  ljohnson

	* lib/fox/undolist.rb: Fixed a few more bugs in the FXUndoList
	class.

2001-07-20 10:33  ljohnson

	* ext/fox/FXRuby.cpp, lib/fox/responder.rb: Responder now does
	per-instance message maps instead of per-class.

2001-07-20 10:32  ljohnson

	* examples/textedit/textedit.rb: Fixed the event handlers to use
	"sender.handle(...)" form instead of calling sender's instance
	methods directly.

2001-07-19 14:10  ljohnson

	* ext/fox/FXRuby.cpp: [no log message]

2001-07-19 13:23  ljohnson

	* ext/fox/markfuncs.cpp: The "mark" functions for the GC did not
	account for the possibility that the input pointer to a C++ object
	might be a NULL pointer; this led to seg faults under some
	circumstances. Thanks to Ralf Canis for catching this one.

2001-07-18 17:23  ljohnson

	* ext/fox/markfuncs.cpp: [no log message]

2001-07-18 17:20  ljohnson

	* ext/fox/FXRuby.cpp, ext/fox/include/FXRuby.h,
	swig-interfaces/FXObject.i, swig-interfaces/typemaps.i: Corrected
	typemaps, etc. so that calls to sender.handle() from Ruby code
	correctly marshal the message data back to the appropriate void*
	type.

2001-07-18 17:18  ljohnson

	* swig-interfaces/: FXCharset.i, FXText.i, core.i: Killed off the
	FXCharset class and replaced refs to it in FXText with strings.

2001-07-18 14:35  ljohnson

	* swig-interfaces/: FXPCXIcon.i, FXPCXImage.i, dialogs.i: [no log
	message]

2001-07-18 14:34  ljohnson

	* lib/fox/aliases.rb: Fixed a few errant aliases.

2001-07-18 12:50  ljohnson

	* lib/fox/iterators.rb, swig-interfaces/FXGLObject.i,
	swig-interfaces/FXList.i, swig-interfaces/FXListBox.i,
	swig-interfaces/FXTable.i, swig-interfaces/FXTreeList.i,
	swig-interfaces/FXTreeListBox.i: Moved the iterator implementations
	out of the SWIG interface files and into a new library file,
	iterators.rb.

2001-07-18 12:36  ljohnson

	* lib/fox/aliases.rb, swig-interfaces/FXApp.i,
	swig-interfaces/FXArrowButton.i, swig-interfaces/FXButton.i,
	swig-interfaces/FXCheckButton.i, swig-interfaces/FXColorDialog.i,
	swig-interfaces/FXColorSelector.i, swig-interfaces/FXColorWell.i,
	swig-interfaces/FXComboBox.i, swig-interfaces/FXCursor.i,
	swig-interfaces/FXDC.i, swig-interfaces/FXDelegator.i,
	swig-interfaces/FXDial.i, swig-interfaces/FXDict.i,
	swig-interfaces/FXDirBox.i, swig-interfaces/FXDirDialog.i,
	swig-interfaces/FXDirList.i, swig-interfaces/FXDirSelector.i,
	swig-interfaces/FXDocument.i, swig-interfaces/FXDragCorner.i,
	swig-interfaces/FXDrawable.i, swig-interfaces/FXDriveBox.i,
	swig-interfaces/FXFileDialog.i, swig-interfaces/FXFileDict.i,
	swig-interfaces/FXFileList.i, swig-interfaces/FXFileSelector.i,
	swig-interfaces/FXFont.i, swig-interfaces/FXFontDialog.i,
	swig-interfaces/FXFontSelector.i, swig-interfaces/FXFrame.i,
	swig-interfaces/FXGLContext.i, swig-interfaces/FXGLShape.i,
	swig-interfaces/FXGLTriangleMesh.i, swig-interfaces/FXGLViewer.i,
	swig-interfaces/FXGLVisual.i, swig-interfaces/FXGroupBox.i,
	swig-interfaces/FXHeader.i, swig-interfaces/FXIconList.i,
	swig-interfaces/FXId.i, swig-interfaces/FXImage.i,
	swig-interfaces/FXImageView.i, swig-interfaces/FXInputDialog.i,
	swig-interfaces/FXJPEGIcon.i, swig-interfaces/FXJPEGImage.i,
	swig-interfaces/FXLabel.i, swig-interfaces/FXList.i,
	swig-interfaces/FXListBox.i, swig-interfaces/FXMDIChild.i,
	swig-interfaces/FXMDIClient.i, swig-interfaces/FXMatrix.i,
	swig-interfaces/FXMenuButton.i, swig-interfaces/FXMenuCaption.i,
	swig-interfaces/FXMenuCascade.i, swig-interfaces/FXMenuCommand.i,
	swig-interfaces/FXMenuSeparator.i, swig-interfaces/FXMenuTitle.i,
	swig-interfaces/FXOptionMenu.i, swig-interfaces/FXPacker.i,
	swig-interfaces/FXPopup.i, swig-interfaces/FXPrintDialog.i,
	swig-interfaces/FXProgressBar.i,
	swig-interfaces/FXProgressDialog.i,
	swig-interfaces/FXRadioButton.i, swig-interfaces/FXRange.i,
	swig-interfaces/FXRecentFiles.i, swig-interfaces/FXRectangle.i,
	swig-interfaces/FXRegistry.i, swig-interfaces/FXReplaceDialog.i,
	swig-interfaces/FXScrollArea.i, swig-interfaces/FXScrollbar.i,
	swig-interfaces/FXSearchDialog.i, swig-interfaces/FXSettings.i,
	swig-interfaces/FXShutter.i, swig-interfaces/FXSlider.i,
	swig-interfaces/FXSpinner.i, swig-interfaces/FXSplitter.i,
	swig-interfaces/FXStatusbar.i, swig-interfaces/FXStatusline.i,
	swig-interfaces/FXStream.i, swig-interfaces/FXSwitcher.i,
	swig-interfaces/FXTIFIcon.i, swig-interfaces/FXTIFImage.i,
	swig-interfaces/FXTab.i, swig-interfaces/FXTable.i,
	swig-interfaces/FXText.i, swig-interfaces/FXTextField.i,
	swig-interfaces/FXToggleButton.i, swig-interfaces/FXToolbar.i,
	swig-interfaces/FXToolbarGrip.i, swig-interfaces/FXToolbarShell.i,
	swig-interfaces/FXToolbarTab.i, swig-interfaces/FXTooltip.i,
	swig-interfaces/FXTopWindow.i, swig-interfaces/FXTreeList.i,
	swig-interfaces/FXTreeListBox.i, swig-interfaces/FXVisual.i,
	swig-interfaces/FXWindow.i: Moved all the aliases from SWIG pragmas
	to a new library module, aliases.rb.

2001-07-18 12:05  ljohnson

	* lib/fox/: aliases.rb, iterators.rb: [no log message]

2001-07-16 14:15  ljohnson

	* lib/fox/keys.rb, swig-interfaces/core.i,
	swig-interfaces/fxkeys.i: Moved the keycap definitions out of the C
	extension code and into a new library file.

2001-07-13 17:12  ljohnson

	* ext/fox/extconf.rb: [no log message]

2001-07-13 17:11  ljohnson

	* ANNOUNCE, README.win32, ext/fox/FXRbApp.cpp,
	ext/fox/FXRbDataTarget.cpp, ext/fox/FXRuby.cpp, ext/fox/README,
	ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	ext/fox/extconf.rb, ext/fox/extconf.rb.tmpl,
	ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp, ext/fox/impl.cpp,
	ext/fox/make_impl.rb, ext/fox/markfuncs.cpp, ext/fox/mdi_wrap.cpp,
	ext/fox/opengl_wrap.cpp, ext/fox/include/FXRbDataTarget.h,
	ext/fox/include/FXRbIconItemVirtuals.h,
	ext/fox/include/FXRbIconList.h, ext/fox/include/FXRbList.h,
	ext/fox/include/FXRbListItemVirtuals.h,
	ext/fox/include/FXRbPCXIcon.h, ext/fox/include/FXRbPCXImage.h,
	ext/fox/include/FXRbProgressDialog.h,
	ext/fox/include/FXRbTIFIcon.h, ext/fox/include/FXRbTIFImage.h,
	ext/fox/include/FXRbTreeItemVirtuals.h,
	ext/fox/include/FXRbTreeList.h, ext/fox/include/FXRuby.h,
	ext/fox/include/impl.h, fox-includes/FXApp.h,
	fox-includes/FXButton.h, fox-includes/FXCursor.h,
	fox-includes/FXDC.h, fox-includes/FXDCPrint.h,
	fox-includes/FXDataTarget.h, fox-includes/FXDirList.h,
	fox-includes/FXFile.h, fox-includes/FXFileList.h,
	fox-includes/FXIconList.h, fox-includes/FXList.h,
	fox-includes/FXMDIChild.h, fox-includes/FXOptionMenu.h,
	fox-includes/FXPrintDialog.h, fox-includes/FXProfiler.h,
	fox-includes/FXProgressBar.h, fox-includes/FXProgressDialog.h,
	fox-includes/FXRecentFiles.h, fox-includes/FXRegistry.h,
	fox-includes/FXSettings.h, fox-includes/FXSpinner.h,
	fox-includes/FXTIFIcon.h, fox-includes/FXTIFImage.h,
	fox-includes/FXText.h, fox-includes/FXTreeList.h,
	fox-includes/fx.h, fox-includes/fxdefs.h, fox-includes/fxver.h,
	swig-interfaces/FXApp.i, swig-interfaces/FXButton.i,
	swig-interfaces/FXCursor.i, swig-interfaces/FXDC.i,
	swig-interfaces/FXDCPrint.i, swig-interfaces/FXDataTarget.i,
	swig-interfaces/FXDirList.i, swig-interfaces/FXFileList.i,
	swig-interfaces/FXIconList.i, swig-interfaces/FXList.i,
	swig-interfaces/FXMDIChild.i, swig-interfaces/FXOptionMenu.i,
	swig-interfaces/FXProgressBar.i,
	swig-interfaces/FXProgressDialog.i,
	swig-interfaces/FXRecentFiles.i, swig-interfaces/FXRegistry.i,
	swig-interfaces/FXSettings.i, swig-interfaces/FXSpinner.i,
	swig-interfaces/FXTIFIcon.i, swig-interfaces/FXTIFImage.i,
	swig-interfaces/FXText.i, swig-interfaces/FXTreeList.i,
	swig-interfaces/core.i, swig-interfaces/dialogs.i,
	swig-interfaces/fxdefs.i, swig-interfaces/icons.i,
	swig-interfaces/image.i, swig-interfaces/mdi.i,
	swig-interfaces/opengl.i, swig-interfaces/renames.i,
	swig-interfaces/stubs.i: Updates for fox-0.99.174. Also added
	support for new classes FXPCXIcon, FXPCXImage, FXTIFIcon,
	FXTIFImage, and FXProgressDialog.

2001-07-13 12:52  ljohnson

	* make-drop.sh: [no log message]

2001-07-13 12:51  ljohnson

	* ANNOUNCE, README.win32, README.win32.tmpl, drop-win32.sh,
	index.html, setversions.rb, doc/book.html, doc/changes.html,
	doc/differences.html, doc/opengl.html, doc/opengl.sgml,
	doc/todo.html, doc/todo.sgml: Various last-minute fixes...

2001-07-13 11:40  ljohnson

	* ext/fox/core_wrap.cpp, ChangeLog: [no log message]

2001-07-13 11:35  ljohnson

	* doc/: book.html, changes.html, changes.sgml: [no log message]

2001-07-13 11:24  ljohnson

	* doc/: book.html, build.html, build.sgml, changes.html,
	changes.sgml, differences.html, opengl.html: More documentation
	about things that can go wrong during the build, etc.

2001-07-13 10:33  ljohnson

	* ext/fox/: extconf.rb, extconf.rb.tmpl: Updated for the new
	directory structure; also added GCC flags to work around problems
	in the Ruby 1.6 header files.

2001-07-13 10:31  ljohnson

	* ext/fox/markfuncs.cpp, ext/fox/include/FXRbDirList.h,
	ext/fox/include/FXRbFileList.h, ext/fox/include/FXRbHeader.h,
	ext/fox/include/FXRbIconList.h, ext/fox/include/FXRbList.h,
	ext/fox/include/FXRbTable.h, ext/fox/include/FXRbTreeList.h,
	swig-interfaces/FXDirList.i, swig-interfaces/FXFileList.i,
	swig-interfaces/FXHeader.i, swig-interfaces/FXIconList.i,
	swig-interfaces/FXList.i, swig-interfaces/FXTable.i,
	swig-interfaces/FXTreeList.i, swig-interfaces/FXTreeListBox.i:
	Added a fix related the problem of transfer-of-ownership of list
	items, etc.

2001-07-13 10:23  ljohnson

	* setup.rb: Minor patch to setup.rb for Lyle; ignore CVS
	administrative directories.

2001-07-13 10:17  ljohnson

	* make-drop.sh: [no log message]

2001-07-12 15:38  ljohnson

	* make-drop.sh, make-drop.sh: [no log message]

2001-07-12 15:34  ljohnson

	* examples/browser.rb, examples/button.rb, examples/datatarget.rb,
	examples/dialog.rb, examples/dirlist.rb, examples/examples.rb,
	examples/foursplit.rb, examples/gltest.rb, examples/glviewer.rb,
	examples/groupbox.rb, examples/header.rb, examples/hello2.rb,
	examples/image.rb, examples/imageviewer.rb, examples/mditest.rb,
	examples/responder.rb, examples/scribble.rb, examples/shutter.rb,
	examples/splitter.rb, examples/tabbook.rb, examples/table.rb,
	examples/textedit/commands.rb, examples/textedit/responder.rb,
	examples/textedit/textedit.rb, examples/textedit/undolist.rb,
	setversions.rb, swig-interfaces/Makefile: [no log message]

2001-07-12 14:53  ljohnson

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	image_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp: [no log message]

2001-07-12 14:43  ljohnson

	* ext/: fox/patches/wrap_FX4Splitter_initialize.cpp,
	fox/patches/wrap_FXColorDialog_show.cpp,
	fox/patches/wrap_FXDCWindow_initialize.cpp,
	fox/patches/wrap_FXDialogBox_initialize.cpp,
	fox/patches/wrap_FXDialogBox_show.cpp,
	fox/patches/wrap_FXDirDialog_show.cpp,
	fox/patches/wrap_FXFileDialog_show.cpp,
	fox/patches/wrap_FXFontDialog_show.cpp,
	fox/patches/wrap_FXFont_initialize.cpp,
	fox/patches/wrap_FXInputDialog_show.cpp,
	fox/patches/wrap_FXMainWindow_show.cpp,
	fox/patches/wrap_FXMenubar_initialize.cpp,
	fox/patches/wrap_FXMessageBox_show.cpp,
	fox/patches/wrap_FXMessageDialog_show.cpp,
	fox/patches/wrap_FXPoint_initialize.cpp,
	fox/patches/wrap_FXPrintDialog_show.cpp,
	fox/patches/wrap_FXRectangle_contains.cpp,
	fox/patches/wrap_FXRectangle_grow.cpp,
	fox/patches/wrap_FXRectangle_initialize.cpp,
	fox/patches/wrap_FXRectangle_shrink.cpp,
	fox/patches/wrap_FXReplaceDialog_show.cpp,
	fox/patches/wrap_FXSearchDialog_show.cpp,
	fox/patches/wrap_FXSize_initialize.cpp,
	fox/patches/wrap_FXSplitter_initialize.cpp,
	fox/patches/wrap_FXToolbarShell_show.cpp,
	fox/patches/wrap_FXToolbar_initialize.cpp,
	fox/patches/wrap_FXTopWindow_show.cpp,
	fox/patches/wrap_FX_4Splitter_initialize.cpp,
	fox/patches/wrap_FX_DCWindow_initialize.cpp,
	fox/patches/wrap_FX_DialogBox_initialize.cpp,
	fox/patches/wrap_FX_Font_initialize.cpp,
	fox/patches/wrap_FX_Header_appendItem.cpp,
	fox/patches/wrap_FX_Header_insertItem.cpp,
	fox/patches/wrap_FX_Header_prependItem.cpp,
	fox/patches/wrap_FX_Header_replaceItem.cpp,
	fox/patches/wrap_FX_IconList_appendItem.cpp,
	fox/patches/wrap_FX_IconList_insertItem.cpp,
	fox/patches/wrap_FX_IconList_prependItem.cpp,
	fox/patches/wrap_FX_IconList_replaceItem.cpp,
	fox/patches/wrap_FX_List_appendItem.cpp,
	fox/patches/wrap_FX_List_insertItem.cpp,
	fox/patches/wrap_FX_List_prependItem.cpp,
	fox/patches/wrap_FX_List_replaceItem.cpp,
	fox/patches/wrap_FX_Menubar_initialize.cpp,
	fox/patches/wrap_FX_Splitter_initialize.cpp,
	fox/patches/wrap_FX_Toolbar_initialize.cpp,
	fox/patches/wrap_FX_TopWindow_show.cpp,
	fox/patches/wrap_FX_TreeListBox_addItemAfter.cpp,
	fox/patches/wrap_FX_TreeListBox_addItemBefore.cpp,
	fox/patches/wrap_FX_TreeListBox_addItemFirst.cpp,
	fox/patches/wrap_FX_TreeListBox_addItemLast.cpp,
	fox/patches/wrap_FX_TreeList_addItemAfter.cpp,
	fox/patches/wrap_FX_TreeList_addItemBefore.cpp,
	fox/patches/wrap_FX_TreeList_addItemFirst.cpp,
	fox/patches/wrap_FX_TreeList_addItemLast.cpp,
	fox/patches/wrap_new_FXDCWindow.cpp,
	fox/patches/wrap_new_FX_DCWindow.cpp, PATHCONV, fox/FXRbApp.cpp,
	fox/FXRbDataTarget.cpp, fox/FXRuby.cpp, fox/README,
	fox/README.tmpl, fox/extconf.rb, fox/extconf.rb.tmpl, fox/impl.cpp,
	fox/librb.c, fox/markfuncs.cpp, fox/include/FXRb4Splitter.h,
	fox/include/FXRbAccelTable.h, fox/include/FXRbApp.h,
	fox/include/FXRbAppVirtuals.h, fox/include/FXRbArrowButton.h,
	fox/include/FXRbBMPIcon.h, fox/include/FXRbBMPImage.h,
	fox/include/FXRbBitmap.h, fox/include/FXRbBitmapVirtuals.h,
	fox/include/FXRbButton.h, fox/include/FXRbCanvas.h,
	fox/include/FXRbCheckButton.h, fox/include/FXRbColorDialog.h,
	fox/include/FXRbColorSelector.h, fox/include/FXRbColorWell.h,
	fox/include/FXRbComboBox.h, fox/include/FXRbComposite.h,
	fox/include/FXRbCursor.h, fox/include/FXRbCursorVirtuals.h,
	fox/include/FXRbDC.h, fox/include/FXRbDCPrint.h,
	fox/include/FXRbDCVirtuals.h, fox/include/FXRbDCWindow.h,
	fox/include/FXRbDataTarget.h, fox/include/FXRbDebugTarget.h,
	fox/include/FXRbDelegator.h, fox/include/FXRbDial.h,
	fox/include/FXRbDialogBox.h, fox/include/FXRbDialogBoxVirtuals.h,
	fox/include/FXRbDict.h, fox/include/FXRbDirBox.h,
	fox/include/FXRbDirDialog.h, fox/include/FXRbDirList.h,
	fox/include/FXRbDirSelector.h, fox/include/FXRbDocument.h,
	fox/include/FXRbDragCorner.h, fox/include/FXRbDrawable.h,
	fox/include/FXRbDrawableVirtuals.h, fox/include/FXRbDriveBox.h,
	fox/include/FXRbFileDialog.h, fox/include/FXRbFileDict.h,
	fox/include/FXRbFileDictVirtuals.h, fox/include/FXRbFileList.h,
	fox/include/FXRbFileSelector.h, fox/include/FXRbFont.h,
	fox/include/FXRbFontDialog.h, fox/include/FXRbFontSelector.h,
	fox/include/FXRbFrame.h, fox/include/FXRbGIFCursor.h,
	fox/include/FXRbGIFIcon.h, fox/include/FXRbGIFImage.h,
	fox/include/FXRbGLCanvas.h, fox/include/FXRbGLCanvasVirtuals.h,
	fox/include/FXRbGLCone.h, fox/include/FXRbGLContext.h,
	fox/include/FXRbGLContextVirtuals.h, fox/include/FXRbGLCube.h,
	fox/include/FXRbGLCylinder.h, fox/include/FXRbGLObject.h,
	fox/include/FXRbGLObjectVirtuals.h, fox/include/FXRbGLShape.h,
	fox/include/FXRbGLSphere.h, fox/include/FXRbGLTriangleMesh.h,
	fox/include/FXRbGLViewer.h, fox/include/FXRbGLViewerVirtuals.h,
	fox/include/FXRbGLVisual.h, fox/include/FXRbGroupBox.h,
	fox/include/FXRbHeader.h, fox/include/FXRbHeaderItemVirtuals.h,
	fox/include/FXRbHorizontalFrame.h, fox/include/FXRbIcon.h,
	fox/include/FXRbIconItemVirtuals.h, fox/include/FXRbIconList.h,
	fox/include/FXRbId.h, fox/include/FXRbIdVirtuals.h,
	fox/include/FXRbImage.h, fox/include/FXRbImageView.h,
	fox/include/FXRbImageVirtuals.h, fox/include/FXRbInputDialog.h,
	fox/include/FXRbJPEGIcon.h, fox/include/FXRbJPEGImage.h,
	fox/include/FXRbLabel.h, fox/include/FXRbList.h,
	fox/include/FXRbListBox.h, fox/include/FXRbListItemVirtuals.h,
	fox/include/FXRbMDIButton.h, fox/include/FXRbMDIChild.h,
	fox/include/FXRbMDIChildVirtuals.h, fox/include/FXRbMDIClient.h,
	fox/include/FXRbMainWindow.h, fox/include/FXRbMatrix.h,
	fox/include/FXRbMenuButton.h, fox/include/FXRbMenuCaption.h,
	fox/include/FXRbMenuCascade.h, fox/include/FXRbMenuCommand.h,
	fox/include/FXRbMenuPane.h, fox/include/FXRbMenuSeparator.h,
	fox/include/FXRbMenuTitle.h, fox/include/FXRbMenubar.h,
	fox/include/FXRbMessageBox.h, fox/include/FXRbObject.h,
	fox/include/FXRbObjectVirtuals.h, fox/include/FXRbOptionMenu.h,
	fox/include/FXRbPNGIcon.h, fox/include/FXRbPNGImage.h,
	fox/include/FXRbPacker.h, fox/include/FXRbPopup.h,
	fox/include/FXRbPopupVirtuals.h, fox/include/FXRbPrintDialog.h,
	fox/include/FXRbProgressBar.h, fox/include/FXRbRadioButton.h,
	fox/include/FXRbRecentFiles.h, fox/include/FXRbReplaceDialog.h,
	fox/include/FXRbRootWindow.h, fox/include/FXRbScrollArea.h,
	fox/include/FXRbScrollAreaVirtuals.h,
	fox/include/FXRbScrollWindow.h, fox/include/FXRbScrollbar.h,
	fox/include/FXRbSearchDialog.h, fox/include/FXRbSeparator.h,
	fox/include/FXRbShell.h, fox/include/FXRbShutter.h,
	fox/include/FXRbShutterVirtuals.h, fox/include/FXRbSlider.h,
	fox/include/FXRbSpinner.h, fox/include/FXRbSplitter.h,
	fox/include/FXRbStatusbar.h, fox/include/FXRbStatusline.h,
	fox/include/FXRbStream.h, fox/include/FXRbStreamVirtuals.h,
	fox/include/FXRbSwitcher.h, fox/include/FXRbTab.h,
	fox/include/FXRbTabBarVirtuals.h, fox/include/FXRbTable.h,
	fox/include/FXRbTableItemVirtuals.h,
	fox/include/FXRbTableVirtuals.h, fox/include/FXRbText.h,
	fox/include/FXRbTextField.h, fox/include/FXRbTextVirtuals.h,
	fox/include/FXRbToggleButton.h, fox/include/FXRbToolbar.h,
	fox/include/FXRbToolbarGrip.h, fox/include/FXRbToolbarShell.h,
	fox/include/FXRbToolbarTab.h, fox/include/FXRbToolbarVirtuals.h,
	fox/include/FXRbTooltip.h, fox/include/FXRbTopWindow.h,
	fox/include/FXRbTopWindowVirtuals.h,
	fox/include/FXRbTreeItemVirtuals.h, fox/include/FXRbTreeList.h,
	fox/include/FXRbTreeListBox.h, fox/include/FXRbTreeListVirtuals.h,
	fox/include/FXRbVerticalFrame.h, fox/include/FXRbVisual.h,
	fox/include/FXRbWindow.h, fox/include/FXRbWindowVirtuals.h,
	fox/include/FXRbXPMIcon.h, fox/include/FXRbXPMImage.h,
	fox/include/FXRuby.h, fox/include/impl.h, fox/Makefile.vc,
	fox/make_impl.rb, fox/patch.rb: [no log message]

2001-07-12 14:38  ljohnson

	* lib/fox/undolist.rb: [no log message]

2001-07-12 14:16  ljohnson

	* lib/: PATHCONV, responder.rb, undolist.rb, fox/responder.rb,
	fox/undolist.rb: Started rearranging things for use with setup.rb.

2001-07-12 14:08  ljohnson

	* make-drop.sh: [no log message]

2001-07-12 14:03  ljohnson

	* setup.rb: [no log message]

2001-07-12 13:16  ljohnson

	* MANIFEST: [no log message]

2001-07-12 13:02  ljohnson

	* ChangeLog: [no log message]

2001-07-12 11:30  ljohnson

	* doc/: book.html, build.html, build.sgml, changes.html,
	changes.sgml, differences.html, opengl.html, todo.html, todo.sgml:
	Added a lot of information about things that can go wrong during
	the build and installation process, and workarounds for the same.

2001-07-12 09:50  ljohnson

	* swig-interfaces/FXWindow.i: [no log message]

2001-07-09 16:31  ljohnson

	* swig-interfaces/: FXApp.i, FXArrowButton.i, FXButton.i,
	FXCheckButton.i, FXColorDialog.i, FXColorSelector.i, FXColorWell.i,
	FXComboBox.i, FXComposite.i, FXDataTarget.i, FXDebugTarget.i,
	FXDelegator.i, FXDial.i, FXDialogBox.i, FXDirBox.i, FXDirList.i,
	FXDirSelector.i, FXDocument.i, FXDriveBox.i, FXFileList.i,
	FXFileSelector.i, FXFontSelector.i, FXGLViewer.i, FXGroupBox.i,
	FXHeader.i, FXIconList.i, FXInputDialog.i, FXLabel.i, FXList.i,
	FXListBox.i, FXMDIChild.i, FXMDIClient.i, FXMainWindow.i,
	FXMenuButton.i, FXMenuCaption.i, FXMenuCascade.i, FXMenuCommand.i,
	FXMenuTitle.i, FXMenubar.i, FXMessageBox.i, FXObject.i,
	FXOptionMenu.i, FXPopup.i, FXPrintDialog.i, FXProgressBar.i,
	FXRadioButton.i, FXRecentFiles.i, FXReplaceDialog.i,
	FXScrollArea.i, FXScrollWindow.i, FXScrollbar.i, FXSearchDialog.i,
	FXShell.i, FXShutter.i, FXSlider.i, FXSpinner.i, FXSplitter.i,
	FXStatusline.i, FXSwitcher.i, FXTab.i, FXText.i, FXTextField.i,
	FXToggleButton.i, FXToolbar.i, FXToolbarTab.i, FXTooltip.i,
	FXTopWindow.i, FXTreeList.i, FXTreeListBox.i, FXUndoList.i,
	FXWindow.i, typemaps.i: Added typemaps for all message handler
	functions so that the void* message data is correctly converted
	from a Ruby instance to something that the C++ library expects to
	see.

2001-07-05 11:50  ljohnson

	* doc/: book.html, book.sgml, changes.html, differences.html,
	opengl.html, opengl.sgml, todo.html, tutorial1.html: [no log
	message]

2001-07-05 11:42  ljohnson

	* doc/: book.html, build.html, build.sgml, changes.html,
	changes.sgml, differences.html, differences.sgml, todo.html,
	todo.sgml: Latest documentation updates.

2001-07-05 11:01  ljohnson

	* lib/responder.rb: [no log message]

2001-07-05 10:47  ljohnson

	* examples/textedit/: commands.rb, textedit.rb, undolist.rb,
	responder.rb: [no log message]

2001-07-02 16:54  ljohnson

	* swig-interfaces/: FX4Splitter.i, FXAccelTable.i, FXArrowButton.i,
	FXButton.i, FXCanvas.i, FXCheckButton.i, FXColorWell.i,
	FXComboBox.i, FXComposite.i, FXDial.i, FXDialogBox.i, FXDirList.i,
	FXDragCorner.i, FXFileList.i, FXFrame.i, FXGLShape.i, FXGLViewer.i,
	FXGroupBox.i, FXHeader.i, FXIconList.i, FXImageView.i, FXLabel.i,
	FXList.i, FXListBox.i, FXMDIButton.i, FXMDIChild.i, FXMatrix.i,
	FXMenuButton.i, FXMenuCaption.i, FXMenuCascade.i, FXMenuCommand.i,
	FXMenuSeparator.i, FXMenuTitle.i, FXMenubar.i, FXOptionMenu.i,
	FXPacker.i, FXPopup.i, FXProgressBar.i, FXRadioButton.i,
	FXScrollArea.i, FXScrollWindow.i, FXScrollbar.i, FXSeparator.i,
	FXShell.i, FXShutter.i, FXSlider.i, FXSpinner.i, FXSplitter.i,
	FXStatusline.i, FXSwitcher.i, FXTab.i, FXTable.i, FXText.i,
	FXTextField.i, FXToggleButton.i, FXToolbar.i, FXToolbarGrip.i,
	FXToolbarShell.i, FXToolbarTab.i, FXTooltip.i, FXTreeList.i,
	FXTreeListBox.i, FXWindow.i: Modified declarations of a lot of
	message handlers to use PTR_EVENT typemap instead of regular void*
	typemap.

2001-07-02 16:54  ljohnson

	* swig-interfaces/typemaps.i: Corrected the typemap for converting
	Ruby FXEvent objects back into pointer-to-void; the conversion
	wasn't working properly as written.

2001-07-02 14:29  ljohnson

	* swig-interfaces/: FXAccelTable.i, FXArrowButton.i, FXButton.i,
	FXCanvas.i, FXCheckButton.i, FXColorWell.i, FXComboBox.i,
	FXComposite.i, FXDialogBox.i, FXGLViewer.i, FXHeader.i,
	FXIconList.i, FXList.i, FXListBox.i, FXMenuButton.i,
	FXMenuCascade.i, FXMenuCommand.i, FXMenuTitle.i, FXOptionMenu.i,
	FXPopup.i, FXRadioButton.i, FXScrollWindow.i, FXSpinner.i, FXTab.i,
	FXTable.i, FXText.i, FXTextField.i, FXToggleButton.i,
	FXToolbarTab.i, FXTreeList.i, FXTreeListBox.i, FXWindow.i,
	typemaps.i: Corrected the typemaps for converting Ruby objects into
	item data.  Started adding typemaps to convert Ruby objects back
	into void pointers used by FOX message data.

2001-06-28 15:05  ljohnson

	* doc/: book.html, book.sgml, changes.html, changes.sgml,
	differences.html, differences.sgml, todo.html, tutorial1.html:
	Added a section on the differences between FOX and FXRuby.

2001-06-26 13:46  ljohnson

	* swig-interfaces/FXTable.i: Added initial code for Barry Shultz's
	suggestion of enumerable FXTable rows. Still need a function to
	retrieve a specific table item given its row and column number.

2001-06-26 13:27  ljohnson

	* swig-interfaces/typemaps.i: Added typemaps for converting an
	array of Ruby strings into an array of C strings (i.e. type "const
	FXchar**") so that the constructors for FXXPMIcon and FXXPMImage
	work properly.

2001-06-25 16:53  ljohnson

	* index.html, doc/book.html, doc/build.html, doc/build.sgml,
	doc/changes.html, doc/changes.sgml, doc/todo.html, doc/todo.sgml:
	Documentation updates.

2001-06-25 16:16  ljohnson

	* ANNOUNCE, README.win32, index.html, setversions.rb: Updated these
	to reflect new FOX WWW & FTP URLs at fox-toolkit.org.

2001-06-25 16:11  ljohnson

	* fox-includes/FX4Splitter.h, fox-includes/FXArrowButton.h,
	fox-includes/FXButton.h, fox-includes/FXCanvas.h,
	fox-includes/FXCheckButton.h, fox-includes/FXColorWell.h,
	fox-includes/FXComboBox.h, fox-includes/FXComposite.h,
	fox-includes/FXDial.h, fox-includes/FXFile.h,
	fox-includes/FXFileDict.h, fox-includes/FXFileSelector.h,
	fox-includes/FXGLCanvas.h, fox-includes/FXGLViewer.h,
	fox-includes/FXHeader.h, fox-includes/FXIconList.h,
	fox-includes/FXList.h, swig-interfaces/FXCanvas.i,
	swig-interfaces/FXComboBox.i, swig-interfaces/FXComposite.i,
	swig-interfaces/FXFileDict.i, swig-interfaces/FXFileSelector.i,
	swig-interfaces/FXGLCanvas.i, swig-interfaces/FXIconList.i,
	swig-interfaces/FXList.i, swig-interfaces/FXListBox.i,
	swig-interfaces/FXMatrix.i, swig-interfaces/FXMenuCascade.i,
	swig-interfaces/FXMenuCommand.i, swig-interfaces/FXMenubar.i,
	swig-interfaces/FXMessageBox.i, swig-interfaces/FXRectangle.i,
	swig-interfaces/FXSpinner.i, swig-interfaces/FXTreeList.i,
	swig-interfaces/FXTreeListBox.i, swig-interfaces/FXWindow.i,
	swig-interfaces/fxdefs.i, swig-interfaces/stubs.i,
	fox-includes/FXListBox.h, fox-includes/FXMatrix.h,
	fox-includes/FXMenuCascade.h, fox-includes/FXMenuCommand.h,
	fox-includes/FXMenubar.h, fox-includes/FXMessageBox.h,
	fox-includes/FXObject.h, fox-includes/FXObjectList.h,
	fox-includes/FXRadioButton.h, fox-includes/FXRecentFiles.h,
	fox-includes/FXRectangle.h, fox-includes/FXScrollbar.h,
	fox-includes/FXSlider.h, fox-includes/FXSpinner.h,
	fox-includes/FXSplitter.h, fox-includes/FXString.h,
	fox-includes/FXTextField.h, fox-includes/FXToggleButton.h,
	fox-includes/FXTreeList.h, fox-includes/FXTreeListBox.h,
	fox-includes/FXWindow.h, fox-includes/fxdefs.h,
	fox-includes/fxver.h, fox-includes/xincs.h: Updated SWIG interface
	files and header files for fox-0.99.173.

2001-06-25 16:09  ljohnson

	* examples/browser.rb: Cache the method and constant name lookups
	for quicker access.

2001-05-31 15:12  ljohnson

	* ChangeLog: [no log message]

2001-05-31 13:53  ljohnson

	* swig-interfaces/FXWindow.i: Added the removeChild method to
	FXWindow, for removing a child window from its parent's list of
	children. This calls "delete child" on the underlying C++ object
	instance. Once this is done, any outstanding references to the
	object in the Ruby layer are invalidated.

2001-05-30 16:26  ljohnson

	* lib/undolist.rb, swig-interfaces/core.i,
	swig-interfaces/renames.i: Replaced the wrapped C++ classes for
	FXCommand and FXUndoList with pure Ruby implementations of the same
	(in module lib/undolist.rb).

2001-05-30 16:02  ljohnson

	* examples/splitter.rb: Added the splitter example.

2001-05-30 10:41  ljohnson

	* examples/browser.rb: Beefed this one up a little more. Probably
	should cache the methods and constants lists since they take so
	much time to generate on the fly.

2001-05-24 12:41  ljohnson

	* lib/: FXUndoList.rb, undolist.rb: [no log message]

2001-05-24 11:55  ljohnson

	* lib/FXUndoList.rb: [no log message]

2001-05-23 17:50  ljohnson

	* examples/: icons/delimit.gif, icons/indent.gif,
	icons/palette.gif, icons/pattern.gif, textedit/prefdialog.rb,
	textedit/textedit.rb: Latest updates for the textedit example. It
	sort-of works now ;)

2001-05-23 17:31  ljohnson

	* swig-interfaces/: FXUndoList.i, renames.i, stubs.i: Added support
	for FXUndoList and FXCommand classes (although these will possibly
	be replaced with "pure Ruby" equivalents later).

2001-05-22 15:27  ljohnson

	* examples/: icons/big_gif.gif, icons/saveas.gif,
	textedit/commands.rb, textedit/helpwindow.rb, textedit/textedit.rb:
	[no log message]

2001-05-22 10:58  ljohnson

	* swig-interfaces/FXFont.i: Corrected implementations of
	fxparsefontdesc() and fxunparsefontdesc().

2001-05-21 18:08  ljohnson

	* examples/: datatarget.rb, imageviewer.rb: Added calls to
	addSignal() as in their C++ equivalents.

2001-05-21 18:04  ljohnson

	* swig-interfaces/FXApp.i: Extended the interfaces for
	FXApp#addSignal and FXApp#removeSignal to accept either a string or
	integer as their first argument. If it's a string (e.g. "SIGINT" or
	just "INT") the code will figure out the corresponding signal
	number for you.

2001-05-21 09:35  ljohnson

	* examples/textedit/textedit.rb: [no log message]

2001-05-17 16:03  ljohnson

	* swig-interfaces/core.i: Added optional exception catching for
	errors in message handlers (per Ted Meng's suggestion).

2001-05-16 16:01  ljohnson

	* swig-interfaces/: FXComboBox.i, FXHeader.i, FXIconList.i, FXId.i,
	FXList.i, FXListBox.i, FXTable.i, FXTreeList.i, FXTreeListBox.i:
	Corrected the implementation of the various getData() and setData()
	functions, including GC-related stuff.

2001-05-16 15:09  ljohnson

	* swig-interfaces/: FXComboBox.i, FXGLObject.i, FXHeader.i,
	FXIconList.i, FXList.i, FXListBox.i, FXTreeList.i, FXTreeListBox.i:
	Added each() instance methods for FXComboBox, FXGLGroup, FXHeader,
	FXIconList, FXList, FXListBox, FXTreeItem, FXTreeList and
	FXTreeListBox in support of iterating over their sub-items. Also
	mixed the Enumberable module into all of these classes.

2001-05-16 15:06  ljohnson

	* examples/header.rb: [no log message]

2001-05-16 13:19  ljohnson

	* examples/mditest.rb: [no log message]

2001-05-16 12:33  ljohnson

	* examples/mditest.rb: Added the MDI example program.

2001-05-15 13:35  ljohnson

	* examples/gltest.rb: Modified calls to Vertex3f and Normal3f for
	compatibility with Ruby/OpenGL version 0.32.

2001-05-14 11:37  ljohnson

	* index.html: Corrected the download location for Opengl95.exe.

2001-05-14 11:28  ljohnson

	* index.html: Added a note about the missing OpenGL libraries for
	Windows 95, and how to get them.

2001-05-14 10:04  ljohnson

	* swig-interfaces/: FXComboBox.i, FXGroupBox.i, FXHeader.i,
	FXIconList.i, FXInputDialog.i, FXLabel.i, FXList.i,
	FXMenuCaption.i, FXStatusline.i, FXTable.i, FXText.i,
	FXTextField.i, FXTooltip.i, FXTreeList.i: Added "to_s" alias for
	all "getText" instance methods (per Barry Shultz's suggestion).

2001-05-11 12:06  ljohnson

	* ChangeLog: [no log message]

2001-05-11 12:05  ljohnson

	* doc/: build.html, build.sgml, changes.html: Documentation
	updates.

2001-05-11 11:55  ljohnson

	* ANNOUNCE: [no log message]

2001-05-11 11:53  ljohnson

	* ANNOUNCE.tmpl, swig-interfaces/FX4Splitter.i,
	swig-interfaces/FXAccelTable.i, swig-interfaces/FXApp.i,
	swig-interfaces/FXArrowButton.i, swig-interfaces/FXBMPIcon.i,
	swig-interfaces/FXBMPImage.i, swig-interfaces/FXBitmap.i,
	swig-interfaces/FXButton.i, swig-interfaces/FXCanvas.i,
	swig-interfaces/FXCharset.i, swig-interfaces/FXCheckButton.i,
	swig-interfaces/FXColorDialog.i, swig-interfaces/FXColorSelector.i,
	swig-interfaces/FXColorWell.i, swig-interfaces/FXComboBox.i,
	swig-interfaces/FXComposite.i, swig-interfaces/FXCursor.i,
	swig-interfaces/FXDC.i, swig-interfaces/FXDCPrint.i,
	swig-interfaces/FXDCWindow.i, swig-interfaces/FXDHMat.i,
	swig-interfaces/FXDHVec.i, swig-interfaces/FXDQuat.i,
	swig-interfaces/FXDVec.i, swig-interfaces/FXDataTarget.i,
	swig-interfaces/FXDebugTarget.i, swig-interfaces/FXDelegator.i,
	swig-interfaces/FXDial.i, swig-interfaces/FXDialogBox.i,
	swig-interfaces/FXDict.i, swig-interfaces/FXDirBox.i,
	swig-interfaces/FXDirDialog.i, swig-interfaces/FXDirList.i,
	swig-interfaces/FXDirSelector.i, swig-interfaces/FXDocument.i,
	swig-interfaces/FXDragCorner.i, swig-interfaces/FXDrawable.i,
	swig-interfaces/FXDriveBox.i, swig-interfaces/FXFile.i,
	swig-interfaces/FXFileDialog.i, swig-interfaces/FXFileDict.i,
	swig-interfaces/FXFileList.i, swig-interfaces/FXFileSelector.i,
	swig-interfaces/FXFont.i, swig-interfaces/FXFontDialog.i,
	swig-interfaces/FXFontSelector.i, swig-interfaces/FXFrame.i,
	swig-interfaces/FXGIFCursor.i, swig-interfaces/FXGIFIcon.i,
	swig-interfaces/FXGIFImage.i, swig-interfaces/FXGLCanvas.i,
	swig-interfaces/FXGLCone.i, swig-interfaces/FXGLContext.i,
	swig-interfaces/FXGLCube.i, swig-interfaces/FXGLCylinder.i,
	swig-interfaces/FXGLObject.i, swig-interfaces/FXGLShape.i,
	swig-interfaces/FXGLSphere.i, swig-interfaces/FXGLTriangleMesh.i,
	swig-interfaces/FXGLViewer.i, swig-interfaces/FXGLVisual.i,
	swig-interfaces/FXGroupBox.i, swig-interfaces/FXHMat.i,
	swig-interfaces/FXHVec.i, swig-interfaces/FXHeader.i,
	swig-interfaces/FXHorizontalFrame.i, swig-interfaces/FXIcon.i,
	swig-interfaces/FXIconList.i, swig-interfaces/FXId.i,
	swig-interfaces/FXImage.i, swig-interfaces/FXImageView.i,
	swig-interfaces/FXInputDialog.i, swig-interfaces/FXJPEGIcon.i,
	swig-interfaces/FXJPEGImage.i, swig-interfaces/FXLabel.i,
	swig-interfaces/FXList.i, swig-interfaces/FXListBox.i,
	swig-interfaces/FXMDIButton.i, swig-interfaces/FXMDIChild.i,
	swig-interfaces/FXMDIClient.i, swig-interfaces/FXMainWindow.i,
	swig-interfaces/FXMatrix.i, swig-interfaces/FXMenuButton.i,
	swig-interfaces/FXMenuCaption.i, swig-interfaces/FXMenuCascade.i,
	swig-interfaces/FXMenuCommand.i, swig-interfaces/FXMenuPane.i,
	swig-interfaces/FXMenuSeparator.i, swig-interfaces/FXMenuTitle.i,
	swig-interfaces/FXMenubar.i, swig-interfaces/FXMessageBox.i,
	swig-interfaces/FXObject.i, swig-interfaces/FXOptionMenu.i,
	swig-interfaces/FXPCXIcon.i, swig-interfaces/FXPCXImage.i,
	swig-interfaces/FXPNGIcon.i, swig-interfaces/FXPNGImage.i,
	swig-interfaces/FXPacker.i, swig-interfaces/FXPoint.i,
	swig-interfaces/FXPopup.i, swig-interfaces/FXPrintDialog.i,
	swig-interfaces/FXProgressBar.i, swig-interfaces/FXQuat.i,
	swig-interfaces/FXRadioButton.i, swig-interfaces/FXRange.i,
	swig-interfaces/FXRecentFiles.i, swig-interfaces/FXRectangle.i,
	swig-interfaces/FXRegion.i, swig-interfaces/FXRegistry.i,
	swig-interfaces/FXReplaceDialog.i, swig-interfaces/FXRootWindow.i,
	swig-interfaces/FXScrollArea.i, swig-interfaces/FXScrollWindow.i,
	swig-interfaces/FXScrollbar.i, swig-interfaces/FXSearchDialog.i,
	swig-interfaces/FXSeparator.i, swig-interfaces/FXSettings.i,
	swig-interfaces/FXShell.i, swig-interfaces/FXShutter.i,
	swig-interfaces/FXSize.i, swig-interfaces/FXSlider.i,
	swig-interfaces/FXSpinner.i, swig-interfaces/FXSplitter.i,
	swig-interfaces/FXStatusbar.i, swig-interfaces/FXStatusline.i,
	swig-interfaces/FXStream.i, swig-interfaces/FXSwitcher.i,
	swig-interfaces/FXTab.i, swig-interfaces/FXTable.i,
	swig-interfaces/FXText.i, swig-interfaces/FXTextField.i,
	swig-interfaces/FXToggleButton.i, swig-interfaces/FXToolbar.i,
	swig-interfaces/FXToolbarGrip.i, swig-interfaces/FXToolbarShell.i,
	swig-interfaces/FXToolbarTab.i, swig-interfaces/FXTooltip.i,
	swig-interfaces/FXTopWindow.i, swig-interfaces/FXTreeList.i,
	swig-interfaces/FXTreeListBox.i, swig-interfaces/FXURL.i,
	swig-interfaces/FXUndoList.i, swig-interfaces/FXVec.i,
	swig-interfaces/FXVerticalFrame.i, swig-interfaces/FXVisual.i,
	swig-interfaces/FXWindow.i, swig-interfaces/FXXPMIcon.i,
	swig-interfaces/FXXPMImage.i, swig-interfaces/core.i,
	swig-interfaces/dialogs.i, swig-interfaces/fxdefs.i,
	swig-interfaces/fxkeys.i, swig-interfaces/icons.i,
	swig-interfaces/image.i, swig-interfaces/mdi.i,
	swig-interfaces/opengl.i, swig-interfaces/renames.i,
	swig-interfaces/stubs.i, swig-interfaces/typemaps.i: Added license
	information to the top of all source files.

2001-05-11 11:10  ljohnson

	* LICENSE: [no log message]

2001-05-10 17:35  ljohnson

	* ChangeLog: [no log message]

2001-05-10 16:41  ljohnson

	* ANNOUNCE, README.win32, doc/changes.sgml,
	fox-includes/FXArrowButton.h, fox-includes/FXButton.h,
	fox-includes/FXCheckButton.h, fox-includes/FXMenuButton.h,
	fox-includes/FXObject.h, fox-includes/FXPCXIcon.h,
	fox-includes/FXPCXImage.h, fox-includes/FXPopup.h,
	fox-includes/FXRadioButton.h, fox-includes/FXSettings.h,
	fox-includes/FXTab.h, fox-includes/FXText.h,
	fox-includes/FXToggleButton.h, fox-includes/FXToolbarTab.h,
	fox-includes/FXTopWindow.h, fox-includes/fx.h,
	fox-includes/fxdefs.h, fox-includes/fxver.h,
	swig-interfaces/FXArrowButton.i, swig-interfaces/FXButton.i,
	swig-interfaces/FXCheckButton.i, swig-interfaces/FXMenuButton.i,
	swig-interfaces/FXPCXIcon.i, swig-interfaces/FXPCXImage.i,
	swig-interfaces/FXRadioButton.i, swig-interfaces/FXSettings.i,
	swig-interfaces/FXTab.i, swig-interfaces/FXText.i,
	swig-interfaces/FXToggleButton.i, swig-interfaces/FXToolbarTab.i,
	swig-interfaces/icons.i, swig-interfaces/image.i: Updates for
	fox-0.99.172.

2001-05-10 16:19  ljohnson

	* swig-interfaces/: FXGLViewer.i, FXIconList.i, FXList.i,
	FXTreeList.i: Stubbed-in sort procedures for FXGLViewer,
	FXIconList, FXList and FXTreeList.

2001-05-09 18:12  ljohnson

	* ChangeLog, examples/imageviewer.rb: [no log message]

2001-05-09 18:01  ljohnson

	* doc/: book.html, book.sgml, changes.html, changes.sgml,
	opengl.sgml, todo.html, todo.sgml: [no log message]

2001-05-09 17:44  ljohnson

	* examples/image.rb: Replaced calls to FXDCWindow#end with forcing
	a run of the garbage collector. This can be fixed back when Jeroen
	fixes the problem of calling FXDCWindow::end() more than once. Also
	fixed a bug in the save image callback function.

2001-05-09 16:51  ljohnson

	* examples/: dialog.rb, foursplit.rb, glviewer.rb, groupbox.rb,
	header.rb, image.rb, imageviewer.rb, scribble.rb, shutter.rb,
	tabbook.rb, table.rb: Marked these examples as safe for garbage
	collection.

2001-05-09 13:45  ljohnson

	* swig-interfaces/: FXApp.i, FXArrowButton.i, FXButton.i,
	FXCheckButton.i, FXColorDialog.i, FXColorSelector.i, FXColorWell.i,
	FXComboBox.i, FXComposite.i, FXCursor.i, FXDC.i, FXDataTarget.i,
	FXDelegator.i, FXDial.i, FXDict.i, FXDirBox.i, FXDirDialog.i,
	FXDirList.i, FXDirSelector.i, FXDocument.i, FXDragCorner.i,
	FXDrawable.i, FXDriveBox.i, FXFileDialog.i, FXFileDict.i,
	FXFileList.i, FXFileSelector.i, FXFont.i, FXFontDialog.i,
	FXFontSelector.i, FXFrame.i, FXGLContext.i, FXGLShape.i,
	FXGLTriangleMesh.i, FXGLViewer.i, FXGLVisual.i, FXGroupBox.i,
	FXHeader.i, FXIconList.i, FXId.i, FXImage.i, FXImageView.i,
	FXInputDialog.i, FXJPEGIcon.i, FXJPEGImage.i, FXLabel.i, FXList.i,
	FXListBox.i, FXMDIButton.i, FXMDIChild.i, FXMDIClient.i,
	FXMatrix.i, FXMenuButton.i, FXMenuCaption.i, FXMenuCascade.i,
	FXMenuCommand.i, FXMenuPane.i, FXMenuSeparator.i, FXMenuTitle.i,
	FXOptionMenu.i, FXPacker.i, FXPopup.i, FXPrintDialog.i,
	FXProgressBar.i, FXRadioButton.i, FXRange.i, FXRecentFiles.i,
	FXRegistry.i, FXReplaceDialog.i, FXScrollArea.i, FXScrollbar.i,
	FXSearchDialog.i, FXSeparator.i, FXSettings.i, FXShell.i,
	FXShutter.i, FXSlider.i, FXSpinner.i, FXSplitter.i, FXStatusbar.i,
	FXStatusline.i, FXStream.i, FXSwitcher.i, FXTab.i, FXTable.i,
	FXText.i, FXTextField.i, FXToggleButton.i, FXToolbar.i,
	FXToolbarGrip.i, FXToolbarShell.i, FXToolbarTab.i, FXTooltip.i,
	FXTopWindow.i, FXTreeList.i, FXTreeListBox.i, FXVisual.i,
	FXWindow.i, FXXPMIcon.i, FXXPMImage.i: Added aliases for all of the
	accessor functions (i.e. getXXX and setXXX) so that those
	properties can be accessed directly; for example, "getText" is
	aliased to "text" and "setText" is aliased to "text=".

2001-05-09 13:44  ljohnson

	* examples/dirlist.rb: [no log message]

2001-05-08 16:35  ljohnson

	* examples/button.rb: Modified callbacks to take advantage of new
	(aliased) accessor functions like "iconPosition" and
	"iconPosition=" (for getIconPosition and setIconPosition) and
	"justify" and "justify=" (for getJustify and setJustify). This
	reduces the code size and, one could argue, makes it clearer what's
	going on.

2001-05-04 18:04  ljohnson

	* examples/gltest.rb: [no log message]

2001-05-04 10:05  ljohnson

	* examples/textedit/prefdialog.rb: Initial version of Preferences
	Dialog for the TextEdit application.

2001-05-03 11:18  ljohnson

	* examples/dirlist.rb: [no log message]

2001-05-03 11:15  ljohnson

	* examples/datatarget.rb: [no log message]

2001-05-03 10:46  ljohnson

	* examples/button.rb: [no log message]

2001-05-03 09:06  ljohnson

	* swig-interfaces/: FXDC.i, FXDCPrint.i, FXDCWindow.i,
	FXGIFCursor.i, FXGIFIcon.i, FXGIFImage.i, FXGLCanvas.i, FXGLCone.i,
	FXGLCube.i, FXGLCylinder.i, FXGLShape.i, FXGLSphere.i,
	FXGLTriangleMesh.i, FXGLViewer.i, FXGLVisual.i, FXImageView.i,
	FXInputDialog.i, FXJPEGIcon.i, FXJPEGImage.i, FXMDIButton.i,
	FXMDIChild.i, FXMDIClient.i, FXMatrix.i, FXMenuButton.i,
	FXMenuCaption.i, FXMenuCascade.i, FXMenuCommand.i, FXMenuPane.i,
	FXMenuSeparator.i, FXMenuTitle.i, FXMenubar.i, FXMessageBox.i,
	FXOptionMenu.i, FXPNGIcon.i, FXPNGImage.i, FXPopup.i,
	FXPrintDialog.i, FXProgressBar.i, FXRadioButton.i,
	FXReplaceDialog.i, FXRootWindow.i, FXScrollArea.i,
	FXScrollWindow.i, FXScrollbar.i, FXSearchDialog.i, FXSeparator.i,
	FXShutter.i, FXSlider.i, FXSpinner.i, FXSplitter.i, FXStatusbar.i,
	FXStatusline.i, FXStream.i, FXSwitcher.i, FXTab.i, FXText.i,
	FXTextField.i, FXToggleButton.i, FXToolbar.i, FXToolbarGrip.i,
	FXToolbarShell.i, FXToolbarTab.i, FXTooltip.i, FXVisual.i,
	FXXPMIcon.i, FXXPMImage.i: Garbage collection fixes, round two. I
	think everything is handled appropriately now and so the intensive
	testing begins...

2001-05-02 11:23  ljohnson

	* examples/hello2.rb: [no log message]

2001-05-02 10:12  ljohnson

	* swig-interfaces/: FX4Splitter.i, FXAccelTable.i, FXApp.i,
	FXArrowButton.i, FXBMPIcon.i, FXBMPImage.i, FXBitmap.i, FXButton.i,
	FXCanvas.i, FXCheckButton.i, FXColorDialog.i, FXColorSelector.i,
	FXColorWell.i, FXComboBox.i, FXComposite.i, FXCursor.i,
	FXDataTarget.i, FXDebugTarget.i, FXDelegator.i, FXDial.i,
	FXDialogBox.i, FXDict.i, FXDirBox.i, FXDirDialog.i, FXDirList.i,
	FXDirSelector.i, FXDocument.i, FXDragCorner.i, FXDrawable.i,
	FXDriveBox.i, FXFileDialog.i, FXFileDict.i, FXFileList.i,
	FXFileSelector.i, FXFont.i, FXFontDialog.i, FXFontSelector.i,
	FXFrame.i, FXGLContext.i, FXGLObject.i, FXGroupBox.i, FXHeader.i,
	FXHorizontalFrame.i, FXIcon.i, FXIconList.i, FXId.i, FXImage.i,
	FXLabel.i, FXList.i, FXListBox.i, FXMainWindow.i, FXObject.i,
	FXPacker.i, FXRecentFiles.i, FXShell.i, FXStatusline.i, FXTable.i,
	FXTopWindow.i, FXTreeList.i, FXTreeListBox.i, FXUndoList.i,
	FXVerticalFrame.i, FXWindow.i: Garbage collection fixes, round one.
	Added destructors which call FXRbUnregisterRubyObj() to the C++
	classes and added pragmas to the SWIG interfaces to ensure that the
	correct "mark" function gets called for those classes.

2001-05-01 12:23  ljohnson

	* ANNOUNCE, README.win32, fox-includes/FXApp.h,
	fox-includes/FXArrowButton.h, fox-includes/FXButton.h,
	fox-includes/FXCheckButton.h, fox-includes/FXDC.h,
	fox-includes/FXDCPrint.h, fox-includes/FXDirList.h,
	fox-includes/FXFile.h, fox-includes/FXFileList.h,
	fox-includes/FXGLCone.h, fox-includes/FXGLCube.h,
	fox-includes/FXGLCylinder.h, fox-includes/FXGLObject.h,
	fox-includes/FXGLShape.h, fox-includes/FXGLSphere.h,
	fox-includes/FXGLTriangleMesh.h, fox-includes/FXGLViewer.h,
	fox-includes/FXGroupBox.h, fox-includes/FXHeader.h,
	fox-includes/FXIconList.h, fox-includes/FXId.h,
	fox-includes/FXLabel.h, fox-includes/FXList.h,
	fox-includes/FXMDIChild.h, fox-includes/FXMenuButton.h,
	fox-includes/FXMenuCascade.h, fox-includes/FXObjectList.h,
	fox-includes/FXOptionMenu.h, fox-includes/FXPrintDialog.h,
	fox-includes/FXRadioButton.h, fox-includes/FXRegistry.h,
	fox-includes/FXScrollArea.h, fox-includes/FXScrollbar.h,
	fox-includes/FXSettings.h, fox-includes/FXShutter.h,
	fox-includes/FXSlider.h, fox-includes/FXString.h,
	fox-includes/FXTab.h, fox-includes/FXText.h,
	fox-includes/FXTextField.h, fox-includes/FXToggleButton.h,
	fox-includes/FXTooltip.h, fox-includes/FXTreeList.h,
	fox-includes/FXWindow.h, fox-includes/fx.h, fox-includes/fxdefs.h,
	fox-includes/fxver.h, fox-includes/xincs.h,
	swig-interfaces/FXApp.i, swig-interfaces/FXDC.i,
	swig-interfaces/FXDCPrint.i, swig-interfaces/FXFile.i,
	swig-interfaces/FXGLObject.i, swig-interfaces/FXGLViewer.i,
	swig-interfaces/FXGroupBox.i, swig-interfaces/FXId.i,
	swig-interfaces/FXMenuCaption.i, swig-interfaces/FXPrintDialog.i,
	swig-interfaces/FXRegistry.i, swig-interfaces/FXScrollbar.i,
	swig-interfaces/FXSettings.i, swig-interfaces/FXText.i,
	swig-interfaces/FXTextField.i, swig-interfaces/FXToolbarTab.i,
	swig-interfaces/FXWindow.i, swig-interfaces/core.i,
	swig-interfaces/fox.i, swig-interfaces/fxdefs.i,
	swig-interfaces/stubs.i: Updates for compatibility with
	fox-0.99.169. Also fixed some bugs related to FXApp::init(). Since
	the C++ function expects a C-style argument list where the zeroth
	argument is the executable name, we need to augment Ruby's ARGV
	array appropriately before passing that argv[] on to the C++ code.
	Also need to make sure that on return, ARGV reflects any changes to
	argv[] made by FOX.

2001-04-26 09:31  ljohnson

	* examples/hello.rb: [no log message]

2001-04-25 15:50  ljohnson

	* swig-interfaces/: FXAccelTable.i, FXApp.i, FXArrowButton.i,
	FXBMPIcon.i, FXBMPImage.i, FXBitmap.i, FXButton.i, FXCanvas.i,
	FXCheckButton.i, FXColorDialog.i, FXColorSelector.i, FXColorWell.i,
	FXComboBox.i, FXComposite.i, FXCursor.i, FXDC.i, FXDCPrint.i,
	FXDCWindow.i, FXDataTarget.i, FXDebugTarget.i, FXDelegator.i,
	FXDial.i, FXDialogBox.i, FXDict.i, FXDirBox.i, FXDirDialog.i,
	FXDirList.i, FXDirSelector.i, FXDocument.i, FXDragCorner.i,
	FXDrawable.i, FXDriveBox.i, FXFileDialog.i, FXFileDict.i,
	FXFileList.i, FXFileSelector.i, FXFont.i, FXFontDialog.i,
	FXFontSelector.i, FXFrame.i, FXGIFCursor.i, FXGIFIcon.i,
	FXGIFImage.i, FXGLCanvas.i, FXGLCone.i, FXGLContext.i, FXGLCube.i,
	FXGLCylinder.i, FXGLObject.i, FXGLShape.i, FXGLSphere.i,
	FXGLTriangleMesh.i, FXGLViewer.i, FXGLVisual.i, FXGroupBox.i,
	FXHeader.i, FXHorizontalFrame.i, FXIcon.i, FXIconList.i, FXId.i,
	FXImage.i, FXImageView.i, FXInputDialog.i, FXJPEGIcon.i,
	FXJPEGImage.i, FXLabel.i, FXList.i, FXListBox.i, FXMDIButton.i,
	FXMDIChild.i, FXMDIClient.i, FXMainWindow.i, FXMatrix.i,
	FXMenuButton.i, FXMenuCaption.i, FXMenuCascade.i, FXMenuCommand.i,
	FXMenuPane.i, FXMenuSeparator.i, FXMenuTitle.i, FXMenubar.i,
	FXMessageBox.i, FXObject.i, FXOptionMenu.i, FXPNGIcon.i,
	FXPNGImage.i, FXPacker.i, FXPopup.i, FXPrintDialog.i,
	FXProgressBar.i, FXRadioButton.i, FXRecentFiles.i,
	FXReplaceDialog.i, FXRootWindow.i, FXScrollArea.i,
	FXScrollWindow.i, FXScrollbar.i, FXSearchDialog.i, FXSeparator.i,
	FXShell.i, FXShutter.i, FXSize.i, FXSlider.i, FXSpinner.i,
	FXSplitter.i, FXStatusbar.i, FXStatusline.i, FXStream.i,
	FXSwitcher.i, FXTab.i, FXTable.i, FXText.i, FXTextField.i,
	FXToggleButton.i, FXToolbar.i, FXToolbarGrip.i, FXToolbarShell.i,
	FXToolbarTab.i, FXTooltip.i, FXTopWindow.i, FXTreeList.i,
	FXTreeListBox.i, FXUndoList.i, FXVerticalFrame.i, FXVisual.i,
	FXWindow.i, FXXPMIcon.i, FXXPMImage.i: Added C++ class destructor
	definitions and SWIG declarations for the same, to ensure that the
	Ruby garbage collector knows which function to call when destroying
	one of these objects.

2001-04-19 16:47  ljohnson

	* examples/glviewer.rb: [no log message]

2001-04-19 16:47  ljohnson

	* swig-interfaces/FXGLObject.i: Corrected bugs for FXGLObject#drag
	and FXGLObject#bounds.

2001-04-19 16:46  ljohnson

	* swig-interfaces/FXMDIChild.i: Corrected a bug for calling
	FXMDIChild's virtual functions.

2001-04-19 16:05  ljohnson

	* examples/glviewer.rb: Added the new glviewer.rb example program.

2001-04-19 16:04  ljohnson

	* examples/icons/: backview.gif, bigfolder.gif, bottomview.gif,
	camera.gif, filenew.gif, filesaveas.gif, fonts.gif, fox.gif,
	foxicon.gif, frontview.gif, help_gif.gif, kill.gif, leftview.gif,
	light.gif, newfolder.gif, nolight.gif, parallel.gif, penguin.gif,
	perspective.gif, printicon.gif, prop.gif, redo_gif.gif,
	rightview.gif, small_gif.gif, smoothlight.gif, topview.gif,
	undo_gif.gif, winapp.gif, zoom.gif: Added a bunch of new GIF icons
	for new examples.

2001-04-19 12:56  ljohnson

	* ANNOUNCE, ANNOUNCE.tmpl: [no log message]

2001-04-19 12:13  ljohnson

	* update_website.sh: [no log message]

2001-04-19 10:58  ljohnson

	* doc/: book.html, changes.html, book.html, build.html, build.sgml,
	changes.html, todo.html, todo.sgml: [no log message]

2001-04-19 10:11  ljohnson

	* ChangeLog: [no log message]

2001-04-19 10:07  ljohnson

	* examples/datatarget.rb: Disabled threads support for this one
	since it relies so much on the GUI updating done during idle time.

2001-04-19 10:07  ljohnson

	* doc/opengl.sgml: [no log message]

2001-04-19 09:49  ljohnson

	* swig-interfaces/FXApp.i, doc/changes.sgml: Added support for
	enabling and disabling threads support in FXRuby, with related
	changes to the Change History file.

2001-04-16 16:54  ljohnson

	* swig-interfaces/FXApp.i: [no log message]

2001-04-16 12:22  ljohnson

	* setversions.rb: [no log message]

2001-04-16 12:22  ljohnson

	* index.html, index.html.tmpl: Reorganized the home page.

2001-04-16 12:17  ljohnson

	* doc/: book.html, book.sgml, build.html, button.png, changes.html,
	changes.sgml, glviewer.gif, goals.html, imageviewer.png,
	screenshots.html, screenshots.sgml, todo.html, todo.sgml,
	tutorial1.html, tutorial1.sgml: Added screenshots page, plus some
	other minor corrections and changes.

2001-04-16 10:39  ljohnson

	* swig-interfaces/FXRectangle.i: Changed method names "union" and
	"intersection" to "__add__" and "__mul__" so that SWIG doesn't get
	confused, but keep "union" and "intersection" as aliases for Ruby.

2001-04-16 10:37  ljohnson

	* ChangeLog: [no log message]

2001-04-12 16:28  ljohnson

	* swig-interfaces/FXApp.i: Added initial support for threads in
	FXRuby apps. The current implementation mimics what was done for
	Ruby/GTK; it registers a chore (run during idle time) to process
	threads. The other solution used in Ruby/GTK (which overrides part
	of the event loop) is not quite as portable and might not be
	appropriate for FOX. Stay tuned...

2001-04-06 12:54  ljohnson

	* swig-interfaces/: FXPoint.i, FXRectangle.i, FXSize.i: Completed
	overloaded constructors and member functions implementation for
	FXPoint, FXRectangle and FXSize.

2001-04-06 12:52  ljohnson

	* tests/: TestFXPoint.rb, TestFXRectangle.rb, TestFXSize.rb,
	testall.rb: Added tests for FXPoint and FXRectangle.

2001-04-06 11:42  ljohnson

	* tests/: README, TestFXSize.rb, runtest.rb, testall.rb: Initial
	entries in the test battery for FXRuby.

2001-04-05 17:20  ljohnson

	* doc/: ChangeHistory.html, book.html, book.sgml, changes.html,
	changes.sgml, tutorial1.html: Modified change history to use
	<simplesect> instead of <section> so that the entire change history
	goes on the same HTML page.

2001-04-05 17:20  ljohnson

	* doc/template.sgml: [no log message]

2001-04-05 17:13  ljohnson

	* doc/: changes.html, changes.sgml: Converted the change history
	document to a DocBook chapter too.

2001-04-05 16:38  ljohnson

	* doc/: book.html, book.sgml, book1.html, build.html, build.sgml,
	goals.html, goals.sgml, todo.html, todo.sgml, tutorial1.html,
	tutorial1.sgml: Added ID tags to the SGML sources to control the
	output HTML filenames.

2001-04-05 16:30  ljohnson

	* doc/: book.sgml, book1.html, bookinfo.sgml, build.sgml,
	goals.sgml, template.sgml, todo.sgml: Latest changes to the DocBook
	sources for the documentation.

2001-04-05 15:52  ljohnson

	* ANNOUNCE, README.win32, index.html, fox-includes/FXApp.h,
	fox-includes/FXDC.h, fox-includes/FXDCPrint.h,
	fox-includes/FXDCWindow.h, fox-includes/FXGLObject.h,
	fox-includes/FXGLViewer.h, fox-includes/FXHeader.h,
	fox-includes/FXIconList.h, fox-includes/FXList.h,
	fox-includes/FXMenubar.h, fox-includes/FXPoint.h,
	fox-includes/FXRectangle.h, fox-includes/FXRegion.h,
	fox-includes/FXShutter.h, fox-includes/FXSize.h,
	fox-includes/FXTopWindow.h, fox-includes/fx.h,
	fox-includes/fxdefs.h, fox-includes/fxver.h,
	swig-interfaces/FXApp.i, swig-interfaces/FXDC.i,
	swig-interfaces/FXDCPrint.i, swig-interfaces/FXGLObject.i,
	swig-interfaces/FXGLViewer.i, swig-interfaces/FXHeader.i,
	swig-interfaces/FXIconList.i, swig-interfaces/FXList.i,
	swig-interfaces/FXPoint.i, swig-interfaces/FXRectangle.i,
	swig-interfaces/FXRegion.i, swig-interfaces/FXShutter.i,
	swig-interfaces/FXSize.i, swig-interfaces/FXTopWindow.i,
	swig-interfaces/core.i, swig-interfaces/fxdefs.i,
	swig-interfaces/stubs.i: Updates for fox-0.99.167.

2001-04-05 15:52  ljohnson

	* examples/imageviewer.rb: Fixed the call to setPatternList() to
	use new API (list of filters).

2001-04-05 12:46  ljohnson

	* examples/groupbox.rb: Modified this one to use a separate thread
	to continuously update the clock label with the current time.

2001-04-04 11:07  ljohnson

	* ANNOUNCE, setversions.rb, update_website.sh: Changes related to
	new SourceForge downloads URL, etc.

2001-04-02 17:51  ljohnson

	* doc/: Makefile, book.sgml, book.xml, bookinfo.sgml, bookinfo.xml,
	preface.sgml, preface.xml, tutorial1.sgml, tutorial1.xml: Switched
	back from DocBook XML -> DocBook SGML.

2001-03-30 11:13  ljohnson

	* swig-interfaces/: core.i, fxkeys.i: Added fxkeys.i (keycap
	definitions) to the interface.

2001-03-27 18:06  ljohnson

	* swig-interfaces/: FXFileDialog.i, FXFileSelector.i: Modified the
	interfaces for FXFileDialog#getPatternList,
	FXFileSelector#getPatternList, FXFileDialog#setPatternList and
	FXFileSelector#setPatternList to take (or return) an array of
	strings (one array item per pattern) of the form "C/C++ Files
	(*.cpp)". This is sort-of a compromise between the currently
	available overloaded versions of these functions.

2001-03-26 11:27  ljohnson

	* examples/: button.rb, datatarget.rb, dialog.rb, gltest.rb,
	groupbox.rb, header.rb, image.rb, imageviewer.rb, scribble.rb,
	tabbook.rb: Modified some of the message handler (callback)
	functions to not explicitly return a 1; this tests the new scheme
	where FXRuby will assign a default return value of 1 in some cases
	(e.g. if the function returns nil we'll assume they meant to return
	1).

2001-03-26 10:39  ljohnson

	* MANIFEST: [no log message]

2001-03-23 13:16  ljohnson

	* swig-interfaces/: FXDC.i, FXImage.i, stubs.i: [no log message]

2001-03-23 13:16  ljohnson

	* swig-interfaces/FXWindow.i: Corrected overloaded version of
	FXWindow#update.

2001-03-23 13:16  ljohnson

	* examples/: button.rb, datatarget.rb, dialog.rb, dirlist.rb,
	examples.rb, examples.xml, foursplit.rb, gltest.rb, groupbox.rb,
	header.rb, hello.rb, hello2.rb, image.rb, imageviewer.rb,
	scribble.rb, shutter.rb, tabbook.rb, table.rb: Turn off garbage
	collection for now, until those issues are resolved.

2001-03-23 11:42  ljohnson

	* swig-interfaces/FXInputDialog.i: Fixed wrappers for
	FXInputDialog.getString, FXInputDialog.getInteger and
	FXInputDialog.getReal.

2001-03-22 15:21  ljohnson

	* doc/ChangeHistory.html: [no log message]

2001-03-22 14:59  ljohnson

	* ANNOUNCE, ANNOUNCE.tmpl, README.win32, README.win32.tmpl,
	index.html, index.html.tmpl, setversions.rb: [no log message]

2001-03-22 13:55  ljohnson

	* ChangeLog, doc/ChangeHistory.html: [no log message]

2001-03-22 10:33  ljohnson

	* examples/: groupbox.rb, image.rb, imageviewer.rb, table.rb:
	Various bug fixes for these example programs.

2001-03-22 10:33  ljohnson

	* swig-interfaces/: FXAccelTable.i, FXJPEGIcon.i, FXJPEGImage.i,
	fox.i, icons.i, image.i: Added wrappers for FXJPEGIcon and
	FXJPEGImage.

2001-03-21 18:04  ljohnson

	* swig-interfaces/FXDebugTarget.i: Corrected the messageTypeName
	function to return an array of strings instead of an array of ID's.

2001-03-20 11:24  ljohnson

	* examples/image.rb: [no log message]

2001-03-19 13:52  ljohnson

	* setversions.rb: [no log message]

2001-03-19 10:44  ljohnson

	* examples/datatarget.rb, swig-interfaces/FXDataTarget.i: Added
	support for FXDataTarget (including the new example).

2001-03-19 10:42  ljohnson

	* swig-interfaces/FXWindow.i: Fixed implementation for
	FXWindow#getCursorPosition.

2001-03-19 10:42  ljohnson

	* swig-interfaces/FXApp.i: Fixed a bug introduced in FXRuby
	0.99.166, that had suppressed the wrapping for FXApp#addTimeout and
	FXApp#removeTimeout.

2001-03-16 18:07  ljohnson

	* ANNOUNCE, ANNOUNCE.tmpl: [no log message]

2001-03-16 17:42  ljohnson

	* drop-win32.sh: Added this helper script to make the win32 binary
	zip file.

2001-03-16 17:23  ljohnson

	* doc/ChangeHistory.html: [no log message]

2001-03-16 17:12  ljohnson

	* ChangeLog, ANNOUNCE, ANNOUNCE.tmpl, index.html: [no log message]

2001-03-16 16:58  ljohnson

	* ANNOUNCE, README.win32, index.html, setversions.rb: [no log
	message]

2001-03-16 16:54  ljohnson

	* ANNOUNCE, ANNOUNCE.tmpl, ANNOUNCE.txt, README.win32.tmpl,
	index.html.tmpl, setversions.rb, fox-includes/fxver.h: Templatized
	a lot of these auxiliary files with version information so I can
	update them more easily.

2001-03-16 14:06  ljohnson

	* index.html, doc/ChangeHistory.html: [no log message]

2001-03-15 18:59  ljohnson

	* ChangeLog: [no log message]

2001-03-15 18:38  ljohnson

	* ANNOUNCE.txt, README.win32, doc/ChangeHistory.html: Miscellaneous
	updates for version number (0.99.165).

2001-03-15 18:37  ljohnson

	* fox-includes/FXDialogBox.h, fox-includes/FXFileDict.h,
	fox-includes/FXMainWindow.h, fox-includes/FXPacker.h,
	fox-includes/FXTopWindow.h, fox-includes/fxdefs.h,
	fox-includes/fxver.h, swig-interfaces/FXDialogBox.i,
	swig-interfaces/FXFileDict.i, swig-interfaces/FXMainWindow.i,
	swig-interfaces/FXPacker.i, swig-interfaces/FXTopWindow.i: Updated
	header files and SWIG interface files for fox-0.99.165.

2001-03-15 17:53  ljohnson

	* ChangeLog: [no log message]

2001-03-15 17:40  ljohnson

	* examples/button.rb: [no log message]

2001-03-15 16:21  ljohnson

	* swig-interfaces/renames.i: Added renaming directives for
	FXDataTarget, FXDCPrint, FXDebugTarget and FXUndoList classes.

2001-03-15 13:41  ljohnson

	* examples/examples.rb, doc/ChangeHistory.html, doc/Makefile,
	doc/book.xml, doc/bookinfo.xml, doc/preface.xml, doc/tutorial1.xml:
	[no log message]

2001-03-15 13:40  ljohnson

	* swig-interfaces/FXObject.i: Removed the macro definitions for
	FXMAPFUNC(), FXMAPFUNCS(), FXMAPTYPE() and FXMAPTYPE(); they aren't
	needed here.

2001-03-15 13:39  ljohnson

	* examples/examples.xml: Added the XML list of examples for this
	directory.

2001-03-15 13:39  ljohnson

	* examples/: tabbook.rb, table.rb: Added the tabbook.rb and
	table.rb examples.

2001-03-14 13:07  ljohnson

	* swig-interfaces/typemaps.i: Corrected the file typemap to call
	FXRbGetInputHandle directly.

2001-03-14 12:30  ljohnson

	* doc/: Makefile, book.xml, bookinfo.xml, tutorial1.png,
	tutorial1.xml: Checked in initial DocBook sources for the tutorial
	chapters.

2001-03-14 12:28  ljohnson

	* swig-interfaces/: FXApp.i, fxdefs.i, typemaps.i: Added typemaps
	and other support for the FXApp#addInput and FXApp#removeInput
	methods.

2001-03-12 18:10  ljohnson

	* examples/hello.rb: [no log message]

2001-03-12 17:41  ljohnson

	* examples/README: [no log message]

2001-03-12 17:20  ljohnson

	* swig-interfaces/typemaps.i: [no log message]

2001-03-12 16:51  ljohnson

	* swig-interfaces/typemaps.i: Yet another fix for the
	String->FXString typemap.

2001-03-12 16:47  ljohnson

	* examples/imageviewer.rb: A few bug fixes for the imageviewer
	example.

2001-03-12 16:45  ljohnson

	* swig-interfaces/typemaps.i: Corrected string typemaps.

2001-03-12 16:45  ljohnson

	* swig-interfaces/core.i: Added wrappers for FXFile namespace to
	the core module.

2001-03-12 16:45  ljohnson

	* swig-interfaces/renames.i: Removed %rename directives for
	FXStream, FXFileStream and FXRegistry; they weren't needed.

2001-03-12 13:17  ljohnson

	* examples/minifolderopen.gif: [no log message]

2001-03-12 12:40  ljohnson

	* examples/: button.rb, groupbox.rb, header.rb, hello2.rb,
	shutter.rb: Updated these examples to look in the new "icons"
	subdirectory for the icons.

2001-03-12 12:35  ljohnson

	* examples/: bigpenguin.gif, hello2.gif, imageviewer.rb,
	minidoc.gif, minifolder.gif, shutter1.gif, shutter2.gif,
	icons/bigpenguin.gif, icons/colorpal.gif, icons/copy.gif,
	icons/cut.gif, icons/fileopen.gif, icons/filesave.gif,
	icons/hello2.gif, icons/minidoc.gif, icons/minifolder.gif,
	icons/minifolderopen.gif, icons/paste.gif, icons/shutter1.gif,
	icons/shutter2.gif, icons/tbuplevel.gif: Added the imageviewer.rb
	example program.  Moved all of the icons from this directory to the
	icons/ subdirectory.

2001-03-12 10:30  ljohnson

	* examples/browser.rb: [no log message]

2001-03-09 18:45  ljohnson

	* swig-interfaces/FXFont.i: Added overloaded constructors for class
	FXFont.

2001-03-09 16:30  ljohnson

	* examples/: groupbox.rb, minifolder.gif, minifolderopen.gif: Added
	the "groupbox.rb" example.

2001-03-09 16:21  ljohnson

	* swig-interfaces/FXFileDialog.i: Corrected the implementation of
	FXFileDialog.getOpenFilenames().

2001-03-09 13:05  ljohnson

	* examples/header.rb: Updated the hall of fame names for the
	header.rb example.

2001-03-09 12:54  ljohnson

	* examples/dirlist.rb: Added the dirlist.rb example to demonstrate
	the directory list widget.

2001-03-09 12:41  ljohnson

	* ANNOUNCE.txt, README.win32, index.html: Miscellaneous updates
	related to the FXRuby-0.99.164 release.

2001-03-09 12:34  ljohnson

	* fox-includes/FXTopWindow.h, fox-includes/FXUndoList.h,
	fox-includes/fxver.h, swig-interfaces/FXTopWindow.i,
	swig-interfaces/FXUndoList.i, swig-interfaces/stubs.i: Updated
	header files and SWIG interface files for fox-0.99.164.

2001-03-09 11:39  ljohnson

	* examples/dialog.rb: Added the dialog.rb example.

2001-03-09 11:39  ljohnson

	* examples/shutter.rb: Corrected layout spacing for the shutter.rb
	example program.

2001-03-09 11:37  ljohnson

	* swig-interfaces/FXDialogBox.i: Added overloaded constructors for
	FXDialogBox (modal versus non-modal) and corrected the
	implementation of the virtual execute() method.

2001-03-09 10:50  ljohnson

	* swig-interfaces/: FXDict.i, FXFileDict.i: Added a few aliases for
	the FXDict class methods so that it looks like a Ruby hash object.

2001-03-09 10:43  ljohnson

	* swig-interfaces/FXStream.i: Corrected the implementation of the
	takeBuffer() method for class FXMemoryStream. Renamed the two
	positions functions to "getPosition" and "setPosition", etc.

2001-03-09 10:41  ljohnson

	* swig-interfaces/FXInputDialog.i: Corrected the implementation of
	getLimits() for class FXInputDialog.

2001-03-09 10:41  ljohnson

	* swig-interfaces/FXDirList.i: Renamed the Ruby versions of
	showFiles() and showHiddenFiles() to getShowFiles() and
	getShowHiddenFiles(), respectively.

2001-03-09 10:39  ljohnson

	* swig-interfaces/FXGLShape.i: Corrected implementation of
	getMaterial() method for class FXGLShape.

2001-03-09 10:39  ljohnson

	* swig-interfaces/FXGLViewer.i: Corrected implementations of
	lasso(), select(), getViewport(), eyeToScreen(), getMaterial(),
	getBoreVector(), readPixels(), readFeedback() and getLight()
	methods for class FXGLViewer.

2001-03-09 10:37  ljohnson

	* swig-interfaces/FXGLTriangleMesh.i: Corrected implementations of
	getVertexBuffer(), setVertexBuffer(), getColorBuffer(),
	setColorBuffer(), getNormalBuffer(), setNormalBuffer(),
	getTextureCoordBuffer() and setTextureCoordBuffer() methods for
	class FXGLTriangleMesh.

2001-03-09 10:36  ljohnson

	* swig-interfaces/FXGLObject.i: Corrected implementation of
	bounds() method for class FXGLObject.

2001-03-09 10:35  ljohnson

	* swig-interfaces/: FXFontDialog.i, FXFontSelector.i: Corrected
	implementation of getFontSelection() for classes FXFontSelector and
	FXFontDialog.

2001-03-09 10:34  ljohnson

	* swig-interfaces/FXRegion.i: Corrected the implementation of
	bounds() method, and added overloaded operations for addition,
	subtraction, exclusive-or and equivalence on class FXRegion.

2001-03-09 10:30  ljohnson

	* swig-interfaces/FXWindow.i: Added deleteTypeName(),
	textTypeName(), colorTypeName() and urilistTypeName() as singleton
	methods, and corrected the implementations of getCursorPosition(),
	inquireDNDTypes(), getDNDData(), setDNDData(),
	translateCoordinatesFrom(), and translateCoordinatesTo() for class
	FXWindow.

2001-03-09 10:13  ljohnson

	* examples/scribble.rb: Added extra padding around the buttons, now
	that the constructors support all those extra arguments.

2001-03-09 10:10  ljohnson

	* examples/header.rb: Little bug fixes for the "header.rb" example
	program.

2001-03-09 10:01  ljohnson

	* swig-interfaces/FXScrollArea.i: Corrected the implementation of
	getPosition() for class FXScrollArea.

2001-03-09 10:01  ljohnson

	* swig-interfaces/FXPrintDialog.i: Corrected the implementation of
	getPrinter() for class FXPrintDialog.

2001-03-09 10:00  ljohnson

	* swig-interfaces/FXText.i: Corrected implementations of getText(),
	setText() and extractText() methods for class FXText.

2001-03-09 10:00  ljohnson

	* swig-interfaces/FXFont.i: Corrected the implementations of
	getFontDesc() and listFonts() functions for class FXFont.

2001-03-09 09:59  ljohnson

	* swig-interfaces/: FXFileDialog.i, FXFileSelector.i: Corrected the
	implementation of the getFilenames() function for the
	FXFileSelector and FXFileDialog classes.

2001-03-09 09:57  ljohnson

	* swig-interfaces/FXDebugTarget.i: Changed interface so that
	messageTypeName() is exposed as a singleton (not instance) method
	of class FXDebugTarget.

2001-03-09 09:57  ljohnson

	* swig-interfaces/FXColorSelector.i: Changed interface so that
	wellname() is exposed as a singleton (not instance) method of class
	FXColorSelector.

2001-03-09 09:56  ljohnson

	* swig-interfaces/FXApp.i: Changed interface so that copyright()
	and version() are exposed as singleton (not instance) methods of
	class FXApp.

2001-03-08 19:14  ljohnson

	* swig-interfaces/: FXDial.i, FXSlider.i, FXSpinner.i: Fixed the
	implementations of getRange() for FXDial, FXSlider and FXSpinner so
	that they return an array containing the low and high values.

2001-03-08 18:48  ljohnson

	* swig-interfaces/FXCharset.i: Make the available constructor for
	FXCharset be the one that's actually useful -- the one that takes a
	string of characters.

2001-03-08 18:43  ljohnson

	* swig-interfaces/FXRange.i: Corrected coding for boxCorners().

2001-03-08 18:43  ljohnson

	* swig-interfaces/: FXDQuat.i, FXQuat.i: Corrected the
	implementation of getRollPitchYaw() for classes FXQuat and FXDQuat
	to return an array containing the three values.

2001-03-08 18:22  ljohnson

	* swig-interfaces/: FXApp.i, FXBMPIcon.i, FXBMPImage.i,
	FXCharset.i, FXColorSelector.i, FXDC.i, FXDCWindow.i, FXDQuat.i,
	FXDebugTarget.i, FXDialogBox.i, FXFile.i, FXFileDict.i,
	FXGLCanvas.i, FXGLCone.i, FXGLContext.i, FXGLCube.i,
	FXGLCylinder.i, FXGLObject.i, FXGLShape.i, FXGLSphere.i,
	FXGLTriangleMesh.i, FXGLViewer.i, FXHMat.i, FXHeader.i,
	FXMessageBox.i, FXQuat.i, FXRange.i, FXStatusline.i, FXURL.i,
	README: Various improvements and clarifications in these SWIG
	interface files.

2001-03-08 15:51  ljohnson

	* fox-includes/FXArray.h, fox-includes/FXDial.h,
	fox-includes/FXDirList.h, fox-includes/FXFile.h,
	fox-includes/FXFileList.h, fox-includes/FXGLViewer.h,
	swig-interfaces/FXDial.i, swig-interfaces/FXDirList.i,
	swig-interfaces/FXFile.i, swig-interfaces/FXFileList.i,
	swig-interfaces/FXGLViewer.i, swig-interfaces/fxdefs.i,
	fox-includes/FXOptionMenu.h, fox-includes/FXString.h,
	fox-includes/FXWindow.h, fox-includes/fxdefs.h,
	fox-includes/fxver.h: Updated these header files and SWIG interface
	files for fox-0.99.162.

2001-03-07 17:26  ljohnson

	* examples/: gltest.rb, header.rb: [no log message]

2001-03-07 17:19  ljohnson

	* swig-interfaces/typemaps.i: Added an error check to the boolean
	argument typemap, to make certain that it is either true or false.
	If it is neither of these an exception is raised.

2001-03-07 17:07  ljohnson

	* swig-interfaces/: FXArrowButton.i, FXButton.i, FXCheckButton.i,
	FXColorWell.i, FXComboBox.i, FXDial.i, FXDirBox.i, FXDriveBox.i,
	FXGLCanvas.i, FXGroupBox.i, FXHorizontalFrame.i, FXListBox.i,
	FXMatrix.i, FXMenuButton.i, FXMenubar.i, FXOptionMenu.i,
	FXPacker.i, FXProgressBar.i, FXRadioButton.i, FXShutter.i,
	FXSlider.i, FXSpinner.i, FXStatusbar.i, FXTab.i, FXTable.i,
	FXTextField.i, FXToggleButton.i, FXToolbar.i, FXTreeListBox.i,
	FXVerticalFrame.i: Restored full argument list for these classes'
	constructors since we can now have more than 9 default argument
	values.

2001-03-07 17:06  ljohnson

	* swig-interfaces/typemaps.i: Added a typemap to convert Ruby's
	boolean values (true and false) into FXbool function arguments.

2001-03-06 19:04  ljohnson

	* update_website.sh: [no log message]

2001-03-06 18:46  ljohnson

	* swig-interfaces/typemaps.i: [no log message]

2001-03-06 18:45  ljohnson

	* swig-interfaces/typemaps.i: Corrected typemap for return type
	FXbool (converts to Qtrue or Qfalse).

2001-03-05 17:38  ljohnson

	* ANNOUNCE.txt: [no log message]

2001-03-05 13:13  ljohnson

	* doc/ChangeHistory.html: [no log message]

2001-03-05 12:34  ljohnson

	* README.win32, install-win32.rb: [no log message]

2001-03-05 12:28  ljohnson

	* install-win32.rb: [no log message]

2001-03-05 12:15  ljohnson

	* README.win32: [no log message]

2001-03-05 11:57  ljohnson

	* index.html, doc/ChangeHistory.html: Updated the front page and
	the change history.

2001-03-05 11:43  ljohnson

	* doc/ChangeHistory.html: First version of this file.

2001-03-05 11:29  ljohnson

	* examples/header.rb: Uncommented the lines for appendItem now that
	the overloaded versions are correctly implemented.

2001-03-05 11:28  ljohnson

	* swig-interfaces/: FXHeader.i, FXIconList.i, FXList.i,
	FXTreeList.i, FXTreeListBox.i: Added support for overloaded
	versions of appendItem, prependItem, insertItem and replaceItem for
	classes FXHeader, FXIconList and FXList. Also added support for
	overloaded versions of addItemBefore, addItemAfter, addItemFirst,
	and addItemLast for classes FXTreeList and FXTreeListBox.

2001-03-05 11:26  ljohnson

	* swig-interfaces/: FXApp.i, FXRegistry.i: Modified constructors to
	accept "const FXchar*" arguments since SWIG doesn't seem to
	properly process the default values for arguments of type const
	FXString&.

2001-03-05 10:45  ljohnson

	* swig-interfaces/FX4Splitter.i: Moved most of the code for
	overloaded FX4Splitter constructors back into the SWIG interface
	file.s

2001-03-05 10:39  ljohnson

	* swig-interfaces/typemaps.i: Added typemap for return types of
	"const FXString&".

2001-03-01 18:07  ljohnson

	* swig-interfaces/FX4Splitter.i: Moved the source code for the
	overloaded FX4Splitter constructors to the SWIG interface file as
	inlined code.

2001-03-01 11:34  ljohnson

	* swig-interfaces/: FXApp.i, FXFileDialog.i, FXFileSelector.i,
	FXRegistry.i: Updated interface files for fox-0.99.161.

2001-03-01 11:34  ljohnson

	* fox-includes/: FXApp.h, FXFileDialog.h, FXFileSelector.h,
	FXRegistry.h, fxver.h: Updated header files for fox-0.99.161.

2001-02-27 11:09  ljohnson

	* swig-interfaces/FX4Splitter.i, swig-interfaces/FXApp.i,
	swig-interfaces/FXArrowButton.i, swig-interfaces/FXButton.i,
	swig-interfaces/FXCheckButton.i, swig-interfaces/FXColorWell.i,
	swig-interfaces/FXComboBox.i, swig-interfaces/FXDC.i,
	swig-interfaces/FXDial.i, swig-interfaces/FXDirList.i,
	swig-interfaces/FXFileList.i, swig-interfaces/FXGroupBox.i,
	swig-interfaces/FXHeader.i, swig-interfaces/FXIconList.i,
	swig-interfaces/FXLabel.i, swig-interfaces/FXList.i,
	swig-interfaces/FXMessageBox.i, swig-interfaces/FXPopup.i,
	swig-interfaces/FXProgressBar.i, swig-interfaces/FXRadioButton.i,
	swig-interfaces/FXSlider.i, swig-interfaces/FXSpinner.i,
	swig-interfaces/FXSplitter.i, swig-interfaces/FXTab.i,
	swig-interfaces/FXText.i, swig-interfaces/FXTextField.i,
	fox-includes/FX4Splitter.h, fox-includes/FXApp.h,
	fox-includes/FXArrowButton.h, fox-includes/FXButton.h,
	fox-includes/FXCheckButton.h, fox-includes/FXColorWell.h,
	fox-includes/FXComboBox.h, fox-includes/FXDC.h,
	fox-includes/FXDCWindow.h, fox-includes/FXDial.h,
	fox-includes/FXDirList.h, fox-includes/FXFile.h,
	fox-includes/FXFileList.h, fox-includes/FXGroupBox.h,
	fox-includes/FXHeader.h, fox-includes/FXIconList.h,
	fox-includes/FXLabel.h, fox-includes/FXList.h,
	fox-includes/FXMessageBox.h, fox-includes/FXPopup.h,
	fox-includes/FXProgressBar.h, fox-includes/FXRadioButton.h,
	fox-includes/FXSlider.h, swig-interfaces/FXToggleButton.i,
	swig-interfaces/FXTooltip.i, swig-interfaces/FXTreeList.i,
	swig-interfaces/fxdefs.i, swig-interfaces/stubs.i,
	fox-includes/FXSpinner.h, fox-includes/FXSplitter.h,
	fox-includes/FXTab.h, fox-includes/FXText.h,
	fox-includes/FXTextField.h, fox-includes/FXToggleButton.h,
	fox-includes/FXTooltip.h, fox-includes/FXTreeList.h,
	fox-includes/fxdefs.h, fox-includes/fxver.h: Updates from
	fox-0.99.157 to fox-0.99.160.

2001-02-26 11:10  ljohnson

	* examples/: header.rb, minidoc.gif: [no log message]

2001-02-21 18:03  ljohnson

	* swig-interfaces/: Makefile, core.i, image.i, layout.i: [no log
	message]

2001-02-21 11:25  ljohnson

	* swig-interfaces/: FXMDIButton.i, Makefile, opengl.i: [no log
	message]

2001-02-20 13:59  ljohnson

	* swig-interfaces/: FXGLViewer.i, FXImage.i, Makefile, core.i,
	fox.i, opengl.i, stubs.i, FXPNGIcon.i, FXPNGImage.i, dialogs.i,
	icons.i, image.i, layout.i, mdi.i: [no log message]

2001-02-16 12:14  ljohnson

	* examples/button.rb: [no log message]

2001-02-16 12:14  ljohnson

	* examples/button.rb: Corrected

2001-02-15 18:04  ljohnson

	* swig-interfaces/: FX4Splitter.i, FXApp.i, FXCheckButton.i,
	FXDQuat.i, FXFileList.i, FXFont.i, FXFrame.i, FXGLViewer.i,
	FXHeader.i, FXIconList.i, FXInputDialog.i, FXList.i, FXListBox.i,
	FXOptionMenu.i, FXQuat.i, FXRadioButton.i, FXRegistry.i,
	FXReplaceDialog.i, FXScrollArea.i, FXScrollWindow.i, FXScrollbar.i,
	FXSearchDialog.i, FXSplitter.i, FXSwitcher.i, FXTab.i, FXText.i,
	FXTextField.i, FXToggleButton.i, FXToolbar.i, FXTopWindow.i,
	FXTreeList.i, FXTreeListBox.i, FXUndoList.i, FXWindow.i, fxdefs.i,
	stubs.i: Updated interface files for fox-0.99.157.

2001-02-15 18:04  ljohnson

	* fox-includes/: FX4Splitter.h, FXAccelTable.h, FXApp.h, FXArray.h,
	FXArrowButton.h, FXBMPIcon.h, FXBMPImage.h, FXBitmap.h, FXButton.h,
	FXCanvas.h, FXCharset.h, FXCheckButton.h, FXColorDialog.h,
	FXColorSelector.h, FXColorWell.h, FXComboBox.h, FXComposite.h,
	FXCursor.h, FXDC.h, FXDCPrint.h, FXDCWindow.h, FXDHMat.h,
	FXDHVec.h, FXDQuat.h, FXDVec.h, FXDataTarget.h, FXDebugTarget.h,
	FXDelegator.h, FXDial.h, FXDialogBox.h, FXDict.h, FXDirBox.h,
	FXDirDialog.h, FXDirList.h, FXDirSelector.h, FXDocument.h,
	FXDragCorner.h, FXDrawable.h, FXDriveBox.h, FXElement.h,
	FXException.h, FXFile.h, FXFileDialog.h, FXFileDict.h,
	FXFileList.h, FXFileSelector.h, FXFont.h, FXFontDialog.h,
	FXFontSelector.h, FXFrame.h, FXGIFCursor.h, FXGIFIcon.h,
	FXGIFImage.h, FXGLCanvas.h, FXGLCone.h, FXGLContext.h, FXGLCube.h,
	FXGLCylinder.h, FXGLObject.h, FXGLShape.h, FXGLSphere.h,
	FXGLTriangleMesh.h, FXGLViewer.h, FXGLVisual.h, FXGroupBox.h,
	FXHMat.h, FXHVec.h, FXHeader.h, FXHorizontalFrame.h, FXIcon.h,
	FXIconList.h, FXId.h, FXImage.h, FXInputDialog.h, FXJPEGIcon.h,
	FXJPEGImage.h, FXLabel.h, FXList.h, FXListBox.h, FXMDIButton.h,
	FXMDIChild.h, FXMDIClient.h, FXMainWindow.h, FXMatrix.h,
	FXMenuButton.h, FXMenuCaption.h, FXMenuCascade.h, FXMenuCommand.h,
	FXMenuPane.h, FXMenuSeparator.h, FXMenuTitle.h, FXMenubar.h,
	FXMessageBox.h, FXObject.h, FXObjectList.h, FXOptionMenu.h,
	FXPNGIcon.h, FXPNGImage.h, FXPacker.h, FXPopup.h, FXPrintDialog.h,
	FXProfiler.h, FXProgressBar.h, FXQuat.h, FXRadioButton.h,
	FXRange.h, FXRecentFiles.h, FXRegion.h, FXRegistry.h,
	FXReplaceDialog.h, FXRootWindow.h, FXScrollArea.h,
	FXScrollWindow.h, FXScrollbar.h, FXSearchDialog.h, FXSeparator.h,
	FXShell.h, FXShutter.h, FXSlider.h, FXSpinner.h, FXSplitter.h,
	FXStatusbar.h, FXStatusline.h, FXStream.h, FXString.h,
	FXSwitcher.h, FXTab.h, FXText.h, FXTextField.h, FXToggleButton.h,
	FXToolbar.h, FXToolbarGrip.h, FXToolbarShell.h, FXToolbarTab.h,
	FXTooltip.h, FXTopWindow.h, FXTreeList.h, FXTreeListBox.h, FXURL.h,
	FXUndoList.h, FXVec.h, FXVerticalFrame.h, FXVisual.h, FXWindow.h,
	FXXPMIcon.h, FXXPMImage.h, fx.h, fx3d.h, fxdefs.h, fxkeys.h,
	fxver.h, xincs.h: Imported the header files for fox-0.99.157.

2001-02-14 12:13  ljohnson

	* index.html, update_website.sh: [no log message]

2001-02-14 12:00  ljohnson

	* README: [no log message]

2001-02-13 18:48  ljohnson

	* examples/README, README, index.html, examples/responder.rb: [no
	log message]

2001-02-13 13:24  ljohnson

	* LICENSE: [no log message]

2001-02-13 13:08  ljohnson

	* examples/shutter.rb, examples/shutter1.gif,
	examples/shutter2.gif, README, index.html,
	swig-interfaces/Makefile: [no log message]

2001-02-09 16:33  ljohnson

	* swig-interfaces/: Makefile, fox.i: [no log message]

2001-02-09 10:25  ljohnson

	* examples/foursplit.rb: [no log message]

2001-02-07 16:29  ljohnson

	* swig-interfaces/Makefile: [no log message]

2001-02-07 12:36  ljohnson

	* swig-interfaces/FXTopWindow.i, swig-interfaces/Makefile,
	examples/button.rb, examples/hello.rb, examples/hello2.rb: [no log
	message]

2001-02-07 12:08  ljohnson

	* examples/: button.rb, hello2.gif, hello2.rb, scribble.rb: [no log
	message]

2001-02-07 11:55  ljohnson

	* examples/gltest.rb: [no log message]

2001-02-06 16:50  ljohnson

	* swig-interfaces/: FXApp.i, FXBMPIcon.i, FXBitmap.i,
	FXColorDialog.i, FXComposite.i, FXCursor.i, FXDC.i, FXDialogBox.i,
	FXDict.i, FXDirDialog.i, FXDocument.i, FXDrawable.i,
	FXFileDialog.i, FXFileDict.i, FXFileList.i, FXFontDialog.i,
	FXGIFIcon.i, FXGLCanvas.i, FXGLContext.i, FXGLObject.i,
	FXGLViewer.i, FXHeader.i, FXIcon.i, FXIconList.i, FXId.i,
	FXImage.i, FXInputDialog.i, FXList.i, FXMDIButton.i, FXMDIChild.i,
	FXMainWindow.i, FXMenuPane.i, FXMessageBox.i, FXObject.i,
	FXPopup.i, FXPrintDialog.i, FXReplaceDialog.i, FXScrollArea.i,
	FXSearchDialog.i, FXShell.i, FXShutter.i, FXTab.i, FXTable.i,
	FXText.i, FXToolbar.i, FXToolbarShell.i, FXTooltip.i,
	FXTopWindow.i, FXTreeList.i, FXWindow.i, FXXPMIcon.i, Makefile,
	core.i, fox.i, opengl.i, stubs.i: [no log message]

2001-02-06 12:57  ljohnson

	* swig-interfaces/FXDCWindow.i, examples/scribble.rb: [no log
	message]

2001-02-01 17:13  ljohnson

	* swig-interfaces/FXObject.i, swig-interfaces/fox.i,
	examples/button.rb, examples/scribble.rb: [no log message]

2001-02-01 11:01  ljohnson

	* swig-interfaces/: fox.i, typemaps.i: [no log message]

2001-01-31 16:20  ljohnson

	* swig-interfaces/typemaps.i: Added typemap for icon & image byte
	arrays (with type const void* pix).

2001-01-31 13:18  ljohnson

	* examples/: bigpenguin.gif, button.rb, hello.rb, scribble.rb: [no
	log message]

2001-01-31 12:44  ljohnson

	* swig-interfaces/: fox.i, typemaps.i: [no log message]

2001-01-30 17:04  ljohnson

	* swig-interfaces/: FXArrowButton.i, FXCheckButton.i,
	FXColorWell.i, FXComboBox.i, FXDial.i, FXDirBox.i, FXGroupBox.i,
	FXHeader.i, FXListBox.i, FXMatrix.i, FXMenuButton.i, FXMenubar.i,
	FXOptionMenu.i, FXPacker.i, FXProgressBar.i, FXRadioButton.i,
	FXShutter.i, FXSlider.i, FXSpinner.i, FXStatusbar.i, FXTab.i,
	FXTable.i, FXTextField.i, FXToggleButton.i, FXToolbar.i,
	FXTreeListBox.i, fox.i: [no log message]

2001-01-29 17:58  ljohnson

	* swig-interfaces/fox.i: [no log message]

2001-01-29 13:33  ljohnson

	* swig-interfaces/FXDict.i: [no log message]

2001-01-29 10:48  ljohnson

	* swig-interfaces/: FXDC.i, FXDCPrint.i, FXDCWindow.i,
	FXGLCanvas.i, FXGLCone.i, FXGLContext.i, FXGLCube.i,
	FXGLCylinder.i, FXGLObject.i, FXGLShape.i, FXGLSphere.i,
	FXGLTriangleMesh.i, FXGLViewer.i, FXHMat.i, FXRange.i, fox.i: [no
	log message]

2001-01-25 15:45  ljohnson

	* swig-interfaces/: FXDHMat.i, FXDHVec.i, FXDQuat.i, FXDVec.i,
	FXGLCanvas.i, FXGLCone.i, FXGLContext.i, FXGLCube.i,
	FXGLCylinder.i, FXGLObject.i, FXGLShape.i, FXGLSphere.i,
	FXGLTriangleMesh.i, FXGLViewer.i, FXGLVisual.i, FXHMat.i, FXHVec.i,
	FXObject.i, FXQuat.i, FXRange.i, FXVec.i, fox.i: Added new
	interface files for missing 3D support.

2001-01-19 16:28  ljohnson

	* examples/button.rb, examples/scribble.rb, swig-interfaces/README,
	swig-interfaces/renames.i: [no log message]

2001-01-12 12:04  ljohnson

	* swig-interfaces/: FX4Splitter.i, FXAccelTable.i, FXApp.i,
	FXArrowButton.i, FXBMPIcon.i, FXBMPImage.i, FXBitmap.i, FXButton.i,
	FXCanvas.i, FXCheckButton.i, FXColorDialog.i, FXColorSelector.i,
	FXColorWell.i, FXComboBox.i, FXComposite.i, FXCursor.i,
	FXDataTarget.i, FXDebugTarget.i, FXDelegator.i, FXDial.i,
	FXDialogBox.i, FXDict.i, FXDirBox.i, FXDirDialog.i, FXDirList.i,
	FXDirSelector.i, FXDocument.i, FXDragCorner.i, FXDrawable.i,
	FXDriveBox.i, FXFileDialog.i, FXFileDict.i, FXFileList.i,
	FXFileSelector.i, FXFont.i, FXFontDialog.i, FXFontSelector.i,
	FXFrame.i, FXGIFCursor.i, FXGIFIcon.i, FXGIFImage.i, FXGroupBox.i,
	FXHeader.i, FXHorizontalFrame.i, FXIcon.i, FXIconList.i, FXId.i,
	FXImage.i, FXImageView.i, FXInputDialog.i, FXLabel.i, FXList.i,
	FXListBox.i, FXMDIButton.i, FXMDIChild.i, FXMDIClient.i,
	FXMainWindow.i, FXMatrix.i, FXMenuButton.i, FXMenuCaption.i,
	FXMenuCascade.i, FXMenuCommand.i, FXMenuPane.i, FXMenuSeparator.i,
	FXMenuTitle.i, FXMenubar.i, FXMessageBox.i, FXObject.i,
	FXOptionMenu.i, FXPacker.i, FXPopup.i, FXPrintDialog.i,
	FXProgressBar.i, FXRadioButton.i, FXRecentFiles.i,
	FXReplaceDialog.i, FXRootWindow.i, FXScrollArea.i,
	FXScrollWindow.i, FXScrollbar.i, FXSearchDialog.i, FXSeparator.i,
	FXShell.i, FXShutter.i, FXSlider.i, FXSpinner.i, FXSplitter.i,
	FXStatusbar.i, FXStatusline.i, FXSwitcher.i, FXTab.i, FXTable.i,
	FXText.i, FXTextField.i, FXToggleButton.i, FXToolbar.i,
	FXToolbarGrip.i, FXToolbarShell.i, FXToolbarTab.i, FXTooltip.i,
	FXTopWindow.i, FXTreeList.i, FXTreeListBox.i, FXUndoList.i,
	FXVerticalFrame.i, FXVisual.i, FXWindow.i, FXXPMIcon.i,
	FXXPMImage.i, fox.i: [no log message]

2001-01-12 12:04  ljohnson

	* fox-includes/: FX4Splitter.h, FXAccelTable.h, FXApp.h, FXArray.h,
	FXArrowButton.h, FXBMPIcon.h, FXBMPImage.h, FXBitmap.h, FXButton.h,
	FXCanvas.h, FXCharset.h, FXCheckButton.h, FXColorDialog.h,
	FXColorSelector.h, FXColorWell.h, FXComboBox.h, FXComposite.h,
	FXCursor.h, FXDC.h, FXDCPrint.h, FXDCWindow.h, FXDHMat.h,
	FXDHVec.h, FXDQuat.h, FXDVec.h, FXDataTarget.h, FXDebugTarget.h,
	FXDelegator.h, FXDial.h, FXDialogBox.h, FXDict.h, FXDirBox.h,
	FXDirDialog.h, FXDirList.h, FXDirSelector.h, FXDocument.h,
	FXDragCorner.h, FXDrawable.h, FXDriveBox.h, FXElement.h, FXFile.h,
	FXFileDialog.h, FXFileDict.h, FXFileList.h, FXFileSelector.h,
	FXFont.h, FXFontDialog.h, FXFontSelector.h, FXFrame.h,
	FXGIFCursor.h, FXGIFIcon.h, FXGIFImage.h, FXGLCanvas.h, FXGLCone.h,
	FXGLContext.h, FXGLCube.h, FXGLCylinder.h, FXGLObject.h,
	FXGLShape.h, FXGLSphere.h, FXGLTriangleMesh.h, FXGLViewer.h,
	FXGLVisual.h, FXGroupBox.h, FXHMat.h, FXHVec.h, FXHeader.h,
	FXHorizontalFrame.h, FXIcon.h, FXIconList.h, FXId.h, FXImage.h,
	FXImageView.h, FXInputDialog.h, FXJPEGIcon.h, FXJPEGImage.h,
	FXLabel.h, FXList.h, FXListBox.h, FXMDIButton.h, FXMDIChild.h,
	FXMDIClient.h, FXMainWindow.h, FXMatrix.h, FXMenuButton.h,
	FXMenuCaption.h, FXMenuCascade.h, FXMenuCommand.h, FXMenuPane.h,
	FXMenuSeparator.h, FXMenuTitle.h, FXMenubar.h, FXMessageBox.h,
	FXObject.h, FXObjectList.h, FXOptionMenu.h, FXPNGIcon.h,
	FXPNGImage.h, FXPacker.h, FXPopup.h, FXPrintDialog.h, FXProfiler.h,
	FXProgressBar.h, FXQuat.h, FXRadioButton.h, FXRange.h,
	FXRecentFiles.h, FXRegion.h, FXRegistry.h, FXReplaceDialog.h,
	FXRootWindow.h, FXScrollArea.h, FXScrollWindow.h, FXScrollbar.h,
	FXSearchDialog.h, FXSeparator.h, FXShell.h, FXShutter.h,
	FXSlider.h, FXSpinner.h, FXSplitter.h, FXStatusbar.h,
	FXStatusline.h, FXStream.h, FXString.h, FXSwitcher.h, FXTab.h,
	FXTable.h, FXText.h, FXTextField.h, FXToggleButton.h, FXToolbar.h,
	FXToolbarGrip.h, FXToolbarShell.h, FXToolbarTab.h, FXTooltip.h,
	FXTopWindow.h, FXTreeList.h, FXTreeListBox.h, FXURL.h,
	FXUndoList.h, FXVec.h, FXVerticalFrame.h, FXVisual.h, FXWindow.h,
	FXXPMIcon.h, FXXPMImage.h, README, fx.h, fx3d.h, fxdefs.h,
	fxkeys.h, fxregex.h, fxver.h, xincs.h: Moved the archived header
	files to a separate directory.

2001-01-03 16:50  ljohnson

	* swig-interfaces/fxdefs.i: [no log message]

2000-12-28 13:11  ljohnson

	* examples/hello.rb, swig-interfaces/FXApp.i,
	swig-interfaces/FXURL.i, swig-interfaces/fox.i: [no log message]

2000-12-28 12:16  ljohnson

	* swig-interfaces/: FXApp.i, FXBMPIcon.i, FXBMPImage.i,
	FXCharset.i, FXColorSelector.i, FXDC.i, FXDCPrint.i, FXDCWindow.i,
	FXDataTarget.i, FXDebugTarget.i, FXDialogBox.i, FXDict.i,
	FXDirList.i, FXFile.i, FXFileDialog.i, FXFileDict.i, FXFileList.i,
	FXFileSelector.i, FXGIFCursor.i, FXGIFIcon.i, FXGIFImage.i,
	FXHeader.i, FXIconList.i, FXId.i, FXList.i, FXMenubar.i,
	FXMessageBox.i, FXRecentFiles.i, FXRegion.i, FXRegistry.i,
	FXStatusline.i, FXSwitcher.i, FXText.i, FXToolbar.i, FXTreeList.i,
	FXTreeListBox.i, FXXPMIcon.i, FXXPMImage.i, Makefile: [no log
	message]

2000-12-28 10:37  ljohnson

	* swig-interfaces/: FX4Splitter.i, FXColorDialog.i,
	FXColorSelector.i, FXDataTarget.i, FXDebugTarget.i, FXDirBox.i,
	FXDirDialog.i, FXDirList.i, FXDirSelector.i, FXDocument.i,
	FXDragCorner.i, FXDriveBox.i, FXFileDialog.i, FXFileList.i,
	FXFileSelector.i, FXFontDialog.i, FXFontSelector.i, FXHeader.i,
	FXIconList.i, FXImageView.i, FXInputDialog.i, FXMDIButton.i,
	FXMDIChild.i, FXMDIClient.i, FXMessageBox.i, FXPrintDialog.i,
	FXProgressBar.i, FXReplaceDialog.i, FXSearchDialog.i, FXShutter.i,
	FXSlider.i, FXSplitter.i, FXStatusbar.i, FXStatusline.i, FXTable.i,
	FXText.i, FXToolbarGrip.i, FXToolbarShell.i, FXToolbarTab.i,
	FXTreeListBox.i, FXUndoList.i: [no log message]

2000-12-19 20:24  lyle

	* swig-interfaces/: FXArrowButton.i, FXBMPIcon.i, FXBMPImage.i,
	FXBitmap.i, FXCanvas.i, FXCharset.i, FXCheckButton.i,
	FXColorWell.i, FXComboBox.i, FXDC.i, FXDCPrint.i, FXDCWindow.i,
	FXDelegator.i, FXDial.i, FXDialogBox.i, FXDict.i, FXFile.i,
	FXFileDict.i, FXGIFCursor.i, FXGIFIcon.i, FXGIFImage.i,
	FXGroupBox.i, FXHorizontalFrame.i, FXList.i, FXListBox.i,
	FXMatrix.i, FXMenuButton.i, FXMenuCaption.i, FXMenuCascade.i,
	FXMenuCommand.i, FXMenuPane.i, FXMenuSeparator.i, FXMenuTitle.i,
	FXMenubar.i, FXOptionMenu.i, FXPacker.i, FXPopup.i,
	FXRadioButton.i, FXRecentFiles.i, FXRegion.i, FXRegistry.i,
	FXRootWindow.i, FXScrollArea.i, FXScrollWindow.i, FXScrollbar.i,
	FXSeparator.i, FXSpinner.i, FXTab.i, FXTextField.i,
	FXToggleButton.i, FXToolbar.i, FXTooltip.i, FXTreeList.i, FXURL.i,
	FXVerticalFrame.i, FXXPMIcon.i, FXXPMImage.i, fox.i: [no log
	message]

2000-12-19 19:28  lyle

	* examples/hello.rb, swig-interfaces/FXAccelTable.i,
	swig-interfaces/FXApp.i, swig-interfaces/FXButton.i,
	swig-interfaces/FXComposite.i, swig-interfaces/FXCursor.i,
	swig-interfaces/FXDrawable.i, swig-interfaces/FXFont.i,
	swig-interfaces/FXFrame.i, swig-interfaces/FXIcon.i,
	swig-interfaces/FXId.i, swig-interfaces/FXImage.i,
	swig-interfaces/FXLabel.i, swig-interfaces/FXMainWindow.i,
	swig-interfaces/FXObject.i, swig-interfaces/FXShell.i,
	swig-interfaces/FXStream.i, swig-interfaces/FXTopWindow.i,
	swig-interfaces/FXVisual.i, swig-interfaces/FXWindow.i,
	swig-interfaces/Makefile, swig-interfaces/fox.i,
	swig-interfaces/fxdefs.i: Initial import of FXRuby source code

2000-12-19 19:28  lyle

	* examples/hello.rb, swig-interfaces/FXAccelTable.i,
	swig-interfaces/FXApp.i, swig-interfaces/FXButton.i,
	swig-interfaces/FXComposite.i, swig-interfaces/FXCursor.i,
	swig-interfaces/FXDrawable.i, swig-interfaces/FXFont.i,
	swig-interfaces/FXFrame.i, swig-interfaces/FXIcon.i,
	swig-interfaces/FXId.i, swig-interfaces/FXImage.i,
	swig-interfaces/FXLabel.i, swig-interfaces/FXMainWindow.i,
	swig-interfaces/FXObject.i, swig-interfaces/FXShell.i,
	swig-interfaces/FXStream.i, swig-interfaces/FXTopWindow.i,
	swig-interfaces/FXVisual.i, swig-interfaces/FXWindow.i,
	swig-interfaces/Makefile, swig-interfaces/fox.i,
	swig-interfaces/fxdefs.i: Initial revision

